2006-11-24  Christian Stimming <stimming@tuhh.de>

	* src/engine/gnc-path.c: Fix gnc_path_get_localedir() because
	binreloc's implementation did not respect the choice of
	DATADIRNAME from AM_GLIB_GNU_GETTEXT in configure.

2006-11-20  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif-import/qif-parse.scm:
	  Don't have aktzu in the "case" twice.  Fixes #377519.

2006-11-05  David Hampton  <hampton@employees.org>

	* src/report/standard-reports/category-barchart.scm:
	* src/report/standard-reports/account-piecharts.scm: Fix some
	scheme inexact errors.  Fixes 347462.

2006-10-09  Josh Sled <jsled@asynchronous.org>

	* art/: Add, with 2.0 {banner,icon,logo,splash} art.
	
2006-09-26  Derek Atkins  <derek@ihtfp.com>

	* lib/libqof/qof/qofquery.[ch]:
	  Implement SubQuery functionality in QOF:  qof_query_run_subquery()
	  Now you can run one query off of the results of another query.

	Add the ability to override the default sort (#150799).
	Override the Transaction Number to sort numerically.
	* lib/libqof/qof/qofclass.h:
	* lib/libqof/qof/qofquery.c:
	* lib/libqof/qof/qofquerycore-p.h:
	* lib/libqof/qof/qofquerycore.[ch]:
	  - Publish the QofCompareFunc prototype.
	  - Add a new QofParam param_compfcn parameter
	  - Change QofQuery to use the param_compfcn over the
	    default type compare function.
	  - create (and publish) a qof API to compare strings
	    as numbers:  qof_string_number_compare_func()
	* src/engine/Transaction.c:
	  Assign TRANS_NUM to use qof_string_numer_compare_func()

2006-09-23  Derek Atkins  <derek@ihtfp.com>

	* src/ledger-core/split-register*.c:
	  suspend events around the Commit(). Fixes #347089 when combined
	  with r14495.

	* src/gnome/druid-acct-period.c:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/window-reconcile.c:
	  disable lot scrubbing during Check & Repair (#357370).
	  Lots are supposed to be disabled in the 2.0 release until we
	  get the cap-gains code working.  IMHO the cap-gains code should
	  deal with extra txn splits instead of creating additional txns.

2006-09-19  Christian Stimming  <stimming@tuhh.de>

	* configure.in: Remove mt940 module completely from the build and
	SVN because all of its functionality has been moved into the hbci
	(aqbanking) module.

2006-09-19  Andreas Köhler  <andi5.py@gmx.net>

	* $some.glade: Use some more automatic scrollbars.

	* src/backend/file/gnc-backend-file.c:
	* src/gnome-utils/gnc-file.c: Do not complain about non-existent
	  files if we save to a new file. In pass one we ignore the error
	  returned by stat and call qof_session_begin with
	  create_if_nonexistent=TRUE for a second run.

2006-09-18  Christian Stimming  <stimming@tuhh.de>

	* src/engine/binreloc.[hc], src/engine/gnc-path.c,
	src/bin/gnucash-bin.c, configure.in: Implement automatic
	relocation of previously compiled-in paths. With the exception of
	the env variables in src/bin/gnucash, we're fully relocatable now.

2006-09-16  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/gnc-plugin-page-sx-list.c (sxsl_get_sx_vars): Add
	variable extraction to instance-model creation.  The
	GncSxInstances now has a hashtable of variables parsed from the
	formula, and the GncSxInstance has a copy of that variables hash.
	Not finished, but mostly in place.

	* src/gnome/dialog-sx-since-last-run.c: New, simplified version of
	the since-last-run dialog.  GncSxSlrTreeModelAdapter.

2006-09-13  Christian Stimming <stimming@tuhh.de>

	* src/import-export/hbci/gnc-plugin-hbci.c: Move the MT940
	importer action from the mt940 into the hbci plugin because in the
	hbci plugin everything is already there. From now on, MT940
	importing is available as soon as --enable-hbci is switched
	on. The mt940 plugin can be removed from SVN now.

2006-09-07  Christian Stimming  <stimming@tuhh.de>

	* src/engine/gnc-path.h, gnc-path.c: Add new file with utility
	functions to retrieve the needed directory paths. All compile-time
	vs. runtime path lookups will be implemented exactly in this file.

2006-09-07  David Hampton  <hampton@employees.org>

	* src/backend/postgres: Include config.h a couple of places.

	* src/engine/gnc-budget.c: Use the glib-compat.h file for backward
	compatible function names.

2006-09-03  Christian Stimming  <stimming@tuhh.de>

	* lib/libqof/qof/qofbackend.h, src/gnome-utils/gnc-file.c,
	src/backend/file/gnc-backend-file.c: If the file type wasn't
	recognized, check whether this failed because of no read
	permission and give appropriate user feedback.

	* src/backend/file/gnc-backend-file.c: Fix error checking for
	non-existing filenames. Will now always give a "file not found"
	message on nonexisting paths or filenames. #351351.

2006-08-20  David Hampton  <hampton@employees.org>

	* src/backend/file/gnc-account-xml-v2.c:
	* src/backend/file/gnc-commodity-xml-v2.c:
	* src/gnome/top-level.c: Remove some conditional code that is no
	longer compiled, or shouldn't be compiled in 2.2.

	* src/gnome/gnc-plugin-page-account-tree.c: Maintain the account
	hierarchy when reparenting the descendants of a deleted account.

2006-08-20  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-dtaus-import.[ch], gnc-plugin-hbci.c:
	Add new HBCI action to File->Import that imports a DTAUS file and
	sends all transfers as HBCI online transfers to the bank.

2006-08-19  David Hampton  <hampton@employees.org>

	* src/gnome/gnucash-desktop*: Update so that bug-buddy 2.16 will
	still allow you to file bugs against gnucash.

	* src/engine/Account.c: Add missing call to xaccAccountBeginEdit.

2006-08-18  David Hampton  <hampton@employees.org>

	* various: Add some 'const' declarations.

2006-08-17  Christian Stimming <stimming@tuhh.de>

	* lib/libqof/qof/qof.h, qofsession.c: Move #include "qofla-dir.h"
	into qofsession.c because this is the only place where it is
	used. Removes an often regenerated dependency from qof.h.

2006-08-15  Christian Stimming <stimming@tuhh.de>

	* src/import-export/hbci/dialog-hbcitrans.c, druid-hbci-initial.c:
	Double-check really every string from aqbanking for valid utf-8
	characters.

	* src/core-utils/gnc-glib-utils.[hc]: Add
	gnc_utf8_strip_invalid_strdup() that returns a stripped copy
	instead of working in-place.

	* src/import-export/hbci/dialog-hbcitrans.c (blz_changed_cb):
	Ensure the encoding of the ktoblzcheck library is used
	correctly. Their encoding is still always ISO-8859-1, but in
	future versions they might change it to something else. We're
	prepared now.

2006-08-15  David Hampton  <hampton@employees.org>

	* src/core-utils/gnc-gconf-utils.[ch]:
	* src/gnome-utils/dialog-preferences.c:
	* src/gnome-utils/gnc-plugin.[ch]:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/dialog-reset-warnings.c:
	* src/gnome-utils/gnc-tree-view.c: Remove overloading of an
	argument passed to the gnc_gconf_add/remove_notification
	functions..  This will solve a crash on Solaris caused by
	g_vasprintf being passed a "%s" format string and a NULL as
	argument.

2006-08-14  David Hampton  <hampton@employees.org>

	* doc/tip_of_the_day.list.in: Add a tip for raising the accounts
	menu in a register page.

2006-08-10  David Hampton  <hampton@employees.org>

	* src/import-export/qif-import/druid-qif-import.c: Fix account
	currency problems when importing QIF files (introduced by the
	widget cleanup.)

2006-08-08  Christian Stimming <stimming@tuhh.de>

	* configure.in, src/gnome-utils/schemas/Makefile.am: Find absolute
	path of gconftool-2 during configure. Make gconftool rules to fail
	if gconftool-2 could not be found. bug#349851.

	* src/gnome-utils/druid-gnc-xml-import.c: Improve wording for XML
	data file import druid. bug#342727.

2006-08-06  David Hampton  <hampton@employees.org>

	* various: Regularize the account type names into the form
	ACCT_TYPE_xxx.

2006-08-05  David Hampton  <hampton@employees.org>

	* import-backend.c: gnc_import_process_trans_item() should return
	TRUE in those cases where the transaction has been processed.

	* src/core-utils/gnc-gtk-utils.[ch]:
	* src/core-utils/gnc-gtk-utils.h:
	* src/import-export/import-main-matcher.c:
	* src/report/report-gnome/dialog-style-sheet.c:
	* src/gnome-utils/gnc-main-window.c: Fix compilation errors on
	FC3.

2006-08-05  Andreas Köhler  <andi5.py@gmx.net>

	* various: Unref all new stores.

	* src/core-utils/gnc-gtk-utils.c: Unref entry completion, inline
	  completion only for gtk>=2.6.

	* src/gnome-utils/dialog-account.c: I18n "Type", unref store.

2006-08-03  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/dialog-reset-warnings.c:
	* src/gnome/schemas/apps_gnucash_warnings.schemas.in: Add tooltips
	  to the checkboxes in the Reset Warnings dialog showing the long
	  descriptions. Remove all linebreaks in these strings to make
	  them look better.

2006-08-02  David Hampton  <hampton@employees.org>

	* various: Remove the majority of the remaining deprecated widgets
	by collapsing the "deprecated-cleanup" branch (r13935:14581) back
	into trunk.  This patch also creates a new file for the code that
	requires a GtkEntry text to match one of its completions.

2006-07-31  Derek Atkins  <derek@ihtfp.com>

	* src/bin/gnucash-bin.c:
	  Adjust the "development version" message for the 2.0.1 release.

2006-07-30  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome/window-reconcile.c: Replace the hbox separating debits
	  from credits in the reconciliation window by a homogeneous
	  table. This avoids nasty redraws when one of them changes in
	  size. Fixes #342512.

	* src/gnome/schemas/apps_gnucash_warnings.schemas.in:
	* src/gnome-utils/gnc-main-window.c: Add warning close_last_window
	  and show it when user tries to close the last GnuCash window.
	  Fixes #338865.

	* src/gnome-utils/gnc-gnome-utils.c:
	* src/gnome-utils/glade/preferences.glade:
	* src/gnome/schemas/apps_gnucash_general.schemas.in: Add new
	  setting general/show_splash_screen to
	  preferences_dialog->General and only show the splash screen if
	  it is TRUE. Fixes 339876.

	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/gnc-plugin-basic-commands.c:
	* src/gnome-utils/glade/preferences.glade: Fixed some duplicate
	  accelerators.

	* src/gnome-utils/gnc-main-window.c:
	* src/gnome/schemas/apps_gnucash_general.schemas.in:
	* src/gnome-utils/glade/preferences.glade: Add preference
	  general/tab_position to choose the edge of the notebook the tabs
	  will be showed (top, bottom, left or right). Add it to
	  preferences_dialog->Windows. Move "Show close button on notebook
	  tabs" from General to Windows. Fixes #340299.

2006-07-27  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome-utils/gnc-dense-cal.c
	(gnc_dense_cal_transient_model_new): Actually implement
	GncDenseCalTransientModel. 

	* src/gnome/dialog-sx-editor.c (gnc_sxed_update_cal): 
	* src/gnome/dialog-sx-from-trans.c (sxftd_update_example_cal):
	Use GncDenseCalTransientModel from previous ad-hoc updaters.


2006-07-25  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome-utils/gnc-dense-cal.c:
	Add GncDenseCalModel interface, support.
	Add unfinished GncDenseCalTransient model impl. for
	one-off being-edited-SX calendar usage.

	* src/gnome/gnc-plugin-page-sx-list.c:
	Add GncSxInstanceDenseCalAdapter between GncSxInstanceModel and
	GncDenseCalModel.  Start to hook up 'added' and 'removing' signals
	on the GncSxInstanceModel.  The SX-List dense-cal works again, and
	reflects both removed and new SXes.

2006-07-24  Derek Atkins  <derek@ihtfp.com>

	* [lots of Makefile.am files]:
	  Allow proper compile/install from tarball using separate builddir.
	  - Don't distribute (most) generated files.
	  - Be (more) consistent about when generated files are cleaned.

	* po/POTFILES.skip:
	  - Now that we distribute the SX schema properly, don't skip it
	    in the POTFILES.skip file.

2006-07-23  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/gnc-tree-view.c: Correctly set column sort
	  orders from gconf. Fixes #348248.

2006-07-22  Derek Atkins  <derek@ihtfp.com>

	* configure.in: check for SLIB.  (#347922)

2006-07-21  Andreas Köhler  <andi5.py@gmx.net>

	* configure.in:
	* src/gnome-utils/gnc-main-window.c: Make tabs within one notebook
	  reorderable by dnd for gtk>=2.10. Fixes #343454.

2006-07-18   Christian Stimming <stimming@tuhh.de>

	* src/gnc-module/gnc-module.c: On windows, deactivate gnucash's
	extra de-quoting of path names that is done on the GNC_MODULE_PATH
	env variable.

2006-07-16  Joshua Sled  <jsled@asynchronous.org>

	* src/engine/SX-book-p.h:
	* src/engine/SX-book.h:
	* src/engine/SX-book.c: Promote SX list from a GList to a
	`SchedXactions` QOF Entity.  Create add/remove API that emits
	GNC_EVENT_{INSERT,REMOVE} signals.  Correctly associate the SX
	List with the collection of SchedXaction qof-type rather than the
	SX template transactions qof-type.  Remove some (now-)dead
	code.  Fix long-standing bug in registration of SX qof types.
	
	* src/gnome/dialog-sx-editor.[ch]:
	* src/gnome/dialog-schedxaction.[ch]:
	Move the SX editor dialog subset of dialog-schedxaction to
	dialog-sx-editor.[ch].

	* src/gnome/gnc-plugin-page-sx-list.c:
	Hookup SX editor for both 'new' and 'edit' actions. Hookup
	row-activation from tree-view.  Extend GncSxInstanceModel to
	support SchedXactions (sx list) modification events.

2006-07-16  Derek Atkins  <derek@ihtfp.com>

	* configure.in:
	  check for (g-wrap) module (#347680)
	  Apparently some distributions ship g-wrap-config separately
	  from the g-wrap.scm guile module.

	* src/import-export/qif-import/qif-file.scm:
	  Ignore any unknown !Option specification.  Fixes #160735.

	* src/import-export/qif-import/qif-parse.scm:
	  Allow comma-radix numbers without a radix.  Fixes #142424.
	  I.e., allow "17.500" to be parsed either as "seventeen and a half"
	  or as "seventeen thousand five hundred".  Note that numbers STILL
	  default to decimal-radix instead of asking the user to choose.

	* src/business/business-core/gncEntry.[ch]:
	* src/business/business-ledger/gncEntryLedger.c:
	  Properly round invoice entries and totals.  Fixes #300042.
	  Perform internal computations to LCD, but then export rounded values.
	  Now, using the test case in Bug #300042 I get the same values
	  in the invoice window, in the printable invoice report, and
	  in the CoA Registers.

2006-07-16  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/gnc-main-window.c: Do not move windows on
	  restoration that would be offscreen.

2006-07-15  Joshua Sled  <jsled@asynchronous.org>

	* src/engine/SchedXaction.h (GNC_IS_SX,GNC_SX): added for convenience.

	* src/gnome/ui/gnc-plugin-page-sx-list-ui.xml:
	* src/gnome/gnc-plugin-page-sx-list.[ch]: SX List as a plugin page.

	* src/gnome/gnc-plugin-basic-commands.c: Call SX List plugin page,
	not dialog.

	* src/doc/sx.rst: Added.

2006-07-15  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncAddress.[ch]:
	  Make GncAddress more QOF compliant.  (#343726)
	  Adds BeginEdit/CommitEdit calls.

	* src/business/business-gnome/dialog-invoice.c:
	  Set the summary bar values when the window is first opened (#345978).

2006-07-15  Andreas Köhler  <andi5.py@gmx.net>

	* src/report/report-system/html-text.scm: Remove a duplicate of
	  gnc:html-text?.

2006-07-15  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/druid-hbci-initial.c: Remove obsolete
	buttons for aqbanking/hbci setup that are unneeded. Fix crash due
	to dangling points by deleting all pointers after calling
	AB_Banking_Fini.

2006-07-14  Derek Atkins  <derek@ihtfp.com>

	* configure.in:
	* autogen.sh:
	  make sure that po/POTFILES.in exists so configure doens't complain.

	* configure.in:
	  check for (g-wrap gw-glib-spec) instead of (g-wrap) #347404.

2006-07-14  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome/schemas/Makefile.am: Add
	  apps_gnucash_scheduled_transctions.schemas.in. Fixes #340641.

	* src/register/ledger-core/split-register-control.c:
	* src/register/ledger-core/split-register-model.c: Let
	  GtkMessageDialog render the headers of two warnings in bold
	  font.

2006-07-13  Andreas Köhler  <andi5.py@gmx.net>

	* doc/tip_of_the_day.list.in:
	* lib/libqof/backend/file/qsf-backend.c:
	* src/gnome-search/search.glade:
	* src/gnome-utils/druid-gnc-xml-import.c:
	* src/gnome-utils/glade/preferences.glade:
	* src/gnome-utils/gnc-file.c:
	* src/gnome/schemas/apps_gnucash_general.schemas.in:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gnc-plugin-page-register.c:
	* src/import-export/import-provider-format.glade:
	* src/report/report-system/report.scm: String fixes that have
	  been delayed due to the string freeze.

	* src/gnome/glade/account.glade: In the account dialog, do not
	  expand the upper left entries when the window is resized.
	  Automatic scrollbars for the notes field.

2006-07-12  Derek Atkins  <derek@ihtfp.com>

	* src/engine/Group.c:
	  Allow account-separator character in account names (#347321).
	  Revert to previous behavior of xaccGetAccountFromFullName()
	  which was changed in r13467 when the function was restructured.
	  This patch returns to the old behavior (but uses the new
	  function structure).

2006-07-09  Chris Lyttle  <chris@wilddev.net>

	* NEWS: Added some text about the release.
	* configure.in: Change to version 2.0.0
	* src/gnome-utils/glade/totd.glade: Removed 1.8 references
	* doc/README.OFX: Removed 1.8 references
	* doc/tip_of_the_day.list.in: Removed 1.8 references
	* doc/README.german: Removed 1.8 references
	* doc/TRANSLATION_HOWTO: Removed 1.8 references
	* README: Removed 1.8 references
	
2006-07-07  David Hampton  <hampton@cisco.com>

	* src/engine/Transaction.c: Restore 1.8 behavior by using the full
	date/time when sorting on the posted date.  Fixes #346954.

2006-07-06  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-account.c: When creating accounts from
	the register, fix the name parsing logic to correctly handle the
	case where the first new account will be the first child of its
	parent.  Fixes #345771.

2006-07-04  Derek Atkins  <derek@ihtfp.com>

	* src/core-utils/gnc-glib-utils.h
	* src/core-utils/gw-core-utils-spec.scm:
	  Remove the gnc_utf8_validate() API. It's not used anywhere.
	* src/core-utils/gnc-glib-utils.c:
	  Rework gnc_utf8_validate() as a copy-and-paste of g_utf8_validate
	  but ignore certain control characters between 0x00 and 0x20
	  that are not valid XML characters.  Fixes #346535.
	
2006-07-04  Christian Stimming  <stimming@tuhh.de>

	* po/de.po: Proof-read and improved German translation by feedback
	from Andi Köhler.

2006-07-01  David Hampton  <hampton@employees.org>

	* src/quotes/gnc-fq-helper.in: This one file really does require
	the perl Date::Manip module.

2006-07-01  Christian Stimming  <stimming@tuhh.de>

	* po/nl.po, po/glossary/nl.po: Updated Dutch translation by
	Bernard Meens <meensb@xs4all.nl>

2006-06-28  David Hampton  <hampton@employees.org>

	* packaging/gnucash-1.9.x.ebuild:
	* src/quotes/gnc-fq-update.in:
	* src/quotes/gnc-fq-check.in:
	* src/quotes/gnc-fq-helper.in:
	* src/quotes/gnc-fq-dump: Recent version of Finance::Quote no
	longer depend on Date::Manip, but they do now depend on
	Crypt::SSLeay.

2006-06-27  David Hampton  <hampton@employees.org>

	* src/report/standard-reports/portfolio.scm:

	* src/report/standard-reports/advanced-portfolio.scm: Restore the
	original sort ordering which is grouping by parent account, and
	then sorting within a group first by account code and then by
	account name.  Partial fix for #345385.

	* src/quotes/gnc-fq-update.in:
	* src/quotes/gnc-fq-check.in:
	* src/quotes/gnc-fq-helper.in:
	* src/quotes/gnc-fq-dump: When modules can't be found refer users
	to their package manager first.  Other fixups for the utility
	program name changes.

2006-06-27  Christian Stimming <stimming@tuhh.de>

	* src/backend/file/gnc-backend-file.c: Ignore failed chown()
	because it always fails on vfat/samba. #345913

2006-06-26  David Hampton  <hampton@employees.org>

	* src/pixmaps/gnucash-icon.png:
	* src/pixmaps/appicon.png: Add new application icon.

2006-06-25  Joshua Sled  <jsled@asynchronous.org>

	* src/pixmaps/gnucash_splash.png: reduced-size splash image.

2006-06-24  Derek Atkins  <derek@ihtfp.com>

	Allow building from either SVN or SVK
	* util/gnc-svnversion: obtain revision info from SVN or SVK.
	  Deals with lndir tree and both svn and svk checkouts.
	* configure.in:
	* src/gnome-utils/Makefile.am:
	  use new gnc-svnversion script instead of calling out to svn
	  directly.
	* moved glade-fixup to util subdir

2006-06-20  Christian Stimming <stimming@tuhh.de>

	* src/engine/iso-4217-currencies.scm: Add Suriname Dollar
	currency; replaces SRG, but due to a non-unity exchange rate we
	cannot have it replaced automatically. #319084

	* src/backend/file/io-gncxml-v2.c: Use waitpid() only if
	<sys/wait.h> is available. Unavailable on win32.

2006-06-18  Chris Lyttle  <chris@wilddev.net>

	* NEWS: Added some text about the release.
	* configure.in: Change to version 1.9.8

2006-06-18  Christian Stimming  <stimming@tuhh.de>

	* accounts/de_DE/acctchrt_skr03.gnucash-xea: Add new SKR03 account
	template (in addition to the existing SKR04) by Oliver Vollmer
	<ovo@mx.lihas.de>.

r14377 | chris | 2006-06-16 21:00:18 -0400 (Fri, 16 Jun 2006) | 2 lines

   M /gnucash/trunk/src/engine/gnc-commodity.c
   M /gnucash/trunk/src/engine/iso-4217-currencies.scm

   Update mnemonic for Mexican Peso.  Fixes Bug #345048.

r14375 | chris | 2006-06-16 20:38:08 -0400 (Fri, 16 Jun 2006) | 3 lines

   M /gnucash/trunk/src/gnome-utils/dialog-utils.c

   Make the keypad 'minus' key enter a dash in the date entry for ISO dates.
   Fixes Bug #345096.

r14373 | chris | 2006-06-16 19:14:13 -0400 (Fri, 16 Jun 2006) | 3 lines

   M /gnucash/trunk/src/register/register-gnome/gnucash-sheet.c

   Restore non-editing state when cancelled editing is complete.
   Fixes Bug #344870, which was a regression caused by r11892.

2006-06-16  David Hampton  <hampton@employees.org>

	* src/register/register-gnome/gnucash-item-edit.c: Correctly
	indicate the focus state of the register.  Fixes #342055.

	* src/gnome-utils/gnc-main-window.[ch]:
	* src/gnome/gnc-plugin-page-account-tree.c: Instead of marking the
	first page so that it can't be closed, mark the first *accounts*
	page so that it can't be closed.

	* src/register/register-gnome/gnucash-header.c: Remove five year
	old workaround for a resizing bug.  Fixes #344764.  Also
	explicitly initialize a couple of variables.

2006-06-14  David Hampton  <hampton@employees.org>

	* src/app-utils/gnc-ui-util.c: Restore the auto decimal places
	settings from gconf at startup.  Fixes #344938.

	* src/business/business-gnome/glade/invoice.glade: The Chargeback
	and Extra Payments sections of the bill should not expand to fill
	extra space.

	* src/business/business-ledger/gncEntryLedgerLoad.c: Use the new
	mechanism for the account list popups.  Fixes #342058.

	* src/import-export/hbci/gnc-hbci-utils.c: HBCI data is already in
	utf8. Don't recode into the local charset (which may not be utf8).

2006-06-14  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-utils.c: Similarly ensure for
	aqbanking/mt940 import that all retrieved strings will be valid
	utf8.

2006-06-13  David Hampton  <hampton@employees.org>

	* src/import-export/qif-import/druid-qif-import.c: Do a better job
	of turning the busy cursor on/off.  Now works correctly if there's
	a failure in the input file.

	* src/core-utils/gnc-glib-utils.[ch]:
	* src/core-utils/gw-core-utils-spec.scm:
	* src/import-export/qif-import/qif-file.scm:
	* src/import-export/ofx/gnc-ofx-import.c: Strip all invalid utf8
	characters from imported QIF and OFX/QFX strings.  This fixes bugs
	#106203 #338296 #344170 and #344219.  Long term gnucash should be
	enhanced to learn/remember the input encoding and automatically
	convert to utf8.

2006-06-13  Derek Atkins  <derek@ihtfp.com>

	* configure.in: force-enable hbci if the user enables mt940

2006-06-13  David Hampton  <hampton@employees.org>

	* src/quotes/gnc-fq-helper.in: Tell gnucash that a currency quote
	failed instead of just abandoning the request.  Fixes #344546.

r14354 | chris | 2006-06-12 20:35:47 -0400 (Mon, 12 Jun 2006) | 2 lines

   M /gnucash/trunk/src/import-export/qif-import/qif-parse.scm

   Don't crash when parsing empty string as date.  Fixes #344466.

2006-06-12  David Hampton  <hampton@employees.org>

	* src/engine/Account.c: When committing an account during the
	closing of a book, don't search the engine for splits that are in
	the process of being assigned to the account but aren't yet linked
	into the account.  This eliminates an O(n*m) operation that will
	never find any work to perform.  Fixes #344473.

	* src/quotes/gnc-fq-check.in: Quote the F::Q version number so
	that it will be correctly parsed as a string.

2006-06-09  David Hampton  <hampton@employees.org>

	* doc/examples/*.qif: Tell subversion these files are text.

	* src/doc/valgrind.txt:
	* src/doc/Makefile.am:
	* src/gnome-utils/ui/gnc-main-window-ui.xml:
	* src/gnome-utils/gnc-main-window.c:
	* configure.in: Move the valgrind reference code from a compiled
	file to a documentation file.  The start/stop valgrind command
	didn't work as well as I'd hoped. Fixes #344353.

2006-06-07  David Hampton  <hampton@employees.org>

	* src/business/business-gnome/business-gnome.scm: Restore the
	business reports menu.

r14345 | chris | 2006-06-06 21:34:54 -0400 (Tue, 06 Jun 2006) | 4 lines

   M /gnucash/trunk/src/register/ledger-core/split-register-util.c

   Um, uhh, important code change.  Might fix #343798.*

   (*) Might also do strange things to the register, esp. cursor motion.

2006-06-06  David Hampton  <hampton@employees.org>

	* src/business/business-gnome/glade/billterms.glade: Hide notebook
	tabs on programmatically changed notebook.

2006-06-05  Chris Lyttle  <chris@wilddev.net>

	* packaging/gnucash-1.9.x.ebuild: Update to use -docs-1.9.0

2006-06-05  Chris Lyttle  <chris@wilddev.net>

	* NEWS: Added some text about the release.
	* configure.in: Change to version 1.9.7

2006-06-05  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-menu-extensions.c: Fix "missing icon" menu
	icons on FC6.

2006-06-04  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-icons.c:
	* src/gnome-utils/test/test-gnc-dialog.c: Include "config.h".

2006-06-04  Derek Atkins  <derek@ihtfp.com>

	* configure.in:
	* various Makefile.am files:
	  Move the GLIB26 compatibility checks to configure.in.
	  Just modify GLIB_LIBS and GLIB_CFLAGS so everyone properly
	  links against the glib26 compatibility library when necessary.

2006-06-04  David Hampton  <hampton@employees.org>

	* various Makefile.am files: Don't ever reference lib/glib26 if
	the host system has glib 2.6 or better installed.

	* various Makefile.am files: Add lib/glib26 to the include and
	library paths.

	* src/gnome-utils/gnc-plugin-page.h: Include gkeyfile.h instead of
	explicitly declaring a data type. This prevents include file
	ordering problems.

2006-06-04  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/gnc-plugin-file-history.c:
	  swap the #includes so it builds on FC3 w/ glib-2.4

2006-06-04  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-plugin-file-history.c: If the g2 file
	history list is empty, then copy the file history list over from
	Gnucash 1.x gnome settings file.  #342724.

2006-06-04  Joshua Sled  <jsled@asynchronous.org>

	* src/register/register-gnome/gnucash-item-edit.c (gnc_item_edit_selection_received) 
	(gnc_item_edit_selection_get, gnc_item_edit_paste_clipboard) 
	(gnc_item_edit_paste_primary, gnc_item_edit_new): Use the
	selection type UTF8_STRING for copy/paste rather than the combination
	of COMPOUND_TEXT, TEXT and STRING, as the LCD STRING is inadequate
	for interesting characters, and it is what the rest of GTK does.

	* src/register/register-gnome/gnucash-item-edit.c
	(gnc_item_edit_selection_get),
	(gnc_item_edit_selection_received): Handle selections more
	correctly in a utf8 world, within GnuCash at least. Fixes
	Bug#333299.

	* src/gnome/druid-loan.c (ld_get_pmt_formula)
	(ld_get_ppmt_formula, ld_get_ipmt_formula): Treat all numbers in a
	auto-decimal-point-safe way.  Bug#343795.

2006-06-04  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/gnc-html.[ch]:
	* src/report/report-gnome/gnc-plugin-page-report.c: Add
	  gnc_html_copy and enable report pages to copy to clipboard.
	  Fixes #343645.

	* src/gnome/gnc-plugin-page-register.c: Readd descriptions for
	  Cut/Copy/Paste actions in register pages.

r14302 | chris | 2006-06-03 10:51:10 -0400 (Sat, 03 Jun 2006) | 3 lines

   M /gnucash/trunk/src/backend/file/test/test-load-backend.c
   M /gnucash/trunk/src/backend/file/test/test-load-xml2.c
   M /gnucash/trunk/src/backend/postgres/test/test-db.c
   M /gnucash/trunk/src/backend/postgres/test/test-load-backend.c
   M /gnucash/trunk/src/backend/postgres/test/test-period.c

   When loading the gmodule backends from the test suite, look in ../.libs
   for the real module.

r14301 | chris | 2006-06-03 09:42:53 -0400 (Sat, 03 Jun 2006) | 2 lines

   M /gnucash/trunk/configure.in
   M /gnucash/trunk/po/POTFILES.skip
   M /gnucash/trunk/src/backend/file/Makefile.am
   M /gnucash/trunk/src/backend/file/gnc-backend-file.c
   M /gnucash/trunk/src/bin/gnucash-bin.c
   M /gnucash/trunk/src/import-export/Makefile.am

   Disable support for the old binary file format.

2006-06-03  Derek Atkins  <derek@ihtfp.com>

	* src/engine/Split.c:
	  Properly round values when setting the Base Value.  Fixes #337505.
	* src/business/dialog-tax-table/tax-tables.glade:
	  fix a string.  It should be "Edit" not "gtk-edit".  This string
	  is already translated, so shouldn't be an issue for the string
	  freeze.

2006-06-03  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/ui/gnc-plugin-page-register-ui.xml:
	* src/gnome/ui/gnc-plugin-page-account-tree-ui.xml:
	* src/gnome/glade/lots.glade:
	* src/gnome/gnc-plugin-page-account-tree.c: 
	* src/gnome/gnc-plugin-page-register.c: 
	* src/gnome/lot-viewer.c: Re-enable View Lots; disable 'View' button.  Fix
	clist/lot-title handling bug.  Bug#343772.

2006-06-03  David Hampton  <hampton@employees.org>

	* src/register/register-gnome/combocell-gnome.c:
	* src/register/register-gnome/gnucash-item-list.[ch]: Only use the
	amount of space required to show all the entries in the popup, not
	all the available space. Fixes #343242.

	* src/register/register-gnome/gnucash-sheet.c: The register code
	shouldn't process any keystrokes that have a "modifier" (e.g. Alt,
	Meta, etc.) key pressed.  This allows Alt-Ctl-Pgup/Down in a
	register to change the notebook page, just like from the accounts
	page. Also remove some dead code.  Fixes #343228.

2006-06-03  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/Makefile.am:
	* src/gnome-utils/druid-gnc-xml-import.c:
	* src/backend/file/io-gncxml-v2.h: Link gnome-utils against
	  backend/file and remove symbol lookup in druid-gnc-xml-import.c.

	* src/register/register-gnome/gnucash-sheet.c: Add GDK_Menu as
	  shortcut for showing register popups. Fixes 343244.

2006-06-02  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-main-window.c: 
	* src/gnome-utils/gnc-window.c: The progress bar changes size when
	text is added/removed.  Prevent these changes by setting the text
	to a single space when there is no text to display.  Fixes
	#343455.

	* src/gnome/window-reconcile.c: Limit the reconciliation date to
	the past or today, never the future.  Fixes #343527.

2006-06-01  Derek Atkins  <derek@ihtfp.com>

	* configure.in: Don't need to patch libtool for darwin anymore.
	  Patch by David Reiser.
	* src/gnome-utils/dialog-preferences.c: fix non-C99 construct so
	  the file builds again.

	* po/nb.po: updated Norwegian Bokmål translation by Sigve Indregard

	* src/backend/Makefile.am:
	* src/backend/gnc-backend-api.h:
	  deleted gnc-backend-api.h, which isn't needed by anything
	* src/backend/file/gnc-backend-file.[ch]:
	  make "gnc_new_backend()" into a private function.  It's
	  never called from anywhere, so it's not needed in the API.
	* src/backend/file/Makefile.am:
	  Build a shared library (libgnc-backend-file-utils) and a
	  loadable module (libgnc-backend-file).  This should let us
	  build on MacOS AND windows.
	* src/business/business-core/file/Makefile.am:
	* src/gnome/Makefile.am:
	  link against libgnc-backend-file-utils

2006-06-01  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/dialog-preferences.c: Do not try to find
	  positions for alphabetic insertions of add_on pages, but rather
	  append and then sort pages in the end. Solves appearance of pref
	  dialog in non-C locales.

	* src/gnome-utils/glade/preferences.glade: Move "Accounting
	  Period" to the top, regardless of above.

	* src/gnome-utils/gnc-main-window.c: Cancel renaming of a page
	  when GDK_Escape is pressed. Fixes #343226.

r14285 | chris | 2006-05-31 21:44:53 -0400 (Wed, 31 May 2006) | 6 lines

   M /gnucash/trunk/src/gnome-utils/gnc-tree-model-account.c

   Restore two behaviors removed by r14283, and add a third.
   1) Invalidate outstanding iterators when a row is inserted or deleted.
   2) Emit row_changed for ancestors of inserted or deleted row.
   New) Emit row_changed for ancestors of a changed account, too.

2006-05-31  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/gnc-tree-model-account.c: Replace
	  gnc_tree_model_account_path_changed with manual checks whether
	  the inserted (resp. deleted) account is the first (resp. last)
	  account in its level and call gtm_row_has_child_toggled only in
	  these cases. Might fix #343405, as GtkTreeModelFilter seems to
	  make (false) assumptions when being woken up too often.

2006-05-31  Derek Atkins  <derek@ihtfp.com>

	* po/es.po:  Updated Spanish Translation from Eneko Lacunza

	* src/business/business-core/gncAddress.c: remove some duplicated code.

2006-05-30  David Hampton  <hampton@employees.org>

	* various: Update the help file names now that the docs are xml
	instead of html.  Fixes #343255.

	* src/scm: Remove old help-topics-index files.

r14276 | chris | 2006-05-30 20:56:10 -0400 (Tue, 30 May 2006) | 3 lines

   M /gnucash/trunk/src/gnome/gnucash.desktop.in
   M /gnucash/trunk/src/pixmaps/Makefile.am

   GNOME integration, part 2.  Bug #342936.
   Use the same icon for the window manager as for the desktop.

r14251 | chris | 2006-05-29 18:07:10 -0400 (Mon, 29 May 2006) | 4 lines

   M /gnucash/trunk/src/gnome/Makefile.am
   M /gnucash/trunk/src/gnome/gnucash.desktop.in
   D /gnucash/trunk/src/gnome/gnucash.keys.in
   D /gnucash/trunk/src/gnome/gnucash.mime
   M /gnucash/trunk/src/pixmaps/Makefile.am

   Improve GNOME desktop integration.  Bug #342936
   Patch supplied by Stanislav Brabec <sbrabec@suse.cz>. 

r14237 | chris | 2006-05-29 15:24:38 -0400 (Mon, 29 May 2006) | 3 lines

   M /gnucash/trunk/src/business/business-reports/aging.scm

   Fix a crash in the aging report.  Breaks a string, but seeing English is
   better than seeing a guile stack trace.

r14233 | chris | 2006-05-29 00:53:40 -0400 (Mon, 29 May 2006) | 2 lines

   M /gnucash/trunk/Makefile.am

   revert r14177 because it fails make dist.

r14232 | chris | 2006-05-29 00:52:23 -0400 (Mon, 29 May 2006) | 4 lines

   M /gnucash/trunk/src/bin/gnucash-bin.c
   M /gnucash/trunk/src/engine/gnc-engine.c

   Move the error-handling of failure to initialize the engine from
   gnc-engine.c to gnucash-bin.c.  This allows tests that call 
   gnc_engine_init() but fail to find a backend to still pass.

2006-05-29  Joshua Sled  <jsled@asynchronous.org>

	* packaging/gnucash-1.9.x.ebuild: Remove support for being a
	dual-nature -release and -svn ebuild.  Misc cleanups.

2006-05-29  Andreas Köhler  <andi5.py@gmx.net>

	* src/backend/file/io-gncxml-v2.c: Add wait_for_gzip to avoid
	  reading from a file that is still being written to by a child
	  process, a race condition at the end of the xml import druid.

2006-05-28  David Hampton  <hampton@employees.org>

	* src/pixmaps/gnucash_splash.png: New splash screen from Joshua
	Facemyer / Impressus Art <faceman@impressusart.com>.

	* po/en_GB.po: Updated translation from Nigel Titley.

	* src/backend/file/io-gncxml-v2.c: Fix gcc4 complaint about unused
	return value of the write function.

2006-05-28  Andreas Köhler  <andi5.py@gmx.net>

	* src/backend/file/gnc-backend-file.c:
	* src/backend/file/io-gncxml-v2.c: Move is_gzipped_file to
	  io-gncxml-v2.c. Extend try_gz_open to read from gzipped files.
	  Let gnc_xml2_find_ambiguous and parse_with_subst_push_handler
	  read gzipped files.

	* src/backend/file/sixtp.c:
	* src/backend/file/sixtp.h: Add gnc_is_our_first_xml_chunk.

	* src/backend/file/io-gncxml-v2.h:
	* src/gnome-utils/druid-gnc-xml-import.c: Remove "error" from
	  argument list of gnc_xml2_find_ambiguous.

r14213 | chris | 2006-05-27 22:23:37 -0400 (Sat, 27 May 2006) | 7 lines

   M /gnucash/trunk/src/gnome-utils/gnc-tree-view.c

   The description for the "sort_column" gconf key of the tree_views says, 
   "Possible values for this setting are the name of any column in this 
   dialog (see the column_order key) or the keyword 'none'."

   The third click on a column header removes the sorting by that column.  
   This patch will now store 'none' for the sort_column in that case.

r14212 | chris | 2006-05-27 15:05:41 -0400 (Sat, 27 May 2006) | 12 lines

   M /gnucash/trunk/src/gnome-utils/gnc-tree-view.c

   Use GTK_TREE_SORTABLE_DEFAULT_SORT_COLUMN_ID instead of '0' as the 
   fallback sort column, since column 0 may not be sortable with the 
   default sort function.

   Set the MODEL_COLUMN column property, even when it is -1, since 
   gnc_tree_view_set_sort_column() looks for this condition.

   Make the gnc_tree_view_count_visible_columns() function only count regular
   columns, so that the special columns don't count, but count any 
   DEFAULT_VISIBLE columns, even if they've been hidden by gconf.  That way, 
   the special columns will still show and allow the user to unhide columns.

r14210 | chris | 2006-05-27 10:19:48 -0400 (Sat, 27 May 2006) | 3 lines

   M /gnucash/trunk/lib/libqof/backend/file/Makefile.am
   M /gnucash/trunk/src/backend/file/Makefile.am
   M /gnucash/trunk/src/backend/postgres/Makefile.am

   Add -avoid-version to LDFLAGS of gmodule backends.
   Hopefully this will solve the problem Macs are having dlopen'ing them.

2006-05-27  Joshua Sled  <jsled@asynchronous.org>

	* packaging/gnucash-1.9.x.ebuild: Add docs extraction, un-slot,
	un-/opt-ize.

2006-05-27  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/druid-gnc-xml-import.c: When the user chooses
	  another default encoding, do not recheck the file for ambiguous
	  words, but rather just resort what has been found before.

2006-05-26  Derek Atkins  <derek@ihtfp.com>

	* src/engine/gnc-engine.c: load the qsf backend from the right place.

	* src/engine/gnc-engine.c:
	  force-exit gnucash if a required library can't be loaded.

	* src/engine/gnc-engine.c:
	* lib/libqof/qof/qofsession.c:
	  QOF should load its own backend libraries.
	  It shouldn't depend on apps to load QOF libraries.
	  Make sure app-defined backends are used first.
	  Fix a memory leak in qofsession.

2006-05-26   Christian Stimming <stimming@tuhh.de>

	* src/import-export/hbci/druid-hbci-initial.c: Simplify calling
	the aqhbci setup wizard for aqbanking>=1.9.1 because we don't need
	to select an aqbanking backend beforehand.

2006-05-25  Chris Shoemaker <chris.shoemaker@cox.net>

	* configure.in: REactivate --enable-sql by reverting part of r14175 
	see bug#332251.

r14200 | chris | 2006-05-25 20:23:34 -0400 (Thu, 25 May 2006) | 2 lines

   M /gnucash/trunk/ChangeLog
   M /gnucash/trunk/configure.in

   REactivate --enable-sql by reverting part of r14175; see bug#332251

r14199 | chris | 2006-05-25 20:14:28 -0400 (Thu, 25 May 2006) | 4 lines

   M /gnucash/trunk/src/engine/gnc-engine.c

   Load the file backend _after_ the qsf backend, so that it gets tried 
   _before_ the qsf backend, because the qsf backend prints some noisy error
   messages while figuring out that the gnucash file isn't a qsf file.

r14198 | chris | 2006-05-25 20:10:35 -0400 (Thu, 25 May 2006) | 3 lines

   M /gnucash/trunk/ChangeLog
   M /gnucash/trunk/lib/libqof/backend/file/Makefile.am
   M /gnucash/trunk/lib/libqof/backend/file/qof-backend-qsf.h
   M /gnucash/trunk/lib/libqof/backend/file/qsf-backend.c
   M /gnucash/trunk/lib/libqof/qof/guid.c
   M /gnucash/trunk/lib/libqof/qof/qof.h
   M /gnucash/trunk/lib/libqof/qof/qofbackend-p.h
   M /gnucash/trunk/lib/libqof/qof/qofbackend.c
   M /gnucash/trunk/lib/libqof/qof/qofbackend.h
   M /gnucash/trunk/lib/libqof/qof/qofbook.c
   M /gnucash/trunk/lib/libqof/qof/qofsession-p.h
   M /gnucash/trunk/lib/libqof/qof/qofsession.c
   M /gnucash/trunk/lib/libqof/qof/qofsession.h
   M /gnucash/trunk/lib/libqof/qof/qofutil.c
   M /gnucash/trunk/lib/libqof/qof/qofutil.h
   M /gnucash/trunk/src/backend/file/gnc-backend-file.c
   M /gnucash/trunk/src/backend/file/gnc-backend-file.h
   M /gnucash/trunk/src/backend/file/test/test-load-backend.c
   M /gnucash/trunk/src/backend/file/test/test-load-xml2.c
   M /gnucash/trunk/src/backend/postgres/Makefile.am
   M /gnucash/trunk/src/backend/postgres/PostgresBackend.c
   M /gnucash/trunk/src/backend/postgres/PostgresBackend.h
   M /gnucash/trunk/src/backend/postgres/test/test-db.c
   M /gnucash/trunk/src/backend/postgres/test/test-load-backend.c
   M /gnucash/trunk/src/backend/postgres/test/test-period.c
   M /gnucash/trunk/src/engine/Account.c
   M /gnucash/trunk/src/engine/Makefile.am
   M /gnucash/trunk/src/engine/Period.c
   M /gnucash/trunk/src/engine/Transaction.c
   M /gnucash/trunk/src/engine/gnc-commodity.h
   M /gnucash/trunk/src/engine/gnc-engine.c
   M /gnucash/trunk/src/engine/gnc-engine.h
   M /gnucash/trunk/src/engine/gnc-pricedb.c
   M /gnucash/trunk/src/engine/gnc-session-scm.c
   M /gnucash/trunk/src/engine/gnc-session-scm.h
   M /gnucash/trunk/src/engine/gw-engine-spec.scm
   M /gnucash/trunk/src/gnome-utils/gnc-file.c
   M /gnucash/trunk/src/gnome-utils/gnc-html-graph-gog.c
   M /gnucash/trunk/src/gnome-utils/gnc-main-window.c

   Merge 'misc-backend' -r 14160:14184 into trunk.
   This includes the now semi-functional postgres backend.

2006-05-24  Joshua Sled  <jsled@asynchronous.org>

	* src/register/ledger-core/split-register-load.c (skip_cb):
	Disable skipping hidden accounts for the purposes of quickfill
	completion population.  Less-than-ideal-but-simple fix for
	Bug#340885.

2006-05-24  Derek Atkins  <derek@ihtfp.com>

	* src/report/report-gnome/window-report.c:
	  Re-enable window sensitivity if the report fails.  Fixes #341610

2006-05-24  Christian Stimming <stimming@tuhh.de>

	* configure.in: Deactivate --enable-sql because PostgreSQL backend
	is still broken and we can't fix it before 2.0.0; bug#332251.

r14181 | chris | 2006-05-24 18:57:43 -0400 (Wed, 24 May 2006) | 3 lines

   M /gnucash/branches/misc-backend/lib/libqof/qof/guid.c

   The postgres backend depends on the value of the null guid, so revert it
   to its 1.8 value.

r14180 | chris | 2006-05-24 18:54:03 -0400 (Wed, 24 May 2006) | 2 lines

   M /gnucash/trunk/lib/libqof/qof/gnc-date.c

   Consistently pad date formats with zeros instead of spaces.

r14170 | chris | 2006-05-23 23:55:35 -0400 (Tue, 23 May 2006) | 2 lines

   M /gnucash/branches/misc-backend/src/backend/postgres/Makefile.am
   M /gnucash/branches/misc-backend/src/backend/postgres/PostgresBackend.c
   M /gnucash/branches/misc-backend/src/engine/Account.c
   M /gnucash/branches/misc-backend/src/engine/gnc-commodity.h

   Trivial comments/cleanups.

r14169 | chris | 2006-05-23 23:53:52 -0400 (Tue, 23 May 2006) | 2 lines

   M /gnucash/branches/misc-backend/src/gnome-utils/gnc-html-graph-gog.c

   Clarify unused parameters.

r14168 | chris | 2006-05-23 23:48:00 -0400 (Tue, 23 May 2006) | 3 lines

   M /gnucash/branches/misc-backend/src/gnome-utils/gnc-file.c

   There's no need to rerun the book-saved callbacks in gnc_file_save_as()
   because they've already been run in gnc_file_save()

r14167 | chris | 2006-05-23 23:44:50 -0400 (Tue, 23 May 2006) | 6 lines

   M /gnucash/branches/misc-backend/src/gnome-utils/gnc-file.c
   M /gnucash/branches/misc-backend/src/gnome-utils/gnc-main-window.c

   Use the session URL instead of file path for 
     1) determining if we have something open
     2) determining if we're saving exactly what we have open
     3) updating the title bar

r14166 | chris | 2006-05-23 23:34:18 -0400 (Tue, 23 May 2006) | 2 lines

   M /gnucash/branches/misc-backend/lib/libqof/backend/file/Makefile.am
   M /gnucash/branches/misc-backend/lib/libqof/backend/file/qof-backend-qsf.h
   M /gnucash/branches/misc-backend/lib/libqof/backend/file/qsf-backend.c
   M /gnucash/branches/misc-backend/lib/libqof/qof/qof.h
   M /gnucash/branches/misc-backend/lib/libqof/qof/qofsession.c

   Move the QSF backend from custom init to GModule init.

r14165 | chris | 2006-05-23 23:21:09 -0400 (Tue, 23 May 2006) | 18 lines

   M /gnucash/branches/misc-backend/lib/libqof/backend/file/qsf-backend.c
   M /gnucash/branches/misc-backend/lib/libqof/qof/qofbackend-p.h
   M /gnucash/branches/misc-backend/lib/libqof/qof/qofbackend.c
   M /gnucash/branches/misc-backend/lib/libqof/qof/qofbackend.h
   M /gnucash/branches/misc-backend/lib/libqof/qof/qofsession-p.h
   M /gnucash/branches/misc-backend/lib/libqof/qof/qofsession.c
   M /gnucash/branches/misc-backend/lib/libqof/qof/qofsession.h
   M /gnucash/branches/misc-backend/lib/libqof/qof/qofutil.c
   M /gnucash/branches/misc-backend/lib/libqof/qof/qofutil.h
   M /gnucash/branches/misc-backend/src/backend/file/gnc-backend-file.c
   M /gnucash/branches/misc-backend/src/backend/file/gnc-backend-file.h
   M /gnucash/branches/misc-backend/src/backend/file/test/test-load-backend.c
   M /gnucash/branches/misc-backend/src/backend/file/test/test-load-xml2.c
   M /gnucash/branches/misc-backend/src/backend/postgres/PostgresBackend.c
   M /gnucash/branches/misc-backend/src/backend/postgres/PostgresBackend.h
   M /gnucash/branches/misc-backend/src/backend/postgres/test/test-db.c
   M /gnucash/branches/misc-backend/src/backend/postgres/test/test-load-backend.c
   M /gnucash/branches/misc-backend/src/backend/postgres/test/test-period.c
   M /gnucash/branches/misc-backend/src/engine/Period.c
   M /gnucash/branches/misc-backend/src/engine/Transaction.c
   M /gnucash/branches/misc-backend/src/engine/gnc-engine.c
   M /gnucash/branches/misc-backend/src/engine/gnc-engine.h
   M /gnucash/branches/misc-backend/src/engine/gnc-pricedb.c
   M /gnucash/branches/misc-backend/src/engine/gnc-session-scm.c
   M /gnucash/branches/misc-backend/src/engine/gnc-session-scm.h
   M /gnucash/branches/misc-backend/src/engine/gw-engine-spec.scm

   Decrease coupling between backends and engine:
   - do not include the (supposedly) private qofbackend-p.h in qofutil.h,
       instead, include it explictly in only the places that need it.
   - since backends are GModules, use the GModule module init hook, instead 
       of rolling our own and using a different function for each backend
   - loop over a list of backends for the engine to try to load 
   - include the postgres backend in that list of backends
   - move qof_session_export() from gnc-engine.c to qofsession.c
   - publicize qof_backend_set_error() and qof_backend_get_error()
   - privatize QofBookFileType to gnc-backend-file.c

   Incidental:
   - Plug a string leak in qofsession.c
   - drop the unused gnc_session_scm_export code
   - Drop unimplemented prototype gncBackendInit_file()
   - Formatting cleanups.

r14164 | chris | 2006-05-23 23:18:14 -0400 (Tue, 23 May 2006) | 2 lines

   M /gnucash/branches/misc-backend/lib/libqof/qof/qofbook.c

   Recognize unequal books as unequal.

r14163 | chris | 2006-05-23 23:16:19 -0400 (Tue, 23 May 2006) | 2 lines

   M /gnucash/branches/misc-backend/src/engine/Makefile.am

   Make sure GNC_LIBDIR is updated when the installation dir changes.

r14161 | chris | 2006-05-23 21:40:39 -0400 (Tue, 23 May 2006) | 2 lines

   A /gnucash/branches/misc-backend (from /gnucash/trunk:14160)

   Branched from trunk at r14160, hoping postgres will work again someday... 

r14159 | chris | 2006-05-23 21:25:30 -0400 (Tue, 23 May 2006) | 4 lines

   M /gnucash/trunk/lib/guile-www/cgi.scm
   M /gnucash/trunk/lib/guile-www/http.scm
   M /gnucash/trunk/src/import-export/qif-import/qif-file.scm
   M /gnucash/trunk/src/import-export/qif-io-core/qif-file.scm
   M /gnucash/trunk/src/scm/command-line.scm

   Fix Bug#342736 by replacing "make-shared-substring" with "substring".
   Guile 1.8 automatically shares strings as copy-on-write and no longer
   provides the "make-shared-substring" procedure.

r14158 | chris | 2006-05-23 20:49:10 -0400 (Tue, 23 May 2006) | 3 lines

   M /gnucash/trunk/lib/libqof/qof/gnc-date.c
   M /gnucash/trunk/src/gnome/gnc-plugin-page-budget.c

   Fix Bug#342546 by using the pref date format instead of locale.
   Also prefix-pad fixed-width date formats with '0'.

2006-05-23  Joshua Sled  <jsled@asynchronous.org>

	* src/register/register-gnome/gnucash-sheet.c
	(GTK_ALLOWED_SELECTION_WITHIN_INSERT_SIGNAL): Change test to be
	open-ended on the top, as we expect future GTKs will not allow
	this either, as experience has shown.  Should fix Bug#342182.

2006-05-22  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif-import/*:
	  remove hook to test druid for 2.0 release.

2006-05-22  Christian Stimming  <stimming@tuhh.de>

	* src/gnome/gnc-plugin-page-account-tree.c,
	gnc-plugin-page-register.c: Deactivate the "View Lots" menu item
	because the lot viewer is unfinished as well.

	* src/gnome/gnc-plugin-basic-commands.c: Deactivate the "Close
	Books" menu item because that feature is unfinished as well.

	* src/gnome/gnc-plugin-basic-commands.c: Hide the "Export account
	chart as QSF" as well. Not ready for 2.0.0 due to e.g. bug#341559.

2006-05-21  Christian Stimming  <stimming@tuhh.de>

	* src/gnome/gnc-plugin-basic-commands.c,
	src/gnome/ui/gnc-plugin-basic-commands-ui.xml: Hide the "QSF
	Import" for the 2.0.0 release because it is not yet finished. Can
	be activated again in the next developing HEAD branch.

	* po/ro.po: Initial Romanian translation by Danny Fischer
	<dan.pescaru@gmail.com>

2006-05-20  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/gnc-file.[ch]:
	* src/import-export/log-replay/gnc-log-replay.c:
	* src/import-export/qif-import/druid-qif-import.c: Extend
	  gnc_file_dialog to take a GList of GtkFileFilters instead of a
	  filter string. Allows patterns like *.[Qq][Ii][Ff] without
	  messing up the dialog, fixes #336124.

2006-05-19  David Hampton  <hampton@employees.org>

	* src/register/register-gnome/gnucash-grid.c: Make the blue
	past/future dividing line thicker so that it is obvious.  Fixes
	#342051.

	* src/engine/engine-helpers.c:
	* macros/legacy_macros.m4:
	* configure.in: Make the removal of scm_block_gc conditional on
	having guile 1.8 installed.

	* src/engine/engine-helpers.c: More of the patch from Bill
	Nottingham for compiling with guile 1.8.

2006-05-17  Mike Alexander  <mta@umich.edu>

	* From bugzilla #342153.
        * src/engine/cap-gains.c (finder_helper): Don't add a split with
        the wrong sign to a lot and don't add any split to a lot that is
        fat.
        * src/engine/cap-gains.c (xaccSplitAssignToLot): Set the value and
        amount in the new split after it is in the transaction so the
        correct denominator can be found.
        * src/engine/cap-gains.c (xaccSplitAssign): Ignore splits with
        zero amounts.
        * src/engine/cap-gains.c (xaccSplitComputeCapGains): If the gain
        is already recorded correctly do nothing.  This happens when
        called from gnc_book_partition_txn at which time things are
        inconsistent.
        * src/engine/policy.c (DirectionPolicyGetSplit): Don't add a split
        to a lot unless it will be the new last split.
        * src/engine/Scrub2.c (xaccScrubMergeSubSplits): Make sure the
        splits are really related before merging them.
        * src/engine/Account.c (xaccAccountInsertLot): Don't move the
        splits in the lot into the new account.  The caller does this if
        necessary and this fails when called from gnc_book_close_period.

2006-05-17  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/druid-gnc-xml-import.c: Scott Oonk's patch to
	  activate forward button in XML import druid after having decided
	  on each ambiguous string. Fix #342050.

2006-05-16  Derek Atkins  <derek@ihtfp.com>

	* lib/libqof/qof/gnc-date.c:
	  revert r14081 because we always have localtime_r.

	* lib/libgsl/Makefile.am:
	  don't distribute the gsl specfiles
	* packaging/gnucash.spec.in:
	  fix for change of location of files.

2006-05-16  Christian Stimming <stimming@tuhh.de>

	* lib/libqof/qof/gnc-date.c (timespecCanonicalDayTime)
	(qof_print_date_buff, dateSeparator, gnc_timespec_last_mday)
	(gnc_timespec2dmy): Use localtime_r only when HAVE_LOCALTIME_R is
	defined. Might be undefined on some weird systems out there,
	e.g. windows/mingw32.

2006-05-15  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/test/Makefile.am:
	  need to link against gnome-utils

2006-05-15  Joshua Sled  <jsled@asynchronous.org>

	* lib/libqof/qof/gnc-date.c (timespecCanonicalDayTime)
	(qof_print_date_buff, dateSeparator, gnc_timespec_last_mday) 
	(gnc_timespec2dmy): convert `localtime` to `localtime_r`, after
	seeing localtime fail (strange as it is...).

2006-05-15   Christian Stimming <stimming@tuhh.de>

	* doc/README.german: Updated German README which was horribly
	outdated.

	* doc/README.HBCI: Updated explanation of HBCI features.

2006-05-14  Chris Lyttle  <chris@wilddev.net>

	* NEWS: Added some text about the release.
	* configure.in: Change to version 1.9.6

r14050 | chris | 2006-05-14 17:30:22 -0400 (Sun, 14 May 2006) | 2 lines

   M /gnucash/trunk/src/engine/Transaction.c

   Disable Lots scrubbing, which is causing test-suite failures.

2006-05-14  Joshua Sled  <jsled@asynchronous.org>

	* packaging/gnucash-1.9.x.ebuild (DEPEND): Cleanups from Ed Catmur
	<ed@catmur.co.uk> for better Gentoo-iness, doc install,
	/usr/bin/gnucash-${version} symlink, .desktop install.

	* src/engine/gw-engine-spec.scm: expose gnc:book-get-template-group

	* src/report/standard-reports/general-journal.scm
	(general-journal-options-generator): Filter template
	transactions out of query; Bug#341609.

2006-05-14  Derek Atkins  <derek@ihtfp.com>

	* src/lib/libqof/qof/qofquery.h:
	  Fix the documentation of qof_query_merge for degenerate cases.

	* po/el.po: Updated Greek translation by Nikos Charonitakis
	  <nikosx@gmail.com>
	
r14038 | chris | 2006-05-14 07:59:39 -0400 (Sun, 14 May 2006) | 2 lines

   M /gnucash/trunk/src/backend/file/io-gncxml-v2.c

   Undo accidental revert of part of r13713 by r14026.

r14037 | chris | 2006-05-13 22:07:52 -0400 (Sat, 13 May 2006) | 15 lines

   M /gnucash/trunk/src/gnome/druid-hierarchy.c
   M /gnucash/trunk/src/gnome/gnc-plugin-page-account-tree.c
   M /gnucash/trunk/src/gnome/gnc-plugin-page-budget.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view-account.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view-commodity.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view-price.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view.h
   M /gnucash/trunk/src/import-export/import-account-matcher.c

   Change the method for specifying and recording the default visibility of
   tree-view columns.  There is now a per-column setting, "DEFAULT_VISIBLE",
   similar to "ALWAYS_VISIBLE", that controls the visibility of a column in 
   the absence of, or prior to, gconf management.

   It is no longer necessary for the tree view to store a list of column names
   for default visible columns.

   To faciliate the adaptation of pre-existing tree-views, the 
   view_column_find_by_name() has been publicized as 
   gnc_tree_view_find_column_by_name().

   All callers of gnc_tree_view_configure_columns() have been converted to use
   the DEFAULT_VISIBLE column property.

r14034 | chris | 2006-05-13 00:52:09 -0400 (Sat, 13 May 2006) | 5 lines

   M /gnucash/trunk/src/report/report-system/commodity-utilities.scm
   M /gnucash/trunk/src/report/report-system/report-utilities.scm
   M /gnucash/trunk/src/report/standard-reports/advanced-portfolio.scm
   M /gnucash/trunk/src/report/standard-reports/portfolio.scm
   M /gnucash/trunk/src/report/standard-reports/price-scatter.scm
   M /gnucash/trunk/src/report/standard-reports/transaction.scm
   M /gnucash/trunk/src/scm/gnumeric/table-utils.scm

   Fixing bug #341589:  Apparently, guile 1.8 will actually enforce the rule 
   that all datum portions of case-statement clauses be unique.  The syntax:
   'foo expands to a list of two symbols: (quote foo) 
   If both 'foo and 'bar are used, then the "quote" symbol won't be unique.

2006-05-12  Derek Atkins <derek@ihtfp.com>

	* goffice-config.h.in:
	* gsf-config.h.in:
	  Make sure to properly define _GNU_SOURCE in sub-config files.
	  The build was broken without this.

	* src/engine/gnc-engine.c:
	  Use QSF #defines instead of hard-coding the library name and init-fcn

	* lib/libqof/qof/Makefile.am:
	  change the name of our qof library
	* lib/libqof/backend/file/Makefile.am:
	  change the name of our qsf library
	* lib/libqof/qof/qof.h:
	  point to the newly named qsf library
	* configure.in:
	  Error out if the user calls --enable-qof
	  Change the name of the internal qof library and directories
	  so that our qof can co-exist with a "native" qof

2006-05-12  Christian Stimming <stimming@tuhh.de>

	* src/import-export/hbci/gnc-plugin-hbci.c: Add the Tools->HBCI
	Setup menu item to the register tabs as well. Bug#341510.

r14027 | chris | 2006-05-11 21:47:12 -0400 (Thu, 11 May 2006) | 8 lines

   M /gnucash/trunk/src/gnome-utils/gnc-main-window.c

   Fix Bug #341375.
   When handling the focus-out event for a GtkCellEditable, it's important
   not to keep the editable alive for too long, because the cursor-blink
   timeout expects that the editable still has the focus.  The easiest way to 
   do this is to stop the editing immediately by calling 
   gtk_cell_editable_editing_done() and then handle all the real work from 
   the "editing-done" signal handler.

r14026 | chris | 2006-05-11 20:28:34 -0400 (Thu, 11 May 2006) | 2 lines

   M /gnucash/trunk/src/backend/file/io-gncxml-v2.c

   Minor cleanups to gnc_counter_end_handler().

r14025 | chris | 2006-05-11 20:25:15 -0400 (Thu, 11 May 2006) | 2 lines

   M /gnucash/trunk/src/engine/Makefile.am

   Cause gncla-dir.h to be re-made after a 'make clean'.

r14024 | chris | 2006-05-11 18:25:55 -0400 (Thu, 11 May 2006) | 3 lines

   M /gnucash/trunk/configure.in

   Look for g-wrap's (g-wrap gw standard) or (g-wrap gw-standard) since 
   g-wrap 1.9.6 doesn't have (g-wrap runtime).

r14023 | chris | 2006-05-11 17:21:42 -0400 (Thu, 11 May 2006) | 2 lines

   M /gnucash/trunk/configure.in

   When searching for the g-wrap runtime module, look in the G_WRAP_MODULE_DIR.

r14022 | chris | 2006-05-11 01:04:56 -0400 (Thu, 11 May 2006) | 2 lines

   M /gnucash/trunk/configure.in

   Warn if no g-wrap runtime module is available during configure.

r14002 | chris | 2006-05-10 21:14:12 -0400 (Wed, 10 May 2006) | 3 lines

   M /gnucash/trunk/configure.in
   M /gnucash/trunk/lib/libqof/backend/file/qsf-backend.c
   M /gnucash/trunk/lib/libqof/backend/file/qsf-xml-map.c
   M /gnucash/trunk/lib/libqof/backend/file/qsf-xml.c
   M /gnucash/trunk/lib/libqof/qof/gnc-date.c
   M /gnucash/trunk/lib/libqof/qof/gnc-numeric.c
   M /gnucash/trunk/lib/libqof/qof/guid.c
   M /gnucash/trunk/lib/libqof/qof/kvp_frame.c
   M /gnucash/trunk/lib/libqof/qof/qofbackend.c
   M /gnucash/trunk/lib/libqof/qof/qofbookmerge.h
   M /gnucash/trunk/lib/libqof/qof/qofmath128.c
   M /gnucash/trunk/lib/libqof/qof/qofsql.c
   M /gnucash/trunk/src/backend/file/gnc-backend-file.c
   M /gnucash/trunk/src/backend/file/sixtp-dom-generators.c
   M /gnucash/trunk/src/backend/file/sixtp-utils.c
   M /gnucash/trunk/src/backend/postgres/PostgresBackend.c
   M /gnucash/trunk/src/backend/postgres/account.c
   M /gnucash/trunk/src/backend/postgres/book.c
   M /gnucash/trunk/src/backend/postgres/builder.c
   M /gnucash/trunk/src/backend/postgres/checkpoint.c
   M /gnucash/trunk/src/backend/postgres/escape.c
   M /gnucash/trunk/src/backend/postgres/events.c
   M /gnucash/trunk/src/backend/postgres/gncquery.c
   M /gnucash/trunk/src/backend/postgres/kvp-sql.c
   M /gnucash/trunk/src/backend/postgres/price.c
   M /gnucash/trunk/src/backend/postgres/txn.c
   M /gnucash/trunk/src/backend/postgres/txnmass.c
   M /gnucash/trunk/src/backend/postgres/upgrade.c
   M /gnucash/trunk/src/business/business-ledger/gncEntryLedger.c
   M /gnucash/trunk/src/business/business-ledger/gncEntryLedgerControl.c
   M /gnucash/trunk/src/business/business-ledger/gncEntryLedgerDisplay.c
   M /gnucash/trunk/src/business/business-ledger/gncEntryLedgerLayout.c
   M /gnucash/trunk/src/business/business-ledger/gncEntryLedgerLoad.c
   M /gnucash/trunk/src/business/business-ledger/gncEntryLedgerModel.c
   M /gnucash/trunk/src/engine/TransLog.c
   M /gnucash/trunk/src/engine/gnc-commodity.c
   M /gnucash/trunk/src/engine/test/test-book-merge.c
   M /gnucash/trunk/src/engine/test/test-recursive.c
   M /gnucash/trunk/src/gnome/dialog-chart-export.h
   M /gnucash/trunk/src/gnome/dialog-find-transactions.c
   M /gnucash/trunk/src/gnome/dialog-print-check.c
   M /gnucash/trunk/src/gnome/gnc-split-reg.c
   M /gnucash/trunk/src/gnome/lot-viewer.c
   M /gnucash/trunk/src/gnome/window-reconcile.c
   M /gnucash/trunk/src/gnome-utils/dialog-utils.c
   M /gnucash/trunk/src/gnome-utils/print-session.c
   M /gnucash/trunk/src/import-export/binary-import/druid-commodity.c
   M /gnucash/trunk/src/import-export/import-account-matcher.c
   M /gnucash/trunk/src/import-export/import-backend.c
   M /gnucash/trunk/src/import-export/import-commodity-matcher.c
   M /gnucash/trunk/src/import-export/import-match-picker.c
   M /gnucash/trunk/src/import-export/import-settings.c
   M /gnucash/trunk/src/import-export/import-utilities.c
   M /gnucash/trunk/src/import-export/log-replay/gnc-log-replay.c
   M /gnucash/trunk/src/import-export/mt940/gnc-mt940-import.c
   M /gnucash/trunk/src/import-export/ofx/gnc-ofx-import.c
   M /gnucash/trunk/src/import-export/qif-import/druid-qif-import.c
   M /gnucash/trunk/src/register/ledger-core/split-register.c

   Factor out #define _GNU_SOURCE from various .c files into an AC_GNU_SOURCE
   check in configure.in.

2006-05-10  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif-io-core/qif-parse.scm:
	  Same patch as qif-import/qif-parse.scm for guile-1.8.

	* configure.in: add $GUILE_INCS when testing g-wrap

2006-05-10  Christian Stimming <stimming@tuhh.de>

	* accounts/de_AT/*: Added new Austrian German account templates by
	Roman Bertle <bertle@smoerz.org>.

2006-05-09  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif-import/qif-parse.scm:
	  Bill Nottingham's patch to fix a guile parser problem during build.

r13985 | chris | 2006-05-09 23:54:45 -0400 (Tue, 09 May 2006) | 3 lines

   M /gnucash/trunk/src/business/business-reports/fancy-invoice.scm
   M /gnucash/trunk/src/report/report-system/html-table.scm

   Fix fancy invoice report.  Bug #341046.
   Also, liberalize gnc:html-table-append-row! to accept a non-list argument.

r13984 | chris | 2006-05-09 21:53:24 -0400 (Tue, 09 May 2006) | 2 lines

   M /gnucash/trunk/src/scm/main.scm

   Silence guile warnings about duplicate binding introduced in guile-1.8.

r13966 | chris | 2006-05-08 23:17:04 -0400 (Mon, 08 May 2006) | 2 lines

   M /gnucash/trunk/src/gnome-utils/gnc-main-window.c

   Use g_get_current_time() instead of gettimeofday().  Fixes #341044.

r13965 | chris | 2006-05-08 20:42:32 -0400 (Mon, 08 May 2006) | 3 lines

   M /gnucash/trunk/src/scm/printing/print-check.scm

   Limit memo length to 27 chars on Quicken wallet checks with side stub
   Patch by David Reiser, bug #340977

r13958 | chris | 2006-05-08 00:56:17 -0400 (Mon, 08 May 2006) | 4 lines

   M /gnucash/trunk/src/engine/Split.c
   M /gnucash/trunk/src/engine/Transaction.c

   Remove some unnecessary calls to xaccGroupMarkNotSaved() which were 
   dirtying the book implicitly without setting any time of first change.
   Instead, make sure that committed Splits dirty their parent Transaction.

r13957 | chris | 2006-05-08 00:47:04 -0400 (Mon, 08 May 2006) | 5 lines

   M /gnucash/trunk/lib/libqof/qof/qofinstance-p.h
   M /gnucash/trunk/lib/libqof/qof/qofinstance.c
   M /gnucash/trunk/lib/libqof/qof/qofutil.c

   Add a flag, 'infant', to QofInstance to note that the instance has been 
   committed at least once in its lifecycle.  Then, we can mark the collection
   dirty whenever an object is committed, except for the special case of an 
   QofInstance that has never been committed before and is now being deleted.

r13956 | chris | 2006-05-07 23:04:49 -0400 (Sun, 07 May 2006) | 4 lines

   M /gnucash/trunk/lib/libqof/qof/qofutil.c
   M /gnucash/trunk/lib/libqof/qof/qofutil.h

   Fix off-by-one error when checking editlevel in qof_commit_edit() (and
   macro version), in case we ever want qof_commit_edit() to actually do 
   something with a backend.

r13955 | chris | 2006-05-07 23:02:15 -0400 (Sun, 07 May 2006) | 4 lines

   M /gnucash/trunk/lib/libqof/qof/qofutil.c
   M /gnucash/trunk/lib/libqof/qof/qofutil.h

   Make qof_commit_edit() (and macro version) call qof_backend_run_commit()
   instead of qof_backend_run_begin().
   Minor cleanups of qof_commit_edit() and qof_begin_edit().

r13954 | chris | 2006-05-07 22:54:03 -0400 (Sun, 07 May 2006) | 3 lines

   M /gnucash/trunk/src/backend/file/gnc-budget-xml-v2.c
   M /gnucash/trunk/src/engine/gnc-budget.c
   M /gnucash/trunk/src/engine/gnc-budget.h
   M /gnucash/trunk/src/gnome/gnc-plugin-page-budget.c

   Add begin/commit edit blocks to budget setters.  Change to using the 
   "destroy" method for budget deletion.

2006-05-07  Joshua Sled  <jsled@asynchronous.org>

	* src/engine/Group.c (xaccAccountStagedTransactionTraversal):
	Simplify.

	* src/engine/test-core/test-engine-stuff.c (make_trans_query):
	Don't construct queries involving empty strings, as the query
	processor asserts that string match terms are not empty. Fixes
	`test-query` failure.

	* src/gnome/dialog-scheduledxaction.c (sxd_close_handler):
	Actually close the dialog when we are button-requested to Close
	the dialog, thus cleaning up properly.  Bug#340936.

	* src/register/register-gnome/formulacell-gnome.c
	(gnc_formula_cell_direct_update): Call new factored-out logic.
	Fix Bug#340875 regarding same.

	* src/register/register-gnome/pricecell-gnome.c
	(gnc_basic_cell_insert_decimal): Factor utf8-safe string copying +
	decimal-point insertion out.
	(gnc_price_cell_direct_update): Call new factored-out logic.

2006-05-06  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-tree-view-account.c: Rebuild the column
	selection menu when the report currency is changed.  Fixes
	#340243.

	* src/register/register-gnome/gnucash-header.c:
	* src/gnome-utils/dialog-transfer.c: Trivial replacements for
	deprecated functions.

	* src/gnome-utils/gnc-file.c:
	* src/gnome-utils/gnc-main-window.c: Use the new qof functions to
	provide a dirty indication in the title bar, fixing #339026.  Also
	provide an indication of how long the book has been dirty in the
	"save changes to file" dialog.

	* lib/libqof/qof/qofbook.[ch]:
	* lib/libqof/qof/qofbook-p.h:
	* lib/libqof/qof/qofutil.c: Add support for directly marking the
	book dirty, for recording the time that the book transitioned from
	clean to dirty, and for calling back a registered function when
	the book transitions from clean to dirty.

	* configure.in: Can't use external qof until it supports
	"alternate dirty mode".

	* src/gnome-utils/dialog-commodity.c:
	* src/engine/gnc-lot.[ch]:
	* src/engine/gnc-commodity.[ch]:
	* src/engine/SchedXaction.[ch]: Add begin_edit/commit_edit
	brackets around object modifications.  Bug #339943 should be fixed
	as of this change.

	* src/engine/gnc-pricedb.c: No longer need special handling when
	marking prices as dirty.

	* src/engine/Account.c: Remove redundant setting an account dirty.
	Set collection clean/dirty functions.

	* src/engine/gnc-engine.c: Unconditionally enable qof alternate
	dirty mode.

	* lib/libqof/qof/qofbook.[ch]:
	* lib/libqof/qof/qofid-p.h:
	* lib/libqof/qof/qofinstance.[ch]:
	* lib/libqof/qof/qofid.[ch]:
	* lib/libqof/qof/qofutil.c: Add an alternate mode for handling the
	dirty state of instances and collections.  In this mode, marking
	an instance as dirty does not immediately mark the collection as
	dirty.  The collection is only dirtied when a dirty instance is
	actually committed to the collection.  Also add some debugging
	functions.

2006-05-05  David Hampton  <hampton@employees.org>

	* configure.in: Bump the version number for setting the
	GNOME_DISABLE_DEPRECATED flag.

r13922 | chris | 2006-05-04 20:58:17 -0400 (Thu, 04 May 2006) | 5 lines

   M /gnucash/trunk/src/engine/Split.c

   More consistent Lot<->Split handling.  Try to use the right API for adding
   a cloned Split to the Lot.  Make sure to remove the Split from the Lot when
   deleting a Split.  (This prevents use-after-free by test-lots.)  Add some 
   comments to some strange code that's possibly wrong.

r13921 | chris | 2006-05-04 20:40:15 -0400 (Thu, 04 May 2006) | 13 lines

   M /gnucash/trunk/src/engine/Scrub.c
   M /gnucash/trunk/src/engine/Transaction.c
   M /gnucash/trunk/src/engine/Transaction.h
   M /gnucash/trunk/src/engine/cap-gains.c
   M /gnucash/trunk/src/engine/cap-gains.h

   Move some gains-related transaction-scrubbing operations to from 
   cap-gains.c to Transaction.c.
   Fix a logic error where "split->gains |= ~GAINS_STATUS_ADIRTY" was supposed
   to be "split->gains &= ~GAINS_STATUS_ADIRTY".

   Disable the loop-restart code in xaccTransScrubGainsDate() because I think
   the state changes inside the loop will never cause a previously-skipped 
   Split to be not skipped during another pass.

   Incidental:
      make both xaccTransFindSplitByAccount() arguments 'const'
      Internalize Begin/Commit edit block into xaccTransScrubSplits()

r13920 | chris | 2006-05-04 20:18:59 -0400 (Thu, 04 May 2006) | 2 lines

   M /gnucash/trunk/src/engine/test/test-transaction-reversal.c

   Some testing bits that got left out of r13916.

r13919 | chris | 2006-05-04 20:17:04 -0400 (Thu, 04 May 2006) | 2 lines

   M /gnucash/trunk/src/engine/test-core/test-engine-stuff.c

   Correctly ensure that the amount and value of test Splits have the same sign

r13917 | chris | 2006-05-03 23:59:15 -0400 (Wed, 03 May 2006) | 3 lines

   M /gnucash/trunk/src/register/ledger-core/split-register-load.c

   Fix bug #340168 by ignoring Splits that have been destroyed since the 
   last call to xaccTransBeginEdit().

r13916 | chris | 2006-05-03 20:06:58 -0400 (Wed, 03 May 2006) | 5 lines

   M /gnucash/trunk/src/engine/Transaction.c
   M /gnucash/trunk/src/engine/Transaction.h
   M /gnucash/trunk/src/gnome/gnc-plugin-page-register.c
   M /gnucash/trunk/src/gnome/gnc-split-reg.c

   Hide the Transaction's management of the "reverse-by" KVP inside the engine.
   Add new function xaccTransGetReversedBy() to find the reversing transaction
   if there is one.
   This also ensures that the KVP changes are inside a Begin/Commit block.

2006-05-02  David Hampton  <hampton@employees.org>

	* src/backend/postgres/price.c:
	* src/business/business-core/gncJob.c:
	* src/business/business-core/gncInvoice.c:
	* src/business/business-core/gncVendor.c:
	* src/business/business-core/gncEntry.c:
	* src/business/business-core/gncCustomer.c:
	* src/business/business-core/gncBillTerm.c:
	* src/business/business-core/gncOrder.c:
	* src/business/business-core/gncEmployee.c:
	* src/business/business-core/gncTaxTable.c:
	* src/engine/gnc-budget.c:
	* src/engine/Account.c:
	* src/engine/Group.c:
	* src/engine/gnc-commodity.c:
	* src/engine/SchedXaction.c:
	* lib/libqof/qof/qofobject.c: Use the existing QOF API to modify
	the instance dirty flag.

2006-05-02  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome/glade/sched-xact.glade: Correct option strings in sx
	  editor for tri-annual transactions. Fix #339724.

2006-05-01  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-account.c: Use the parent commodity and
	account type when creating new accounts.  Fixes #337189 and
	#340242.

	* src/gnome-utils/gnc-file.c:
	* src/engine/TransLog.[ch]: Start a new log file after a save.
	Fixes #173056.

2006-05-01  Joshua Sled  <jsled@asynchronous.org>

	* src/register/register-gnome/pricecell-gnome.c
	(gnc_price_cell_direct_update): null-terminate strings we traffic
	in, leading to less crashes! :( Bug#340358.

2006-04-30  David Hampton  <hampton@employees.org>

	* src/gnome/reconcile-list.c: Patch from Mike Alexander to fix the
	cleared split date threshold in the reconcile window. Fixes
	#340235.

2006-05-01  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/gnc-html-graph-gog.c: Add legend only to
	  barchart and piechart plots, not to scatter plots, as there is
	  currently no usage for it. Fix #337769.

2006-04-30  Joshua Sled  <jsled@asynchronous.org>

	Bug#340197: reverse account opening balances when desired.
	* src/gnome/druid-hierarchy.c (balance_cell_data_func): Don't
	invert balances here.  Leads to strange behavior.
	* src/gnome/druid-hierarchy.c (starting_balance_helper): Reverse
	balance if needed by the account.

2006-04-30  Christian Stimming  <stimming@tuhh.de>

	* src/app-utils/gnc-ui-util.c: Fix retrieval of reconcile
	abbreviation if the translators erroneously did not use the same
	string length as the english string. Bug #339722.

2006-04-29  David Hampton  <hampton@employees.org>

	* src/engine/gnc-lot.c:
	* src/engine/cap-gains.[ch]: Patch from Mike Alexander's to handle
	multiple lot dispositions on the same day.  Needed since the
	transaction sorting code may sort gains splits after other splits
	on the same day. Add a new function to find the source split
	associated with a capital gains split.  Also use lot_amount and
	lot_value consistently instead of opening_amount and
	opening_value.

	* src/business/business-gnome/dialog-billterms.c:
	* src/business/business-gnome/glade/billterms.glade: Eliminate
	some gtk warning messages. Stop the contents of the Bill Terms
	dialog from shifting around when the first/last term is
	created/destroyed.

2006-04-30  Andreas Köhler  <andi5.py@gmx.net>

	* configure.in:
	* src/register/register-gnome/gnucash-item-edit.[ch]: Remove all
	  XIM code, as it has been commented out unconditionally already
	  for a while. Send focus in/out events to register GtkEntry.
	  Address #337020.

2006-04-29  Joshua Sled  <jsled@asynchronous.org>

	Bug#157179: make multi-commodity SX handling a bit better.

	* src/gnome/dialog-sxsincelast.c (sxsl_get_sx_vars): refactor to
	process SX splits in the same order as the transaction creation
	routine.  Return needed commodity exchange rates as variables.
	(create_each_transaction_helper): Use the user-provided exchange
	rates to create the splits, not the pricedb.

	* src/gnome/dialog-scheduledxaction.c (gnc_sxed_check_consistent):
	Ensure that auto-create SX template txns aren't in multiple commodities.

	* src/app-utils/gnc-exp-parser.c (gnc_ep_tmpvarhash_check_vals):
	remove printf.

2006-04-29  Christian Stimming  <stimming@tuhh.de>

	* po/glossary/gnc-glossary.txt: Clarify definitions of and
	relations between bill, invoice, job, and order.

2006-04-29  David Hampton  <hampton@employees.org>

	* src/report/report-gnome/gnc-plugin-page-report.c: Don't allow
	the user to save a report until they have changed the report
	name. Remove the duplicate shortcut on the Add Report menu item.

	* src/report/report-system/report.scm: Don't load a custom report
	that has the same name as a standard report.  Fixes #168250.

	* src/bin/gnucash-bin.c: Load the user config earlier in startup.
	Fixes the missing custom report problem #338668.

	* src/register/register-gnome/gnucash-sheet.c: Lower the minimum
	required width of the register.  This does affect the size
	constraint imposed by the register summary bar.

2006-04-28  David Hampton  <hampton@employees.org>

	* configure.in: Default to --enable-error-on-warning only in svn
	based source trees. Fixes #330687.

	* src/gnome/window-reconcile.c:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/engine/gnc-lot.[ch]:
	* src/engine/Transaction.c:
	* src/engine/Scrub2.c:
	* src/engine/cap-gains.c: Mike Alexander's patch to fix lot date
	calculation, and to include all splits when computing capital
	gain's instead of just the opening lot.  Scrub lots when scrubbing
	everything else.  Some MacOs X fixes.

	* src/gnome/gnc-plugin-basic-commands.c: Finishing all pending
	transactions before new and open commands, not just save commands.
	Fixes #334090.

r13885 | chris | 2006-04-29 22:38:11 -0400 (Sat, 29 Apr 2006) | 2 lines

   M /gnucash/trunk/src/gnome/gnc-plugin-page-register.c
   M /gnucash/trunk/src/register/ledger-core/split-register.c

   Take care of any pending changes to a Transaction before voiding it.

r13883 | chris | 2006-04-29 20:43:45 -0400 (Sat, 29 Apr 2006) | 3 lines

   M /gnucash/trunk/src/register/ledger-core/split-register.c

   When deleting the current Transaction in the register, let the action take
   effect immediately by commiting the transaction if it's open.

r13880 | chris | 2006-04-29 11:08:12 -0400 (Sat, 29 Apr 2006) | 2 lines

   M /gnucash/trunk/src/gnome-utils/gnc-tree-view-account.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view-account.h

   Return the GtkTreeViewColumn from gnc_tree_view_account_add_kvp_column().

r13874 | chris | 2006-04-28 22:17:14 -0400 (Fri, 28 Apr 2006) | 3 lines

   M /gnucash/trunk/src/engine/Account.c
   M /gnucash/trunk/src/engine/AccountP.h

   When deleting an Account, also delete any Splits that are set to be 
   added to the Account if their open Transaction is commited.

r13870 | chris | 2006-04-28 09:01:30 -0400 (Fri, 28 Apr 2006) | 3 lines

   M /gnucash/trunk/src/gnome/gnc-plugin-page-budget.c

   For budget data entry interpret an empty string as valid input meaning "0".
   Closes #339946

2006-04-27  Christian Stimming  <stimming@tuhh.de>

	* po/fr.po: Updated French translation by Fabrice Kurz
	<kurzf@voila.fr>.

	* src/import-export/hbci/hbci-interaction.c: Fix
	GNCInteractor_hadErrors() that reported too many errors. Fixes
	#339504.

r13869 | chris | 2006-04-27 17:02:30 -0400 (Thu, 27 Apr 2006) | 2 lines

   M /gnucash/trunk/src/engine/Account.c

   Remove an assertion w/ explanation of why it doesn't hold.  Fixes #339781.

r13865 | chris | 2006-04-26 23:27:46 -0400 (Wed, 26 Apr 2006) | 3 lines

   M /gnucash/trunk/src/register/ledger-core/split-register.c

  Address bug #339288:  When deleting a split, ensure the transaction is open
  for editing, an redraw the display afterward.

r13864 | chris | 2006-04-26 22:52:31 -0400 (Wed, 26 Apr 2006) | 3 lines

   M /gnucash/trunk/src/gnome/gnc-plugin-page-budget.c
   M /gnucash/trunk/src/gnome/gnc-plugin-page-register.c
   M /gnucash/trunk/src/gnome/gnc-split-reg.c
   M /gnucash/trunk/src/gnome/reconcile-list.c
   M /gnucash/trunk/src/gnome/window-reconcile.c

   Remove some unnecessary BeginEdit/CommitEdit calls.
   Early exit the budget keynav function on no-op case.

r13863 | chris | 2006-04-26 22:18:37 -0400 (Wed, 26 Apr 2006) | 14 lines

   M /gnucash/trunk/src/register/ledger-core/split-register-control.c
   M /gnucash/trunk/src/register/ledger-core/split-register-load.c
   M /gnucash/trunk/src/register/ledger-core/split-register.c

   More register fixes related to recent changes:
   For the autofill in basic-ledger mode, avoid an extra BeginCommit.

   For "remove all splits from the transaction" case, also avoid a potential
   extra BeginCommit.  Also, fix a bug where one split might have not been 
   removed if this operation was performed in a register other than the one
   where the transaction was created.

   Make sure that whenever we actually do commit the pending transaction, we
   clear the stored GUID *before* the commit, since it may be checked again
   from the register's refresh event handler.

   In other news, I haven't seen the orphan splits recently...

2006-04-26  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-scheduledxaction.c
	(scheduledxaction_editor_dialog_destroy): re-order SX disolution
	vs. ui teardown.  Add comment info-request response.

2006-04-26  Christian Stimming <stimming@tuhh.de>

	* doc/gnucash.1.in: Properly quote marks. Bug #339731.

2006-04-25  David Hampton  <hampton@employees.org>

	* src/import-export/qif-import/qif-to-gnc.scm:
	* src/import-export/qif-import/qif-merge-groups.scm:
	* src/import-export/qif-import/qif-file.scm:
	* src/import-export/qif-import/druid-qif-import.c:
	* src/gnome/glade/progress.glade: Center the progress dialog on
	the qif import druid.  Fixes #336188.

	* src/engine/gnc-pricedb.c:
	* src/engine/gnc-commodity.c: Mark the collections as clean after
	the default items have been created.  Fixes #337185.

	* src/scm/price-quotes.scm: Fix the crash in #339764.

2006-04-25  Joshua Sled  <jsled@asynchronous.org>
	Bug#119078: promote register parse errors to the user.

	* src/register/register-core/pricecell.c (gnc_price_cell_parse):
	Return error if cell text isn't parseable via expression parser.

	* src/register/register-core/pricecell.c (gnc_price_cell_leave):
	* src/register/register-core/formulacell.c (gnc_formula_cell_leave): 
	Promote error to UI if cell text isn't parseable.

	* src/register/register-core/table-allgui.c (gnc_table_save_cells): 
	* src/register/ledger-core/split-register-load.c
	(gnc_split_register_load): Don't -- seemingly unnecessarily --
	call [...]leave_update here.

2006-04-25  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-plugin-page-register.c: Don't try to update the
	main window page name when invoked with an embedded window.  Fixes
	#339763.

2006-04-25  Christian Stimming  <stimming@tuhh.de>

	* po/de.po: Updated German translation. 3666 out of 3666
	translated.

2006-04-25  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/gnc-tree-view.c: Initialize depth variable in
	  tree view keynav before using it.

2006-04-25  David Hampton  <hampton@employees.org>

	* src/scm/process.scm: Handle the failure to fork a child process
	and print an error message, instead of just ignoring the
	error. Fixes #127241.

	* src/gnome-utils/gnc-currency-edit.[ch]: Add completion support to
	the currency edit widget.  Fixes #339412.

	* src/gnome/glade/account.glade: Don't use the full width of the
	dialog, only as much as is necessary for the content.

r13858 | chris | 2006-04-25 23:30:42 -0400 (Tue, 25 Apr 2006) | 2 lines

   M /gnucash/trunk/src/gnome-utils/gnc-tree-view.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view.h

   Publicize the ALWAYS_VISIBLE column attribute for GncTreeView.

r13847 | chris | 2006-04-25 00:18:45 -0400 (Tue, 25 Apr 2006) | 2 lines

   M /gnucash/trunk/src/gnome/gnc-plugin-page-budget.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view.h

  Implement a keynav policy for the budget page.  Addresses bug #339515.

r13844 | chris | 2006-04-24 18:35:33 -0400 (Mon, 24 Apr 2006) | 10 lines

   M /gnucash/trunk/src/register/ledger-core/split-register.c

   Another crack at fixing bug #327780.  

   Simplify the control flow around the code in gnc_split_register_save() that
   decides what transactions to commit and when.  Be sure to commit the 
   blank transaction even when it's not the pending transaction.  Refresh the
   register after transaction rollback.

   Add more assertions that will either fail in some case I haven't tested or
   prove that more register code is unreachable.

r13843 | chris | 2006-04-24 18:27:37 -0400 (Mon, 24 Apr 2006) | 2 lines

   M /gnucash/trunk/src/register/ledger-core/split-register-control.c

   Use 'pending_trans' variable name for clearer code.

r13841 | chris | 2006-04-24 09:58:04 -0400 (Mon, 24 Apr 2006) | 2 lines

   M /gnucash/trunk/src/register/ledger-core/split-register.c

   Fix uninitialized use in gnc_split_register_empty_current_trans_except_split

2006-04-24   Christian Stimming <stimming@tuhh.de>

	* src/import-export/log-replay/gnc-log-replay.c: Activate newly
	added string as string freeze exception. That bug was grave enough
	to justify this.

r13836 | chris | 2006-04-23 20:58:43 -0400 (Sun, 23 Apr 2006) | 2 lines

   M /gnucash/trunk/src/gnome/gnc-plugin-page-budget.c

  Default the budget page's show_hidden flag to FALSE.  Closes #339413.

r13834 | chris | 2006-04-23 19:01:46 -0400 (Sun, 23 Apr 2006) | 9 lines

   M /gnucash/trunk/src/register/ledger-core/split-register-control.c
   M /gnucash/trunk/src/register/ledger-core/split-register-load.c
   M /gnucash/trunk/src/register/ledger-core/split-register.c

   Don't immediately commit the blank transaction after creating it.
   When saving the register state, don't commit an open transaction unless
   we think it was opened from this register.

   These changes are intended to fix bug #327780.  I've also added several 
   related assertions.  If any of these assertions fail, it may indicate that
   I don't really understand what's going on, and that this may not be the 
   correct fix for #327780.

r13833 | chris | 2006-04-23 17:07:55 -0400 (Sun, 23 Apr 2006) | 4 lines

   M /gnucash/trunk/src/register/ledger-core/split-register-control.c
   M /gnucash/trunk/src/register/ledger-core/split-register-p.h
   M /gnucash/trunk/src/register/ledger-core/split-register.c

   Remove some unnecessary Begin/Commit blocks around code that is already
   transactional.  
   Convert some Split function calls to the xaccSplit... form.

r13830 | chris | 2006-04-22 01:14:48 -0400 (Sat, 22 Apr 2006) | 4 lines

   M /gnucash/trunk/src/engine/Transaction.c

   Internalize the transactional semantics for all Transaction setters.
   This is what I actually intended in r13130, but we want the stuff that
   xaccTransCommitEdit provides over-and-above what qof_commit_edit provides.

r13827 | chris | 2006-04-22 00:42:29 -0400 (Sat, 22 Apr 2006) | 2 lines

   M /gnucash/trunk/src/business/business-core/gncBillTerm.c
   M /gnucash/trunk/src/business/business-core/gncCustomer.c
   M /gnucash/trunk/src/business/business-core/gncEmployee.c
   M /gnucash/trunk/src/business/business-core/gncEntry.c
   M /gnucash/trunk/src/business/business-core/gncInvoice.c
   M /gnucash/trunk/src/business/business-core/gncJob.c
   M /gnucash/trunk/src/business/business-core/gncOrder.c
   M /gnucash/trunk/src/business/business-core/gncTaxTable.c
   M /gnucash/trunk/src/business/business-core/gncVendor.c
   M /gnucash/trunk/src/engine/Transaction.c
   M /gnucash/trunk/src/engine/gnc-pricedb.c

   Replace calls to QOF_COMMIT_EDIT_PART1 macro with calls to qof_commit_edit()

2006-04-22  David Hampton  <hampton@employees.org>

	* src/report/report-gnome/gnc-plugin-page-report.c:
	* src/gnome-utils/gnc-main-window.[ch]:
	* src/gnome/gnc-plugin-page-register.c: Update a report's tab name
	in the main window when the name in the report options is
	changed. Fixes #334199.  Also update a register's tab name if the
	account name is changed.

2006-04-22  Christian Stimming  <stimming@tuhh.de>

	* src/gnome/gnc-split-reg.c: Mark string for translation as
	pointed out by Andreas Köhler.

2006-04-22  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-main-window.c: Fix a null pointer
	dereference.  Don't make the Close button sensitive until a page
	has been added. Fixes #339372.

	* src/pixmaps/Makefile.am:
	* src/gnome-utils/gnc-icons.c: Rename some icon files.

r13825 | chris | 2006-04-21 21:25:35 -0400 (Fri, 21 Apr 2006) | 2 lines

   M /gnucash/trunk/lib/libqof/qof/qoflog.c

   Avoid buffer overrun in qoflog.

2006-04-21  David Hampton  <hampton@employees.org>

	* src/pixmaps/Makefile.am:
	* src/business/business-gnome/gnc-plugin-page-invoice.c:
	* src/gnome-utils/gnc-icons.[ch]:
	* src/gnome/gnc-plugin-page-register.c: Add new icons for
	invoices, adding a scheduled transaction, and the jump action.
	Fixes #339112.

	* src/import-export/log-replay/gnc-log-replay.c:
	* src/engine/TransLog.[ch]: Don't allow the user to open the
	current log file.  This only produces a debug message because of
	the string freeze.  Fixes #337211.  Also add a filter for '*.log'
	to the file selection dialog.

	* src/report/report-gnome/gnc-plugin-page-report.c:
	* src/gnome-utils/gnc-main-window.c: Don't allow a report page to
	be closed of it is in the process of reloading.  Make the close
	buttons on the notebook tabs insensitive when the rest of the UI
	is insensitive. Fixes 339327.

	* src/report/utility-reports/welcome-to-gnucash.scm:
	* src/report/report-gnome/report-gnome.scm: Make the "Welcome to
	GnuCash" report menu item build the entire report, instead of just
	the first sub-report.

	* src/report/report-system/report.scm:
	* src/report/report-system/report-system.scm:
	* src/report/report-gnome/gnc-plugin-page-report.c: Correctly save
	and restore multicolumn reports. Fixes 327627.

	* src/report/report-system/html-document.scm: Don't complain about
	reports without html titles.  This occurs for every embedded
	report.

	* src/gnome/glade/reconcile.glade: Remove translatable flag from a
	label. Remove unused "Reconcile" dialog. This was an old abandoned
	attempt to replace the hardcoded C reconcile dialog with one from
	a glade file.

	* src/gnome/glade/account.glade: Add a tooltip for the "hidden"
	option in the Edit Account dialog.

r13811 | chris | 2006-04-19 21:37:50 -0400 (Wed, 19 Apr 2006) | 2 lines

   M /gnucash/trunk/ChangeLog
   M /gnucash/trunk/configure.in
   M /gnucash/trunk/lib/libqof/backend/file/pilot-qsf-gncCustomer.xml
   M /gnucash/trunk/lib/libqof/backend/file/qof-backend-qsf.h
   M /gnucash/trunk/lib/libqof/backend/file/qsf-backend.c
   M /gnucash/trunk/lib/libqof/backend/file/qsf-xml-map.c
   M /gnucash/trunk/lib/libqof/backend/file/qsf-xml.c
   M /gnucash/trunk/lib/libqof/backend/file/qsf-xml.h
   M /gnucash/trunk/lib/libqof/qof/deprecated.h
   M /gnucash/trunk/lib/libqof/qof/kvp_frame.c
   M /gnucash/trunk/lib/libqof/qof/kvp_frame.h
   M /gnucash/trunk/lib/libqof/qof/qofbookmerge.c
   M /gnucash/trunk/lib/libqof/qof/qofchoice.c
   M /gnucash/trunk/lib/libqof/qof/qofutil.c
   M /gnucash/trunk/lib/libqof/qof/qofutil.h

   Revert r13797 so that it can be recommited as logical, documented changes.

2006-04-19  David Hampton  <hampton@employees.org>

	* src/report/report-system/gnc-report.c: If the report already has
	an id assigned (i.e. restored reports) then add it to the table
	using that id.  Only generate ids for reports that don't have them
	yet.

	* src/gnome-utils/gnc-main-window.c: Don't call shutdown directly
	from the delete_event handler, but use a periodic idle function
	that checks to insure that gnucash isn't saving the data file
	before calling shutdown.  Fixes 338952.  Also ignore repeated
	delete events if a shutdown is queued.

2006-04-19  Christian Stimming  <stimming@tuhh.de>

	* accounts/fr_CH/acctchrt_*.gnucash-xea: New French Swiss account
	templates by Jonathan Ernst.

2006-04-18  David Hampton  <hampton@employees.org>

	* src/report/report-gnome/window-report.[ch]:
	* src/gnome/top-level.c: Parse the old ~/.gnome/GnuCash MDI
	document file to see which 1.8 reports should be opened the first
	time gnucash2 starts.

2006-04-18  Christian Stimming  <stimming@tuhh.de>

	* po/fr.po: Updated French translation by Jonathan Ernst.

	* po/glossary/fr.po: Added French glossary by Jonathan Ernst
	<jonathan@ernstfamily.ch>.

2006-04-18  Derek Atkins  <derek@ihtfp.com>

	* doc/tip_of_the_day.list.in:
	  Fix a 1.8 -> 2.0 string.
	* src/report/standard-reports/register.scm:
	  Fix a string that wasn't marked for translation.

2006-04-16  Chris Lyttle  <chris@wilddev.net>

	* NEWS: Added some text about the release.
	* configure.in: Change to version 1.9.5

2006-04-16  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-gnome/glade/choose-owner.glade:
	* src/business/business-gnome/dialog-choose-owner.[ch]:
	  Add new files to make the string freeze that define the
	  interface to choose a customer or vendor for a hand-entered
	  transaction.  Hopefully we can simplify the input by allowing
	  users to enter a transaction directly and assigning it to a
	  customer/vendor by hand (rather than going through the business
	  interfaces).

r13790 | chris | 2006-04-15 17:37:00 -0400 (Sat, 15 Apr 2006) | 5 lines

   M /gnucash/trunk/src/report/report-system/report-system.scm
   M /gnucash/trunk/src/report/report-system/report-utilities.scm
   M /gnucash/trunk/src/report/standard-reports/balance-sheet.scm
   M /gnucash/trunk/src/report/standard-reports/equity-statement.scm
   M /gnucash/trunk/src/report/standard-reports/trial-balance.scm

   Avoid trying to represent "forever-ago" with a timepair.
   Instead, call gnc:accountlist-get-comm-balance-at-date when we really just
   want the balance at one date.
   This fixes the retained-earnings calculation on the balance sheet report.

2006-04-15  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/druid-gnc-xml-import.c:
	  need to #include gmodule.h.

2006-04-15  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-tree-view-price.c:
	* src/gnome-utils/dialog-account.c:
	* src/gnome-utils/glade/commodity.glade:
	* src/gnome-utils/dialog-commodity.c:
	* src/gnome/gnc-plugin-basic-commands.c:
	* src/gnome/glade/commodities.glade:
	* src/gnome/glade/account.glade:
	* src/gnome/glade/price.glade:
	* src/gnome/dialog-commodities.c: Replace "commodity" with
	"security" where it is user visible.  If its possible to determine
	that the user is operating on a currency instead of a commodity,
	update titles/labels to specify "security". Fixes 338382.

	* src/backend/file/io-gncxml-v2.c:
	* src/import-export/hbci/gnc-hbci-kvp.[ch]:
	* src/engine/Account.c:
	* src/engine/Scrub.[ch]: Clean up the xml file some by dropping
	empty kvp strings/frames and 'false' placeholder values.

2006-04-15  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/druid-gnc-xml-import.c: Fix to compile on
	  systems with glib < 2.9.

2006-04-15  David Hampton  <hampton@employees.org>

	* src/engine/Account.c:
	* src/engine/gw-engine-spec.scm:
	* src/engine/Transaction.c:
	* src/engine/Transaction.h:
	* src/engine/Split.c:
	* lib/libqof/qof/kvp_frame.[ch]: The kvp_frame_get_string()
	function returns a pointer to an internal string.  Mark it 'const'
	to prevent callers from trying to free it.

2006-04-14  David Hampton  <hampton@employees.org>

	* src/register/ledger-core/split-register-load.c:
	* src/gnome-utils/gnc-tree-view-account.[ch]:
	* src/gnome-utils/dialog-account.c:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/glade/account.glade:
	* src/gnome/gnc-plugin-page-budget.c:
	* src/engine/Account.[ch]: Add a per-account "hidden" flag, and
	update the accounts page and the account quickfill to respect this
	flag.  Also flip the "hide zero balance" flag to a "show zero
	balance" flag for symmetry.  Implements 87077.

	* src/gnome/gnc-plugin-page-account-tree.c: Allow the account tree
	view callback to run in addition the the page callback.  Fixes
	303995.

	* src/gnome-utils/glade/preferences.glade: Clarify text regarding
	the lines in the register.  Fixes 338479.

	* src/backend/file/io-gncxml-v2.c:
	* src/gnome-utils/druid-gnc-xml-import.c: Fixes to compile with
	gcc4.

2006-04-14  Andreas Köhler  <andi5.py@gmx.net>

	* lib/libqof/qof/qofbackend.h:
	* lib/libqof/qof/qofsession.c:
	* src/backend/file/gnc-backend-file.[ch]:
	* src/backend/file/io-example-account.[ch]:
	* src/backend/file/io-gncxml-v1.c:
	* src/backend/file/test/test-xml2-is-file.c: Add
	  ERR_FILEIO_NO_ENCODING and test whether xml data file declares
	  encoding.

	* src/backend/file/sixtp.[ch]: Add parsing in push mode.

	* src/backend/file/io-gncxml-v2.[ch]: Add analysis of data file to
	  find ambiguous words because of missing encoding, and parsing of
	  it with string substitutions.

	* src/gnome-utils/druid-gnc-xml-import.[ch]:
	* src/gnome-utils/glade/druid-gnc-xml-import.glade: Add Code and
	  GUI for a druid that enables the user to select from different
	  encodings for each ambiguous word.

	* src/gnome-utils/gnc-file.c: Hook the druid into the file loading
	  process and reload the file if it was successful.

2006-04-14  Derek Atkins  <derek@ihtfp.com>

	* src/engine/Transaction.c:
	* src/engine/test/test-date.c:
	* src/backend/file/test/test-dom-converters1.c:
	  Fix 64-bit compile: Use G_GUINT64_FORMAT instead of %llu or lld
	  for Timespec seconds.
	* src/app-utils/gnc-ui-util.c:
	  Fix 64-bit compile issues:
	  - Use QOF_SCANF_LLD instead of GNC_SCANF_LLD.
	  - Use QOF_SCANF_LLD and G_GINT64_FORMAT properly.
	  - replace %lld with G_GINT64_FORMAT

2006-04-13  David Hampton  <hampton@employees.org>

	* src/register/ledger-core/gnc-ledger-display.c:
	* src/business/business-ledger/gncEntryLedgerDisplay.c:
	* src/gnome-utils/window-main-summarybar.c:
	* src/engine/Transaction.c:
	* src/engine/gnc-event.h:
	* src/gnome/window-reconcile.c: Add a new event for when a split
	associated with account is changed.

	* src/gnome-utils/account-quickfill.c: Improve the performance of
	the listen_for_accounts function.  Never rebuild the list_store
	from scratch as the time required to sort each account insertion
	takes forever with a large number of accounts.

	* src/gnome-utils/window-main-summarybar.c:
	* src/gnome/dialog-commodities.c:
	* src/engine/engine.scm:
	* src/engine/commodity-table.scm:
	* src/engine/gnc-commodity.c:
	* src/app-utils/options.scm: Finish cleaning up old uses of
	NS_ISO. Use the C is_currency function for both C and Scheme
	calls.

	* src/import-export/qif-import/druid-qif-import.c:
	* src/import-export/binary-import/druid-commodity.c:
	* src/import-export/ofx/gnc-ofx-import.c:
	* src/import-export/hbci/druid-hbci-initial.c:
	* src/gnome-utils/dialog-preferences.c:
	* src/gnome-utils/gnc-currency-edit.c:
	* src/app-utils/gnc-euro.c:
	* src/app-utils/options.scm:
	* src/app-utils/gnc-ui-util.c: Replace NS_ISO with NS_CURRENCY.
	This substitution was already performed by the called functions,
	so there this change is purely cosmetic.

	* src/gnome-utils/dialog-commodity.c:
	* src/engine/gnc-commodity.[ch]: Added a couple of comments
	related to the change from NS_ISO to NS_CURRENCY.
	
2006-04-13  Andreas Köhler  <andi5.py@gmx.net>

	* src/engine/Group.c: Fix loop of split account reassignments in
	  xaccGroupMergeAccounts, because the commit of one split will
	  change the list itself. Potentially fix 337048.

2006-04-12  David Hampton  <hampton@employees.org>

	* src/engine/gnc-commodity.c: Update the determination of what's a
	currency and what isn't.  Fixes 337804.

2006-04-11  Andreas Köhler  <andi5.py@gmx.net>

	* qofsession.c (qof_session_load): Fix leakage of old books.

2006-04-11  Derek Atkins  <derek@ihtfp.com>

	* lib/libqof/qof/qofbookmerge.c: fix a few memory leaks.

r13770 | chris | 2006-04-11 22:31:23 -0400 (Tue, 11 Apr 2006) | 3 lines

   M /gnucash/trunk/src/gnome-utils/gnc-tree-view.c

   Test for support of the tree-model-sort interface instead of one particular
   implementation.

r13767 | chris | 2006-04-10 23:12:09 -0400 (Mon, 10 Apr 2006) | 9 lines

   M /gnucash/trunk/src/engine/Split.c

   Implement Split events for Split destruction, Split rollback, (including
   Split un-destruction) and Split re-parenting.
   All these actions now generate ITEM-REMOVED or ITEM-ADDED events for
   related Transactions (as appropriate).

   Minor: allow xaccSplitSetParent() to accept a NULL argument in order to use
   it in the rollback-newly-created-split case.

r13766 | chris | 2006-04-10 22:55:57 -0400 (Mon, 10 Apr 2006) | 7 lines

   M /gnucash/trunk/src/engine/Transaction.c

   Avoid generating Transaction modified events for Transaction roll-back.
   Enable emission of some new Split events.
   Use xaccSplitRollbackEdit() in implementation of xaccTransRollbackEdit().
   Avoid rollback of Splits not owned by the Transaction.  This was actually
   impossible to encounter, but the algorithm is now correct even for some
   cases that aren't permitted by other code. 

2006-04-10  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/hbci/gnc-hbci-gettrans.c:
	* src/import-export/hbci/gnc-hbci-utils.c:
	  Back out r13752.  We don't need to explicitly #include glib.h
	  because qof.h includes it for us.  Besides, it doesn't fix
	  the whole problem.

	* lots of files:
	  Revert r13749.  Wedon't need to explicitly #include glib.h
	  because qof.h includes it for us.  Also, this changeset contains
	  lots of other stuff that has nothing to do with glib.h.  Note
	  that this revision wont build, but I'll fix that shortly.

	* lib/libqof/qof/deprecated.h:
	* lib/libqof/qof/qofutil.h:
	  Create a QOF_SCANF_LLD (because we cannot use the printf version).
	  Keep the deprecated GNC_SCANF_LLD defined in terms of the new
	  QOF_SCANF_LLD.

	* src/backend/file/sixtp-utils.c:
	  use QOF_SCANF_LLD to read 64-bit numbers.
	* src/gnome-utils/QuickFill.c:
	* src/engine/gnc-pricedb.c:
	* src/engine/Transaction.c:
	* src/engine/gnc-commodity.c:
	  convert gnc_string_cache* APIs to CACHE_* APIs.
	* src/engine/Account.c:
	  Properly convert usage of SAFE_STRCMP() to safe_strcmp()
	* src/engine/kvp-scm.c:
	  #include <qof.h> instead of <kvp_frame.h>
	* src/engine/gnc-engine.c:
	  Update the method used to shutdown QOF.

2006-04-08  David Hampton  <hampton@employees.org>

	* src/gnome-utils/account-quickfill.c: Eliminate some unnecessary
	work by comparing the account name in the quickfill with the
	actual account name, and only rebuilding the quickfill if they
	differ.  This improves GnuCash's response somewhat, but still
	needs more improvement.

2006-04-07  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-main-window.c: Include the svn revision
	number in the about dialog.

2006-04-07  Derek Atkins  <derek@ihtfp.com>

	* lib/libqof/qof/qof.h:  QOF requires <glib.h>

2006-04-07  Neil Williams  <linux@codehelp.co.uk>

	* libqof/qof/qof-be-utils.h : Removed. Content
	moved into qofutil.c alongside the function versions.

	* libqof/qof/qofutil.c : Replaces gnc-engine-util.c
	* libqof/qof/gnc-engine-util.c : Removed.
	* libqof/qof/qofutil.h : Replaces gnc-engine-util.h
	* libqof/qof/gnc-engine-util.h : Removed.

	Standardise on gint and gchar. libqof 0.6.4 release.
	* libqof/qof/qofbackend-p.h :
	* libqof/qof/qofbook.c :
	* libqof/qof/qofbackend.h : Replace Doxygen fix.
	* libqof/qof/qofbook.h :
	* libqof/qof/kvp_frame.c :
	* libqof/qof/qofquery.c :
	* libqof/qof/kvp_frame.h :
	* libqof/qof/qoflog.c : Add Utilities to the default
	log_module list.
	* libqof/qof/qofquerycore.h :
	* libqof/qof/qoflog.h :
	* libqof/qof/qofsession.h :
	* libqof/qof/qofid-p.h :
	* libqof/qof/qofreference.c :
	* libqof/qof/qofsql.c : Allow INSERT queries 
	to be logged.
	* libqof/qof/qofsql.h :
	* libqof/qof/gnc-numeric.h :
	* libqof/qof/qofclass.h :
	* libqof/qof/qofla-dir.h.in : Licence typo.
	* libqof/qof/qof.h : New files.
	* libqof/qof/guid.h :
	* libqof/qof/deprecated.c : Replace gnc_strpcpy.
	* libqof/qof/qofbook-p.h :
	* libqof/qof/deprecated.h : Deprecate 
	qof_book_set_schedxactions which has no
	declaration. Deprecate the expression of
	glib.h in the QOF API. libqof2 applications
	will have to include glib.h directly. Prevents
	a redundant dependency in qof packages.
	* libqof/qof/qofinstance.c :
	* libqof/qof/gnc-date.c :
	* libqof/qof/qofquerycore-p.h :
	* libqof/qof/gnc-date.h :
	* libqof/qof/qofevent.c :
	* libqof/qof/qofevent.h :
	* libqof/qof/qofid.h :
	* libqof/qof/qofbookmerge.c :
	* libqof/qof/qofbookmerge.h :
	* libqof/qof/qofgobj.c :
	* libqof/qof/Makefile.am : New files.
	* libqof/qof/qofbackend.c : Move the function 
	versions of the begin_edit and commit_edit
	routines to the Utilities file alongside
	the macro versions from qof-be-utils.h

	* libqof/backend/file/qsf-backend.c : using gint64 so don't use the
	32bit glib macros, GINT_TO_POINTER and GPOINTER_TO_INT.
	* libqof/backend/file/qsf-xml-map.c :
	* libqof/backend/file/qof-backend-qsf.h :
	* libqof/backend/file/qsf-xml.c :
	* libqof/backend/file/qsf-xml.h : add encoding backend 
	option. Set the option using the default KvpValue,
	then manipulate the option and store the value back into the
	KvpValue and backend configuration KvpFrame.

	Explicitly including glib.h instead of relying
	on libqof to reduce dependency problems.
	* register/ledger-core/gnc-ledger-display.c :
	* backend/file/test/test-load-backend.c :
	* backend/file/sixtp-utils.c :
	* business/business-core/gncBusGuile.c :
	* business/business-core/gw-business-core-spec.scm :
	* business/dialog-tax-table/gw-dialog-tax-table-spec.scm :
	* gnome-utils/QuickFill.c :
	* engine/gw-kvp-spec.scm :
	* engine/gnc-pricedb.c :
	* engine/Account.c :
	* engine/engine-helpers.c :
	* engine/gnc-lot.c :
	* engine/kvp-scm.c :
	* engine/Period.c :
	* engine/Transaction.c :
	* engine/test/test-load-engine.c :
	* engine/gnc-commodity.c :
	* engine/gnc-associate-account.c :
	* engine/gnc-engine.c :
	* engine/SchedXaction.c :
	* engine/gnc-session.c :
	* app-utils/gnc-component-manager.c :
	* app-utils/gnc-account-merge.c :

	* app-utils/gnc-ui-util.c : Replacing deprecated code.

	* src/doc/gnc-numeric-example.txt : Move example from
	gnc_numeric.h to a separate Doxygen file.

2006-04-07  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-main-window.c: Patch from chpe@gnome.org to
	use the gtk_show_about_dialog to avoid an inconsistency in the
	GtkAboutDialog code. Fixes 337634.

	* src/backend/file/io-gncxml-v2.c: The cvs version of libxml2
	refuses to write attribute tags that don't have valid namespaces.
	Since gnucash writes the root node of the XML data file by hand,
	there's no node with namespaces that can be passed in to the code
	that generates the gnc:count-data tags.  These tags must be
	generated by hand as well.

	* src/backend/file/gnc-commodity-xml-v2.c: When writing a currency
	to the data file, write the full commodity data block for backward
	compatibility with 1.8, instead of just writing the quote source
	information.

r13738 | chris | 2006-04-05 18:30:00 -0400 (Wed, 05 Apr 2006) | 3 lines

   M /gnucash/trunk/src/engine/test/test-commodities.c

   Make the tests for growing commodity tables more accurate - 
   silences incorrect failures.

r13737 | chris | 2006-04-05 13:59:14 -0400 (Wed, 05 Apr 2006) | 3 lines

   M /gnucash/trunk/src/engine/gnc-commodity.c

   When destroying a commodity, remove it from the commodity table.
   Fixes random crashes demonstrated by test-xml-commodities.

2006-04-05  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/gnc-window.[ch]:
	* src/gnome/gnc-plugin-basic-commands.c: Make the entire UI (menus
	and toolbar) insensitive when the progress bar is showing.
	Replaces the code to make the Save/Save As menus insensitive while
	saving.  Should prevent a whole class of bugs caused by gtk
	commands sneaking in and causing non-recursive code to be entered
	recursively.

2006-04-05  Chris Lyttle  <chris@wilddev.net>

	* NEWS: Added some text about the release.
	* configure.in: Change to version 1.9.4

2006-04-03  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-main-window.[ch]:
	* src/gnome/gnc-plugin-basic-commands.c: Serialize access to the
	"Save" and "Save As" commands.  Fixes 148905.

	* src/backend/file/sixtp-dom-generators.c:
	* src/backend/file/gnc-commodity-xml-v2.c:
	* src/gnome-utils/dialog-commodity.c:
	* src/gnome/dialog-commodities.c:
	* src/engine/gnc-commodity.[ch]: Use the name "Currency"
	internally instead of ISO4217.  Make it possible to edit the "get
	quotes" flag on currencies.

2006-04-02  David Hampton  <hampton@employees.org>

	* src/register/ledger-core/split-register-model.c: Change the
	access key on the "Change Split" button.  Fixes 336836.

	* src/gnome-utils/gnc-main-window.c: Change the access key on the
	Transaction menu to not conflict with the Tools menu.  Fixes
	336829.

2006-04-02  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/dialog-account.c: Set search column for account
	  types lists interactive search. Fix 336833.

2006-04-01  David Hampton  <hampton@employees.org>

	* src/backend/file/gnc-account-xml-v2.c:
	* src/scm/price-quotes.scm:
	* src/engine/Account.c:
	* src/engine/engine-utilities.scm:
	* src/engine/gnc-commodity.c: Mike Alexander's patch to get
	currency quote retrieval working again, and some other small
	currency quote bugfixes.  Closes 333572.

2006-03-31  David Hampton  <hampton@employees.org>

	* src/engine/Transaction.c: Restore sorting transactions by date
	posted.  Fixes 335190.

r13718 | chris | 2006-03-30 20:43:16 -0500 (Thu, 30 Mar 2006) | 5 lines

   M /gnucash/trunk/src/engine/test/test-freq-spec.c
   M /gnucash/trunk/src/engine/test-core/test-engine-stuff.c
   M /gnucash/trunk/src/test-core/test-stuff.c
   M /gnucash/trunk/src/test-core/test-stuff.h

   Return the actual number of test failures with get_rv().
   Use shorter strings for commodity mnemonics.
   Ensure that test splits amount and value have the same sign.
   Avoid numerical overflow in rate calculation when generating test splits.

2006-03-30  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-reset-warnings.c: Fix the dialog so that
	the 'Cancel' button cancels all changes made since the dialog was
	opened. (c.f. The HIG section on explicit apply windows.)  The
	'OK' button is now always sensitive.  Fixes #336629 and #336630.

	* src/backend/file/io-gncxml-v2.c:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/gnc-window.c: Work around the fact that a
	validating XML parser barfs on gnucash's use of an attribute in an
	undefined namespace.

2006-03-30  Joshua Sled  <jsled@asynchronous.org>

	* src/calculation/expression_parser.c (primary_exp):
	* src/app-utils/test/test-exp-parser.c (test_parser): Tighten the
	grammar around quoted strings. Test-case fixes.
	
	* src/calculation/expression_parser.c (primary_exp): 
	* src/app-utils/test/test-exp-parser.c (test_parser): Add basic
	validation and test-cases for invalid expressions.  Bugs#308554,
	334811.
	
	* accounts/C/acctchrt_checkbook.gnucash-xea: Revoke placeholder
	status from leaf Expense account in Simple Checkbook account
	tree.  Bug#334777.

2006-03-30  Christian Stimming  <stimming@tuhh.de>

	* po/es.po: Updated Spanish translation by Eneko Lacunza
	<listas@enlar.net>

2006-03-28  Christian Stimming  <stimming@tuhh.de>

	* src/report/report-system/options-utilities.scm: Move
	gnc:options-add-subtotal-view! options from income-statement,
	account-summary, and balance-sheet to here. Try to clarify the
	wording of the option -- any native english speaker please feel
	free to correct the wording even more.

	* src/report/standard-reports/trial-balance.scm,
	income-statement.scm, equity-statement.scm: Remove unused strings.

	* src/report/standard-reports/account-summary.scm,
	balance-sheet.scm: Revert report date option to the 1.8 state
	where the stock gnc:options-add-report-date! was used and allowed
	many potential relative dates.

2006-03-27  David Hampton  <hampton@employees.org>

	* src/gnome/glade/account.glade:
	* src/gnome/druid-hierarchy.c: Change the title of the category
	view to track changes in the highlighted group name. Fixes
	reopened 334783.

2006-03-27  Christian Stimming  <stimming@tuhh.de>

	* src/register/register-gnome/gnucash-sheet.h: Stick with vertical
	padding of 2 as discussed in bug#334920. 

2006-03-25  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/ui/gnc-plugin-page-register-ui.xml: Add a reconcile
	button to the toolbar of a register page.  Fixes 136522.

	* src/gnome/window-reconcile.c: Add a context menu to the
	reconcile window.  Fixes 120830.

2006-03-25  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/test/Makefile.am:
	  link against GUILE_LIBS when building the test-link test app (#336007)

2006-03-25  David Hampton  <hampton@employees.org>

	* src/register/register-gnome/combocell-gnome.c: Fix the lack of
	action strings in the popup menu.  The problem occurs because the
	menu is populated before the the item edit widget is created.  Add
	a list store to track these strings (what the old menustrings list
	did) which is then passed off to the item_edit widget when that is
	created.  Fixes 334592.

2006-03-24  David Hampton  <hampton@employees.org>

	* src/gnome/ui/gnc-reconcile-window-ui.xml:
	* src/gnome/window-reconcile.c: Add toolbar icons for Postpone and
	Cancel.  Fixes 114267.

	* configure.in: List the optional components that will be compiled
	in the summary at the end of the configure run.

r13698 | chris | 2006-03-24 21:53:51 -0500 (Fri, 24 Mar 2006) | 2 lines

   M /gnucash/trunk/src/report/report-gnome/window-report.c

   More translator-friendly string placement.

r13694 | chris | 2006-03-23 21:01:18 -0500 (Thu, 23 Mar 2006) | 9 lines

   M /gnucash/trunk/src/report/report-gnome/window-report.c

   When opening GnuCash for the first time since 1.8.x, allow the user to 
   choose which reports (if any) to open.  If the user cancels the dialog,
   no reports are opened, otherwise, for each report, they are asked whether
   or not they want to open it.  However, if there are less than 4 reports
   the dialog is skipped and the reports are just opened.  Closes bug#335188.

   Note: if someone implements a solution that opened only precisely the
   reports that were left open in 1.8.x, it's fine to remove this extra code.

r13686 | chris | 2006-03-23 00:41:29 -0500 (Thu, 23 Mar 2006) | 2 lines

   M /gnucash/trunk/src/gnome-utils/dialog-options.c

   Add a label to the budget selection combobox.  Bug#334501

2006-03-23  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-scheduledxaction.c (delete_button_clicked):
	Bug#335564: ensure the book's SX List is as consistent as
	possible; specifically, before we free the SX (which now generates
	an event which walks the book's SX List).

2006-03-24  Andreas Köhler  <andi5.py@gmx.net>

	* src/register/register-gnome/gnucash-grid.c:
	* src/register/register-gnome/gnucash-item-edit.c:
	* src/register/register-gnome/gnucash-sheet.h:
	* src/register/register-gnome/gnucash-style.c: Add vertical
	  padding in register cells and align text, editable text and the
	  text cursor vertically. This makes the cells taller and centers
	  the text. Add one pixel to the horizontal padding.

2006-03-23  David Hampton  <hampton@employees.org>

	* numerous: Regularize capitalization of the word 'GnuCash' where
	its user visible.

2006-03-23  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-gnome/businessmod-gnome.c:
	  open the bills due reminder at BOOK_OPENED instead of UI_START.
	  This gets us the bills-due reminder on File->Open as well.

2006-03-23  David Hampton  <hampton@employees.org>

	* src/backend/postgres/checkpoint.c: Update to compile on FC5.

2006-03-23  Christian Stimming <stimming@tuhh.de>

	* src/import-export/hbci/hbci-interaction.c: Store the log level
	of all printed messages and use this as yet another check whether
	aqbanking had any errors.

r13683 | chris | 2006-03-22 19:33:11 -0500 (Wed, 22 Mar 2006) | 3 lines

   M /gnucash/trunk/src/register/ledger-core/split-register-control.c

   Avoid infinite loop in gnc_find_split_in_trans_by_memo(). Bug #335465
   Reported by Mike Alexander.

2006-03-22  David Hampton  <hampton@employees.org>

	* accounts/*/acctchrt_common.gnucash-xea: Mark all common account
	sets to be initially selected when creating a new file.
	
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/glade/account.glade:
	* src/gnome/dialog-new-user.c:
	* src/gnome/druid-hierarchy.[ch]: Differentiate between calling
	the hierarchy druid from the new user code and from the window
	menus.  In the former case, account sets that are marked to be
	initially selected will be pre-selected in the "account sets"
	tree.  In the latter case (e.g. adding a new account set to
	existing accounts) these markings will be ignored.  Don't allow
	the user to move off the account set selection page until at least
	one account set is selected.  Relabel a window to make it clear
	that the account tree only reflects the accounts in one particular
	set, not the aggregate set of accounts that will be created.
	Fixes 334778, 334780 and 334783.

2006-03-22  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/gnc-dense-cal.c:
	* src/gnome-utils/gnc-frequency.c:
	* src/gnome-utils/gnc-recurrence.c: Remove some optional return
	  value locations in emissions of signals without return value.

	* src/gnome-utils/gnc-html-graph-gog.c: Rename gtkhtml workaround,
	  non-squared graphs in gtkhtml >= 3.10.1. Fix 328114.

2006-03-21  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-account.[ch]:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/glade/account.glade:
	* src/gnome/ui/gnc-plugin-page-account-tree-ui.xml: Add support
	for renumbering the account codes for all the children of a given
	account.  Implements 334594.

2006-03-21  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome/gnc-plugin-page-register.c: Fill the filter by dialog
	  with given start/end time instead of calculating earliest/latest
	  date found. Fix 335237.

	* src/gnome-utils/gnc-date-edit.c (gnc_date_edit_get_date): Avoid
	  needless second call to mktime.

2006-03-19  Chris Lyttle  <chris@wilddev.net>

	* NEWS: Added some text about the release.
	* configure.in: Change to version 1.9.3

2006-03-19  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/dialog-options.c: Treat the date option widget
	  as container if it shows absolute and relative dates, in
	  multichoice_cb. Fix 335106. Replace deprecated
	  g_object_{set,get}_data calls.

2006-03-18  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/gnc-dense-cal.c: Replace gdk_draw_pixmap with
	  gdk_draw_drawable.

	* src/gnome/dialog-sx-from-trans.c: Let glib subtract days from a
	  GDate, because G_DATE_BAD_DAY (0) is a bad day. Clear the date
	  before setting day and update frequency specification before
	  moving one day back.

	* src/gnome-utils/gnc-embedded-window.c:
	* src/gnome/dialog-sxsincelast.c:
	* src/gnome/dialog-scheduledxaction.c: Correct SX editor and Since
	  Last Run dialog to close their register plugin pages instead of
	  only the ledgers. Fix 334627.

2006-03-18  Christian Stimming  <stimming@tuhh.de>

	* src/scm/doc.scm, src/scm/main.scm: Comment out
	gnc:load-help-topics function because it isn't used anymore, and
	with the last change it also won't be translated anymore.
	
	* src/scm/help-topics-index.scm: Remove translation macros so that
	this unused file isn't included in the translation template any
	more. Avoids useless translation work.

2006-03-17  David Hampton  <hampton@employees.org>

	* src/scm/price-quotes.scm:
	* src/gnome/dialog-price-edit-db.c: Pass a dialog pointer through
	the scm code and back to the C error display functions.  This will
	parent the error dialog properly.  Fixes 334929.

	* src/gnome-utils/account-quickfill.c: Enhance the quickfill event
	handler to detect changes in whether an account should appear in
	the quickfill.  Fixes 334787.

	* src/gnome-utils/gnc-file.c:
	* src/gnome-utils/gnc-main-window.c:
	* src/engine/gnc-hooks.[ch]: Add a "book saved" hook.  Use this to
	update the window titles after a file is saved.  Fixes 334789.

2006-03-17  Andreas Köhler  <andi5.py@gmx.net>

	* src/engine/Split.c: Fix return value of get_corr_account_split
	  and reverse the tests of its callers. Fix 334801.

2006-03-16  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-tree-view-account.c:
	* src/gnome-utils/gnc-tree-view-commodity.c:
	* src/gnome-utils/gnc-tree-view-price.c:
	* src/gnome-utils/gnc-tree-view.c: Use the stable sort function
	from Account.c to back up the user selected primary sort
	column. Fixes 334595.  Also collapse common code, pull strings via
	the model, and use the utf8 collate function instead of strcmp.

	* src/gnome-utils/gnc-tree-model-account.c:
	* src/engine/Account.[ch]:
	* src/engine/Recurrence.c: Collapse duplicated code into a single
	function.

2006-03-16  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome/dialog-commodities.c: 
	* src/gnome/dialog-price-edit-db.c: Add row_activated callback to
	  commodity and price editor tree views. Fix 334661.

	* src/gnome/gnc-plugin-page-register.c: Make register ui update
	  unconditionally if in a GncEmbeddedWindow.

2006-03-16  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-tree-view-commodity.c:
	* src/gnome-utils/gnc-tree-view-price.c:
	* src/engine/Account.c:
	* src/core-utils/gnc-glib-utils.[ch]: Add a wrapper function for
	g_utf8_collate that handles checking for null pointers or null
	strings.

	* src/gnome-utils/gnc-tree-model-account.[ch]:
	* src/gnome-utils/gnc-tree-view-account.c: Move the computation of
	accounting period balances into the model and colorize it.

2006-03-16  Christian Stimming <stimming@tuhh.de>

	* src/gnome/Makefile.am: Add more linker flags for referenced
	libraries. Necessary when the required libraries are not inferred
	from the dependencies by that particular libtool, e. g. on
	windows/mingw32.

2006-03-15  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-main-window.c: Treat the file name as utf8
	when finding the file name for the window title.

	* src/gnome-utils/gnc-main-window.c: Don't create a new window for
	a page if there's already an open blank window.  Fixes 334672.

2006-03-15  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome/window-reconcile.c: Add a call to gnc_tm_set_day_end
	  to correct initial ending balance in reconcile windows.

2006-03-15  Derek Atkins  <derek@ihtfp.com>

	* lib/libqof/backend/file/qsf-backend.c:  add <locale.h>
	  Note:  it think it's probably wrong to set the locale here.

	* src/business/business-core/Makefile.am:
	  Move sources to remove the libgw-engine dependency.

	* src/business/business-core/Makefile.am:
	* src/business/business-core/file/Makefile.am:
	  move file-backend dependency from core to core/file.

2006-03-15  Christian Stimming <stimming@tuhh.de>

	* src/gnome-utils/Makefile.am: Add more linker flags for
	referenced libraries. Necessary when the required libraries are
	not inferred from the dependencies by that particular libtool,
	e. g. on windows/mingw32.

	* src/gnc-module/gnc-module.h: Remove include <ltdl.h> that is
	unnecessary for code using this header. Gets rid of some <ltdl.h>
	weirdness that plagues other object code files on windows.

2006-03-14  Christian Stimming <stimming@tuhh.de>

	* src/backend/file/gnc-backend-file.c: Disable extra NFS lockfile
	checking on windows due to missing link(2). This is not a problem
	because on windows there also is no NFS, and the
	open(O_CREAT|O_EXCL) is sufficiently atomic for our purposes.

	* src/backend/file/io-gncxml-v2.c: Disable file compression on
	windows due to missing pipe(2), conditioned on #ifdef
	_WIN32. Insert code suggestion for windows, but is disabled for
	now.

	* src/gnome-utils/gnc-druid-provider-multifile-gnome.h: Improve
	include order so that building without <glob.h> is possible.

2006-03-14  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-tree-view-account.c:
	* src/gnome-utils/gnc-account-sel.c:
	* src/gnome/druid-stock-split.c:
	* src/engine/Account.c:
	* src/engine/gw-engine-spec.scm:
	* src/engine/Group.[ch]: Leave the accounts unordered in the
	engine.  Switch the g-wrap functions that return account lists to
	use new functions that return sorted lists so that they see no
	change.  Fixes 331855.  Also change the default account sorting to
	sort on utf8 strings.

	* src/gnome-utils/dialog-account.c: Fix a warning message.

2006-03-13  Neil Williams  <linux@codehelp.co.uk>

	* : Synchronise with external QOF 0.6.3

	* qof/deprecated.c : Tweak.
	* qof/deprecated.h : Tweak.
	* qof/gnc-date.c : Use the macro defined in
	external QOF that avoids a legacy gnucash macro.

	* backend/file/qsf-backend.c : Standardise on gint and gchar.
	Skip unregistered objects when processing maps.
	* backend/file/qsf-map.xsd.xml : allow for iteration of hierarchical
	objects
	* backend/file/qsf-xml-map.c : Standardise on gint and gchar.
	Correct map handling to allow reverse operations and iteration
	over hierarchical objects. Improving debug messages
	and preventing a crash when loading a map directly.
	* backend/file/pilot-qsf-gncCustomer.xml : add reverse mapping
	* backend/file/qsf-xml.c : Standardise on gint and gchar.
	* backend/file/qsf-xml.h : Standardise on gint and gchar.
	Support iteration over incoming QSF objects inside map
	operations. Remove gnucash-specific gettext defines.

2006-03-13  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/gnc-plugin-page.c (gnc_plugin_page_add_book):
	  Save a QofBook instead of its GUID in the list of books. This
	  should renable the deletion of some plugin pages.

2006-03-13  Christian Stimming <stimming@tuhh.de>

	* */*.scm: Reduce debug stack size from 2,000,000 to 200,000
	because guile on windows will only accept the smaller value.

2006-03-12  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-main-window.[ch]:
	* src/gnome-utils/gnc-plugin-page.[ch]:
	* src/gnome/gnc-plugin-basic-commands.c:
	* src/gnome/gnc-plugin-page-register.c: Add a new per-page
	callback to tell the page to finish any pending activities.  The
	page may return FALSE to abort whatever the caller's normal
	function.  Add helper routines to iterate over all pages in a
	window, or all pages in all windows.  Call these new functions
	before Quit, Save, Close, and closing a window.  The register page
	now implements this hook and uses it to save/discard any pending
	transaction.  Closes 334090.

	* src/gnome-utils/glade/commodity.glade: Tweak a couple of
	tooltips. Try and make it clear that the commodity mnemonic field
	must exactly match that used by the quote source.

	* src/report/standard-reports/advanced-portfolio.scm: Andrew
	Sackville-West's patch to tidy up the multi-currency handling
	quite a bit. It also adds some functionality such as showing the
	basis, realized and unrealized gains, and takes advantage of the
	new gnc_pricedb_lookup-latest-before function.

	* src/business/business-reports/aging.scm: Andrew Sackville-West's
	patch to show zero balance entries in the payables and receivables
	aging reports.

	* src/engine/gnc-pricedb.[ch]:
	* src/engine/gw-engine-spec.scm: Andrew Sackville-West's changes
	to add the ability to lookup the latest price before a specific
	date.

	* src/register/register-gnome/gnucash-sheet.[ch]:
	* src/register/ledger-core/split-register.[ch]:
	* src/register/ledger-core/split-register-control.c:
	* src/gnome/gnc-split-reg.[ch]:
	* src/gnome/gnc-plugin-page-register.c:
	* src/engine/Transaction.h: Replace the changes in r13361 with a
	better method for determining when a change in the register needs
	to be reflected in the available user actions.  Now updates the
	Void and Unvoid actions which implements the enhancement request
	in 330763.

2006-03-11  David Hampton  <hampton@employees.org>

	* src/register/register-gnome/combocell-gnome.c:
	* src/register/register-gnome/gnucash-item-list.[ch]: Finish
	removing the redundant list of valid strings maintained by the
	combocell and use the list in the item_edit widget.  Fixes the
	problem where account cell contents disappear when focusing in/out
	of an account cell.

	* src/gnome-utils/account-quickfill.c: Update the quickfill to
	watch for accounts being added/removed from the account
	tree. Fixes 152101 and 302682.

2006-03-11  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-search/dialog-search.c:
	  Make sure we translate the button label string.

	* src/business/business-reports/invoice.scm:
	  translate "Thank you.." string.

	* src/engine/Makefile.am:
	  fix the build-order (and install order) of the engine libs.

2006-03-11  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-tree-model-account.c:
	* src/engine/Group.c: The account tree model event handler needs
	to be more robust in the case of multiple account sets existing at
	the same time. Pass the account group instead of the parent
	account so that its possible to determine which model a "top
	level" account belongs to.  Fixes 333866.

2006-03-11  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/dialog-commodity.c: Fix order of parameters to
	  gnc_ui_common_commodity_modal, and 334181.

	* src/gnome-utils/window-main-summarybar.c: Unref the summary bar
	  list store so that it gets deleted together with the combobox.

	* src/gnome-utils/gnc-tree-view-account.c: Avoid calculation of
	  account period total for the top level account.

r13607 | chris | 2006-03-11 22:38:27 -0500 (Sat, 11 Mar 2006) | 3 lines

   M /gnucash/trunk/src/gnome-utils/dialog-utils.c
   M /gnucash/trunk/src/gnome-utils/glade/transfer.glade

   Restore some widget names that were lost in r9938 but still used by 
   dialog-transfer.c.   Added a warning to find more bugs like this one.

r13601 | chris | 2006-03-11 14:39:16 -0500 (Sat, 11 Mar 2006) | 7 lines

   M /gnucash/trunk/src/engine/Group.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-model-account.c

   Change the account removal event back to using the parent account instead of
   the group, but delay the nulling of the account's group pointer until after
   the generation of the remove event.  That way, the tree model can verify
   that the removed account's root is the same as the root for the model.
   Also, in the model's event handler, check that accounts are in the same book
   as the model is for.

r13594 | chris | 2006-03-10 20:23:43 -0500 (Fri, 10 Mar 2006) | 4 lines

   M /gnucash/trunk/src/backend/file/sixtp-utils.c
   M /gnucash/trunk/src/backend/file/test/test-save-in-lang.c
   M /gnucash/trunk/src/gnc-module/gnc-module.c

   Invert sense of conditions involving g_setenv() since its return value
   is different than that of setenv().  Also, convert last remaining uses of 
   setenv() to g_setenv().

2006-03-10  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-main-window.c: Walk through the list of
	plugins installed in a window and uninstall them before the window
	is destroyed. Fixes 333973.

	* src/core-utils/gnc-gobject-utils.c: Change the output from this
	file to use g_message instead of g_warning so the
	--g-fatal-warnings argument doesn't trip over it.

2006-03-10  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif-import/qif-dialog-utils.scm:
	  gnc:get-account-from-full-name requires two args, not three (#334170)

	* Makefile.am: put ".links" into lib so rm -rf works properly
	  from the top-level of the source tree.

2006-03-10  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-main-window.c: Show newly created windows
	when restoring the second and subsequent windows.

2006-03-10  Christian Stimming <stimming@tuhh.de>

	* po/*.po: Recode all po files into UTF-8 character encoding,
	except for the most recent ones, and uk.po which seems to contain
	encoding errors.

	* configure.in, src/gnome-utils/dialog-utils.c: Gnucash replaced
	dlopen/dlsym by the g_module functions, so don't error out if they
	are unavailable; dlsym is needed only optionally for BSD
	linkers. Also removes quotation error in AC_MSG_ERROR macro.

	* src/gnome-utils/gnc-druid-provider-multifile-gnome.h,
	gnc-druid-provider-file-gnome.c: If <glob.h> unavailable, provide
	own typedef and disable globbing.

2006-03-09  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/gnc-main-window.c: Move retrieval of private
	  data of main window after the creation of the window.

2006-03-09  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-tree-model-commodity.c:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/gnc-tree-model-price.c:
	* src/gnome-utils/gnc-plugin-page.[ch]:
	* src/gnome-utils/gnc-account-sel.c:
	* src/gnome-utils/account-quickfill.c:
	* src/engine/gnc-commodity.h:
	* src/engine/gnc-engine.h:
	* src/app-utils/gnc-component-manager.c:
	* lib/libqof/qof/deprecated.[ch]:
	* lib/libqof/qof/qofevent.c:
	* lib/libqof/qof/qofevent-p.h:
	* configure.in: Finish removing deprecated QOF functions.

	* src/gnome/dialog-price-editor.c:
	* src/gnome/top-level.c:
	* src/gnc-ui.h: Restore clickable links for price quotes.

2006-03-09  Neil Williams <linux@codehelp.co.uk>

	* src/optional/Makefile.am : Make xsl/ available
	for installation and therefore packaging.

2006-03-09  Neil Williams <linux@codehelp.co.uk>

	* src/gnome/druid-merge.c : Use new function names.
	* src/engine/test/test-book-merge.c : Use new function names.

	* lib/libqof/qof/qof_book_merge.c : Removed.
	* lib/libqof/qof/qof_book_merge.h : Removed.
	* lib/libqof/qof/qofbookmerge.c : Replacement file.
	* lib/libqof/qof/qofbookmerge.h : Replacement file.
	* lib/libqof/qof/qof.h : Use new filename.
	* lib/libqof/qof/deprecated.c : Deprecate old function
	names from qof_book_merge in favour of new from qofbookmerge.
	* lib/libqof/qof/deprecated.h : Added deprecated function
	declaration.s
	* lib/libqof/qof/Makefile.am : New files.

2006-03-09  Neil Williams <linux@codehelp.co.uk>

	* lib/libqof/qof/qofquery-deserial.c : Update status; this
	file will not exist in libqof2

2006-03-09  Neil Williams <linux@codehelp.co.uk>

	* lib/libqof/qof/qofevent.h : Doxygen tweak.

2006-03-09  Neil Williams <linux@codehelp.co.uk>

	* lib/libqof/backend/file/qsf-backend.c : Remove deprecated
	glib function g_strncasecmp in favour of g_ascii_strncasecmp

2006-03-09  Neil Williams <linux@codehelp.co.uk>
	* src/optional/xsl : New directory for optional XSL
	* src/optional/xsl/vcard-gnccustomer.pl : Perl script
	to create QSF from VCards
	* src/optional/xsl/gnucash-gnccustomer-vcard2.xsl :
	XSL to generate vcards from QSF (gncCustomer)
	* src/optional/xsl/gnucash-std.xsl : Common routines
	for gnucash XSL stylesheets
	* src/optional/xsl/Makefile.am : Don't build, just install.
	* src/optional/xsl/string.xsl : xsltsl standard library XSL
	in place until available as a package.
	* src/optional/xsl/README : Notes on using XSL and examples.
	* src/optional/xsl/date-time.xsl : xsltsl standard library.
	* src/optional/Makefile.am : install only.
	* configure.in : Add instruction to build a Makefile in
	src/optional/xsl

2006-03-09  Neil Williams <linux@codehelp.co.uk>

	* src/business/business-core/gncInvoice.c : Enable
	QOF_TYPE_COLLECT to allow recursive copying of gncEntry
	within a gncInvoice for QSF export.

2006-03-09  Christian Stimming <stimming@tuhh.de>

	* lib/libqof/qof/qoflog.c, lib/libqof/qof/gnc-date.c,
	src/engine/Transaction.c: Add substitution code for unavailable
	functions gettimeofday and gmtime_r.

	* configure.in, Makefile.am: Replace "ln -sf" by "$(LN_S) -f" for
	systems that don't have symbolic links available.

	* configure.in, src/gnome-utils/gnc-druid-provider-file-gnome.h:
	Check for <glob.h> and provide own typedef if header unavailable.

	* configure.in, src/gnome-utils/gnc-gnome-utils.c: Check for
	<X11/Xlib.h> and ignore code section if header unavailable.

	* po/glossary/vi.po: Updated vietnamese glossary by Clytie Siddall
	<clytie@riverland.net.au>

2006-03-09  David Hampton  <hampton@employees.org>

	* src/engine/gw-engine-spec.scm:
	* src/engine/Group.c:
	* lib/libqof/qof/qofquery.c:
	* lib/libqof/qof/qofsession.c: Remove more functions to be
	deprecated in libqof2. (Pass Three - more trivial substitutions
	and simple translations.)

	* numerous: Never include "config.h" from a header file. Doing so
	makes it nigh impossible to override configuration settings.

r13576 | chris | 2006-03-09 23:23:48 -0500 (Thu, 09 Mar 2006) | 3 lines

   M /gnucash/trunk/src/gnome-utils/dialog-transfer.c
   M /gnucash/trunk/src/gnome-utils/dialog-transfer.h
   M /gnucash/trunk/src/register/ledger-core/split-register-control.c

   Factor out and create new function: gnc_xfer_dialog_run_exchange_dialog()
   This isolates the amount-to-value conversion algorithm from the register.

r13575 | chris | 2006-03-09 21:28:28 -0500 (Thu, 09 Mar 2006) | 3 lines

   M /gnucash/trunk/src/register/ledger-core/split-register-control.c
   M /gnucash/trunk/src/register/ledger-core/split-register-p.h
   M /gnucash/trunk/src/register/ledger-core/split-register.c

   More register line wraps, clean-ups, etc., plus some minor re-ordering
   to prepare for some factoring.

r13538 | chris | 2006-03-08 00:47:36 -0500 (Wed, 08 Mar 2006) | 2 lines

   M /gnucash/trunk/src/engine/Transaction.c
   M /gnucash/trunk/src/engine/Transaction.h
   M /gnucash/trunk/src/register/ledger-core/split-register-load.c
   M /gnucash/trunk/src/register/ledger-core/split-register.c

   More line-wraps, cleanups, factoring new function: xaccTransGetSplitIndex().

2006-03-08  David Hampton  <hampton@employees.org>

	* numerous: Remove more functions to be deprecated in
	libqof2. (Pass Two - more trivial substitutions, some simple
	translations.)

	* numerous: Remove functions to be deprecated in libqof2. (Pass
	One - trivial substitutions.)

	* src/gnome-utils/gnc-tree-model-account.c:
	* src/engine/Account.c:
	* src/engine/Group.c: Remove extra events added in r13483.  This
	leaves the REMOVE event as the only changed event.

2006-03-08  Derek Atkins  <derek@ihtfp.com>

	* src/engine/gnc-filepath-utils.c:
	  gstdio.h and g_mkdir are in glib-2.6 -- use old APIs with glib-2.4.

	* lib/libqof/qof/qofevent.[ch]:
	  Fix the definition of QOF_EVENT_BASE; use QOF_EVENT__LAST for tests.

	* src/engine/gnc-event.h:
	  Add GNC_EVENT_ITEM_ADDED and GNC_EVENT_ITEM_REMOVED event definitions
	* src/engine/Split.c:
	  Emit GNC_EVENT_ITEM_ADDED and GNC_EVENT_ITEM_REMOVED events
	  when a split is added or removed from an account.
	* configure.in: depend on QOF 0.6.3 for proper event handling.

2006-03-08   Christian Stimming <stimming@tuhh.de>

	* src/gnc-module/gnc-module.c, src/backend/file/sixtp-utils.c:
	Replace setenv() by g_setenv for increased cross-platform
	compatibility.

	* src/engine/gnc-filepath-utils.c: Replace mkdir by g_mkdir for
	increased cross-platform compatibility.

	* src/core-utils/gnc-gconf-utils.c,
	src/business/business-gnome/business-urls.c
	src/gnome-utils/dialog-preferences.c
	src/gnome-utils/gnc-currency-edit.c
	src/gnome-utils/gnc-plugin-file-history.c
	src/gnome-utils/gnc-main-window.c
	src/gnome-utils/dialog-reset-warnings.c
	src/gnome-utils/gnc-tree-view.c src/gnome/window-reconcile.c
	src/app-utils/file-utils.c src/app-utils/gnc-ui-util.c : Replace
	index(3) by strchr(3) and rindex(3) by strrchr(3) because the
	latter is more widely available.

2006-03-07  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-splash.c: Use a font size of "smaller" when
	printing to the splash screen. Should solve 104436 except for
	people running with huge system fonts.

	* src/gnome-utils/gnc-tree-view-account.[ch]: Relabel column
	titles from "XXX (Report)" to a label that includes the currency
	mnemonic (e.g. "Total (EUR)"). Closes 118695.

	* src/app-utils/gnc-ui-util.c:
	* src/engine/gnc-hooks.[ch]: Cache the result of a gconf lookup
	for a currency choice.  Add a new callback hook for when a user
	changes a currency setting (default account or report).

	* src/register/register-gnome/combocell-gnome.c:
	* src/register/register-gnome/gnucash-item-list.[ch]:
	* src/register/register-gnome/gnucash-item-edit.[ch]:
	* src/register/ledger-core/gnc-ledger-display.c:
	* src/register/ledger-core/split-register.h:
	* src/register/ledger-core/split-register-load.c:
	* src/register/register-core/combocell.h:
	* src/gnome-utils/account-quickfill.[ch]: The account quickfill
	has multiple components to it, only one of which was shared. Build
	and use a shared list store used by the gnucash_item_edit
	widget (which is updated by signals sent when accounts are
	added/deleted/modified.)  With this in place, its not necessary to
	rebuild two account quickfills for each open register window when
	a gnc_gui_resume_refresh is called which eliminates an O(2n)
	slowdown.  This seems sufficient to close 120028.

	* src/gnome/dialog-price-editor.c:
	* src/gnome/top-level.c:
	* src/gnome/dialog-commodities.c:
	* src/gnome/dialog-price-edit-db.c:
	* src/gnc-ui.h: Remove all usage of gnc_get_current_session / book
	/ whatever except at the very top level when the dialog is
	originally created. Tell the component manager to delete the
	dialog when the session is destroyed. Remove support for an old
	url-that-generates-a-price-edit-window trick.

	* src/gnome-utils/gnc-file.c: Add a couple of calls to the
	component manager when closing the current session.

	* src/engine/gnc-pricedb.c: Use the pointer to the commodity as a
	hash key instead of looking up the commodity string and then
	hashing that.  Fixes 332678.

2006-03-08  Andreas Köhler  <andi5.py@gmx.net>

	* configure.in: 
	* lib/libqof/qof/guid.c: Add configure test for sys/times.h and
	  corrected guid.c to check for that.

2006-03-07  Christian Stimming  <stimming@tuhh.de>

	* lib/libqof/qof/guid.c: Make seed collection parts that depend on
	particular functions #ifdef'd on that to enable easier
	windows/mingw32 porting.

	* lib/libc/setenv.h: Fix old libc substitution files, now needed
	for windows/mingw32 porting.

	* Makefile.am: Add po/gnucash.pot to EXTRA_DIST because the
	translation template is needed in the tarball for translators.

2006-03-07  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome/gnc-plugin-page-register.c: Disable sensitivity of
	  style radio actions for registers with ledger_type != LD_SINGLE.

2006-03-07  Derek Atkins  <derek@ihtfp.com>

	* lib/libgsf-1.12.3/tests/test-msole1.c:
	  properly ignore the return value of fgets().  Fixes an FC4 error.

r13535 | chris | 2006-03-07 23:48:32 -0500 (Tue, 07 Mar 2006) | 2 lines

   M /gnucash/trunk/src/register/ledger-core/split-register-model-save.c
   M /gnucash/trunk/src/register/ledger-core/split-register-model.c
   M /gnucash/trunk/src/register/ledger-core/split-register-util.c

   More line-wraps, cleanups and factoring.

r13529 | chris | 2006-03-07 21:20:57 -0500 (Tue, 07 Mar 2006) | 2 lines

   M /gnucash/trunk/src/register/ledger-core/split-register-control.c

   Minor line wraps and factoring.

r13513 | chris | 2006-03-07 00:31:54 -0500 (Tue, 07 Mar 2006) | 3 lines

   M /gnucash/trunk/src/backend/file/io-gncbin-r.c
   M /gnucash/trunk/src/engine/Account.c
   M /gnucash/trunk/src/engine/Account.h
   M /gnucash/trunk/src/engine/gnc-associate-account.c
   M /gnucash/trunk/src/gnome/druid-stock-split.c
   M /gnucash/trunk/src/gnome/gnc-split-reg.c
   M /gnucash/trunk/src/register/ledger-core/gnc-ledger-display.c
   M /gnucash/trunk/src/register/ledger-core/split-register-model.c
   M /gnucash/trunk/src/register/ledger-core/split-register.c

   Factor out and create new function: xaccAccountIsPriced() that does the 
   common STOCK, MUTUAL or CURRENCY check.

r13512 | chris | 2006-03-06 23:45:46 -0500 (Mon, 06 Mar 2006) | 3 lines

   M /gnucash/trunk/src/gnome-utils/gnc-gnome-utils.c

   When periodically checking for ui events, avoid creating a QofSession 
   if we don't already have one.

r13510 | chris | 2006-03-06 22:41:39 -0500 (Mon, 06 Mar 2006) | 3 lines

   M /gnucash/trunk/src/register/ledger-core/split-register-load.c
   M /gnucash/trunk/src/register/register-core/table-allgui.c
   M /gnucash/trunk/src/register/register-core/table-allgui.h
   M /gnucash/trunk/src/register/register-gnome/gnucash-item-edit.c

   Minor code factoring, line-wraps, control-flow simplifications, etc. 
   centered around split-register-load.c.

r13508 | chris | 2006-03-06 22:07:41 -0500 (Mon, 06 Mar 2006) | 3 lines

   M /gnucash/trunk/src/register/ledger-core/split-register-load.c

   Factor out one small piece of the huge gnc_split_register_load() into 
   new static function add_quickfill_completions().

r13507 | chris | 2006-03-06 21:42:12 -0500 (Mon, 06 Mar 2006) | 2 lines

   M /gnucash/trunk/src/engine/Scrub.c
   M /gnucash/trunk/src/engine/gnc-commodity.c
   M /gnucash/trunk/src/engine/gnc-commodity.h
   M /gnucash/trunk/src/register/ledger-core/split-register-load.c

   Factor out and create new function: gnc_commodity_is_currency().

r13505 | chris | 2006-03-06 19:27:38 -0500 (Mon, 06 Mar 2006) | 3 lines

   M /gnucash/trunk/src/engine/Account.c

   Move both old an new-style Account MODIFY events into the "on_done" case
   of qof_commit_edit_part2().

2006-03-06  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/glade/sched-xact.glade: Change initial sensitivity of
	auto-create+notify SX pref.

	* src/gnome/dialog-sxsincelast.c (create_each_transaction_helper):
	Add multi-commodity SX support.  Bug#333532.

	* packaging/gnucash-1.9.x.ebuild (SRC_URI): Mods for ebuild to be
	used as an SVN ebuild.

2006-03-06  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome-utils/gnc-html-graph-gog.c: Save the go graph in the
	  GtkHTMLEmbedded object. Add printing support for the graphs
	  (depends on #332884). A bit of formatting.

	* src/gnome-utils/gnc-html.[ch]: Correct prototype of
	  GncHTMLObjectCB to return gboolean.

	* src/gnome-utils/print-session.[ch]: Create a new job with a
	  default config for the print dialog. Remove GnomePrintPaper
	  *paper from the PrintSession.

2006-03-06  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/ofx/gnc-ofx-import.c: Fix OFX import problem
	with some dividends transactions. Patch by David Reiser. #164645.

	* src/import-export/import-backend.c: Fix crash when "clear" is
	chosen but no matching transaction is selected. Now those imported
	transactions will silently be ignored. #317917.

r13498 | chris | 2006-03-05 18:46:39 -0500 (Sun, 05 Mar 2006) | 4 lines

   M /gnucash/trunk/src/engine/Split.c

   Don't force a resort of Account's split lists during xaccTransCommitEdit().
   This happens already in xaccAccountCommitEdit() and if the Account isn't
   being edited, then we inserted the Split in sorted order anyway.

2006-03-05  Chris Lyttle  <chris@wilddev.net>

	* NEWS: Added some text about the release.
	* configure.in: Change to version 1.9.2

2006-03-05  David Hampton  <hampton@employees.org>

	* src/engine/Transaction.c:
	* src/engine/Split.c: Use utf8 collation routines when sorting
	splits in a register.  Also, only sort on the date of
	transactions (not date and time) since gnucash doesn't allow times
	to be input.  Fixes #127809.

2006-03-05  Joshua Sled  <jsled@asynchronous.org>

	* packaging/gnucash-1.9.x.ebuild: Add checks for libgsf and
	goffice being built_with_use gnome.  Add code to shutdown any
	user-level gconfd's running.  Add note about broken
	make_desktop_entry.  Expand range of README installs.

	* src/app-utils/test/test-exp-parser.c (test_parser): Hack-fix
	test errors due to missing function now required by
	expression-parser.  In the future, we should have a better way to
	setup the application/test state.

	* src/calculation/expression_parser.c (primary_exp): Fix
	function-parsing bug I introduced during the week with another bug
	fix.

2006-03-05  Derek Atkins  <derek@ihtfp.com>

	* src/register/ledger-core/split-register.c:
	* src/register/ledger-core/split-register-load.c:
	* src/register/ledger-core/split-register-control.c:
	  Fix a compiler warning so the code builds properly:
	  - warning: suggest parentheses around assignment used as truth value

	* configure.in: change the g-wrap 1.3 + GCC4 behavior.
	  only warn the user (not blow out) if they explicitly request
	  --enable-error-on-warning.   But still blow out if they
	  didn't specifically request it and we turned it on by default.

2006-03-05  Christian Stimming  <stimming@tuhh.de>

	* src/register/ledger-core/split-register-control.c: Fix missing
	variable initialization in Chris' changes.

2006-03-04  David Hampton  <hampton@employees.org>

	* src/register/ledger-core/gnc-ledger-display.[ch]:
	* src/register/ledger-core/split-register.c:
	* src/gnome/gnc-plugin-page-register.c: Move/fix the callbacks
	function that kills any open registers for an account that has had
	"extreme" changes made to it in the "edit account" dialog.  Fixes
	331415.

	* src/pixmaps/*
	* src/gnome-utils/Makefile.am:
	* src/gnome-utils/gnc-icons.[ch]:
	* src/gnome-utils/gnc-dir.h.in:
	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/ui/*: Consolidate the new icons with the existing set
	of icons.

	* src/gnome-utils/gnc-tree-model-account.c:
	* src/engine/Account.c:
	* src/engine/Group.c: Rework the events generated by the
	account/group files and consumed by the GncTreeModelAccount.
	Should eliminate all g_value_unset and g_object_set_property
	warnings related to changes in the account tree.

	* src/engine/Transaction.c:
	* src/engine/gnc-event.h: Rename a data structure field.

	* src/gnome-utils/dialog-account.c: Fix duplicate account name
	checking bug that prevented editing account info.

2006-03-04  Andreas Köhler  <andi5.py@gmx.net>

	* src/gnome/glade/account.glade: set automatic policy on some
	  scrolledwindows in the account dialog

	* glade-fixup: 
	* src/gnome/glade/account.glade: 
	* src/gnome/glade/budget.glade: 
	* src/gnome/glade/price.glade: 
	* src/gnome/glade/print.glade: 
	  remove add_tearoffs property from GtkComboBoxes

	* Hello_ChangeLog

2006-03-04  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-account.c:
	* lib/glib26/gkeyfile.c:
	* lib/glib26/gutils26.[ch]: Make g_strv_length available outside
	of the gkeyfile compatability library.

2006-03-04  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/schemas/Makefile.am (install-data-local)
	* src/gnome-utils/schemas/Makefile.am (install-data-local)
	* src/business/business-gnome/schemas/Makefile.am (install-data-local)
	* src/import-export/hbci/schemas/Makefile.am (install-data-local)
	* src/import-export/schemas/Makefile.am (install-data-local):
	Modify schema mkdirs by DESTDIR for packaging.

	* src/gnome/glade/sched-xact.glade: Fix selection mode on
	transaction reminder and obsolete SX lists.

	* src/gnome/ui/icon-split.png: 
	* src/gnome/ui/icon-transfer.png: 
	Add split, transfer icons provided by Andrew Duggan
	<cmkrnl@speakeasy.net>.
	
	* src/gnome-utils/gnc-dir.h.in: 
	* src/gnome-utils/Makefile.am (gnc-dir.h):
	* src/gnome/gnc-plugin-page-register.c
	(gnc_plugin_page_register_actions)
	(gnc_plugin_page_register_class_init): Add registration, use of
	gnucash-provided (split, transactions) icons.  Bug#327647.

	* src/gnome-utils/gnc-menu-extensions.c (gnc_extension_path):
	Fixes to memory deallocation suggested by Phil Longstaff
	<plongstaff@newearth.org>.

2006-03-04  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-preferences.c:
	* src/gnome-utils/glade/preferences.glade:
	* src/gnome/schemas/apps_gnucash_general.schemas.in:
	* src/engine/Account.c:
	* src/app-utils/gnc-ui-util.c: Update the preferences dialog to
	allow any unicode character as the separator.

r13487 | chris | 2006-03-04 23:14:38 -0500 (Sat, 04 Mar 2006) | 5 lines

   M /gnucash/trunk/src/engine/Scrub.c
   M /gnucash/trunk/src/engine/Split.c
   M /gnucash/trunk/src/engine/Transaction.c
   M /gnucash/trunk/src/register/ledger-core/split-register-control.c
   M /gnucash/trunk/src/register/ledger-core/split-register-load.c
   M /gnucash/trunk/src/register/ledger-core/split-register.c

   Convert xaccTransGetSplit() and xaccTransCountSplits() to return the
   index and count reflective of any in-progress edit.
   Convert some split iterators from directly using the GList of Splits to 
   using xaccTransGetSplit().

r13476 | chris | 2006-03-04 13:12:34 -0500 (Sat, 04 Mar 2006) | 4 lines

   M /gnucash/trunk/src/engine/engine-interface.scm

   Use for-each, lambda expressions for iterating over split lists.
   In contrast to the previous looping construct, this will work even if 
   the split operations don't have side-effects on the split lists.

r13471 | chris | 2006-03-04 01:56:27 -0500 (Sat, 04 Mar 2006) | 3 lines

   M /gnucash/trunk/src/engine/Transaction.c

   When the book is shutting down, don't be so eager to destroy the whole
   transaction.  This makes it easier to safely iterate over a split list.

r13469 | chris | 2006-03-04 00:10:15 -0500 (Sat, 04 Mar 2006) | 2 lines

   M /gnucash/trunk/src/engine/Transaction.c

   Destroy Transactions without rebalancing when shutting down the book.

r13468 | chris | 2006-03-03 22:21:34 -0500 (Fri, 03 Mar 2006) | 5 lines

   M /gnucash/trunk/src/engine/Makefile.am
   M /gnucash/trunk/src/engine/Transaction.c
   A /gnucash/trunk/src/engine/gnc-event.h

   Generate REMOVE events when a Split is removed from a Transaction.
   Pass the *old* parent transaction (since the Split may be moving into 
   a new transaction) and the old index of the Split in the old Transaction's
   list of Splits.

r13466 | chris | 2006-03-03 21:42:49 -0500 (Fri, 03 Mar 2006) | 2 lines

   M /gnucash/trunk/src/engine/Scrub.c

   Look for orphan Splits even when there is no Transaction imbalance.

r13465 | chris | 2006-03-03 19:27:38 -0500 (Fri, 03 Mar 2006) | 2 lines

   D /gnucash/trunk/src/gnome-utils/dialog-exchange.h

   Delete unused dialog-exchange.h

r13464 | chris | 2006-03-03 19:23:07 -0500 (Fri, 03 Mar 2006) | 3 lines

   M /gnucash/trunk/src/register/ledger-core/split-register-control.c
   M /gnucash/trunk/src/register/ledger-core/split-register.c

   Remove an unnecessary Account edit-block.
   Minor control-flow simplification.

r13463 | chris | 2006-03-03 19:13:15 -0500 (Fri, 03 Mar 2006) | 2 lines

   M /gnucash/trunk/src/register/ledger-core/split-register-load.c

   Bits to let the register see the in-progress Transaction edit.

r13462 | chris | 2006-03-03 19:11:44 -0500 (Fri, 03 Mar 2006) | 16 lines

   M /gnucash/trunk/src/engine/Account.c
   M /gnucash/trunk/src/engine/Account.h
   M /gnucash/trunk/src/engine/AccountP.h

   Remove xaccAccountRemoveSplit, and xaccAccountInsertSplit.
   (Actually, xaccAccountInsertSplit is #def'd to xaccSplitSetAccount().)
   Accounts no longer manage their Split lists.  The Account split lists
   should only ever be modified from within xaccTransCommitEdit().  This
   simplifies some of the operations on Accounts, since they can now be 
   expressed in terms of operations on Splits.

   Also, the consolidation of two operations (RemoveSplit and InsertSplit) 
   into one operation (xaccSplitSetAccount) means that it's no longer 
   possible to orphan a Split.

   Incidental:
      Fix a leak of a KVP frame.
      Don't recompute the account balance if we're shutting down.


r13461 | chris | 2006-03-03 19:11:16 -0500 (Fri, 03 Mar 2006) | 14 lines

   M /gnucash/trunk/src/engine/Transaction.c

   The xaccTransRollbackEdit() part of the Begin/Commit edit-block rewrite.  
   Broken out just for clarity.

   Note: There's one piece that I didn't change that I think is conceptually
   awkward.  It has to do with how/when we would discover that another
   user has deleted the transaction we're currently editing.  I think it makes
   more sense to detect and handle this case in xaccTransCommitEdit() instead
   of xaccTransRollbackEdit(), because (a) we don't actually have to do the 
   rollback if we just destroy the trans, (b) some rollbacks are not backend-
   induced, but rather voluntary, (c) we need a generalized mechanism
   anyway for detecting and handling deleted transactions even when
   we're not editing them.


r13460 | chris | 2006-03-03 19:10:44 -0500 (Fri, 03 Mar 2006) | 5 lines

   M /gnucash/trunk/src/engine/Scrub.c

   Move one data-validation function from Scrub.c into Transaction.c
   One simplification in xaccTransScrubImbalance() to always find the root
   AccountGroup from the Transaction's book.


r13459 | chris | 2006-03-03 19:10:12 -0500 (Fri, 03 Mar 2006) | 31 lines

   M /gnucash/trunk/src/engine/Transaction.c
   M /gnucash/trunk/src/engine/Transaction.h

   A good bit of notes about how the Transaction Begin/Commit
   edit-blocks should work, and why. 

   Converts the very important xaccTransCommitEdit function to use the 
   qof_commit_edit_part2() function instead of something that is 90%
   similar.

   Transactions have a Split list that keeps track of Splits during the edit.
   During edits, this list only grows and never shrinks.  Splits that
   have been destroyed or reparented to other transactions remain in
   the list, along with pre-edit Splits and newly added Splits.  Only after a 
   successful commit does the Split list drop reparented or destroyed
   Splits.  A couple out-of-engine users (mainly the register) call
   xaccTransGetSplitList() an work from the Transaction's split list,
   but they expect to be working with only the Splits that would still be in 
   the Transaction if the in-progress edit would be committed.  So, we
   provide the function xaccTransStillHasSplit(t, s) to allow users to query 
   the in-edit state of the Transaction's Split list.

   xaccTransRemoveSplit() and xaccTransInsertSplit() have been replaced by
   xaccSplitSetParent().

   The new xaccTransCommitEdit tries to take a more conservative approach
   to event generation, too.  Instead of generating every possible event for 
   any commit, it should generate only events that indicate a change to an 
   engine object or relation.

   Move some of the financial-constraint-enforcing functions closer to the 
   relevant data-structures. (from Scrub.c)


r13458 | chris | 2006-03-03 19:09:31 -0500 (Fri, 03 Mar 2006) | 9 lines

   M /gnucash/trunk/src/engine/test/test-period.c
   M /gnucash/trunk/src/engine/test/test-split-vs-account.c
   M /gnucash/trunk/src/engine/test-core/test-engine-stuff.c

   Remove some testing of an engine API that has been removed.
   The engine used to have functions that made it possible to orphan a Split.
   As this is no longer possible, we can't test anymore.

   Incidental:
      Fix three or four small leaks in the test functions.
      Allow test-period to be randomized based on optional command-line arg.


r13457 | chris | 2006-03-03 19:09:03 -0500 (Fri, 03 Mar 2006) | 27 lines

   M /gnucash/trunk/src/engine/Split.c
   M /gnucash/trunk/src/engine/Split.h
   M /gnucash/trunk/src/engine/SplitP.h

   Splits can now keep track of their own rollback state.
   The Split <-> Account and Split <-> Transaction relationships are now
   treated as properties of the Split.  In terms of the BeginEdit/CommitEdit 
   block, Splits are subordinate to Transactions.  There is no public 
   BeginEdit/CommitEdit block for Splits; changes to Splits should be wrapped
   in their Transaction's Edit-block.

   In the case of the Split <-> Account relationship, the call to
   xaccSplitSetAccount() will be immediately visible from
   xaccSplitGetAccount(), but the Account does not learn about the
   Split until and if the edit is committed.

   In the case of the Split <-> Transaction relationship, calling
   xaccSplitSetParent() will immediately add the Split to the
   Transactions split list.  This is because the Split's Transaction
   owns the reference to the Split.  However, see the Transaction.c 
   patch for how to distinguish pre-edit state from in-edit state.

   In both cases, events are not generated until the edits are committed.
   Most of this new logic is in an engine-private helper xaccSplitCommitEdit(),
   which is called from xaccTransCommitEdit().

   Incidental:
      Increased error-checking in xaccSplitSetValue().
      Internalize a Transaction Begin/Commit edit-block in every setter func.


r13456 | chris | 2006-03-03 19:08:16 -0500 (Fri, 03 Mar 2006) | 7 lines

   M /gnucash/trunk/src/engine/engine-utilities.scm
   M /gnucash/trunk/src/engine/engine.scm
   M /gnucash/trunk/src/engine/gw-engine-spec.scm
   M /gnucash/trunk/src/report/report-system/report-utilities.scm

   Remove two slightly different definitions of
   gnc:transaction-map-splits, both unused.
   Remove g-wrapped versions of functions being removed:
      gnc:account-fix-split-date-order,
      gnc:trans-fix-split-date-order

2006-03-03  David Hampton  <hampton@employees.org>

	* numerous: Convert the account separator from a single character
	to a character string.  This allows multibyte unicode characters
	to be the account separator character. Fixes 333061.  Reworked a
	couple of routines that pull account names into their component
	parts.  Also fixed a bug in the new account dialog when creating
	multiple accounts at once.

2006-03-03  Derek Atkins  <derek@ihtfp.com>

	* configure.in: error out on g-wrap-1.3, gcc4, and error-on-warning.
	  Fixes #330615.

2006-03-02  Joshua Sled  <jsled@asynchronous.org>

	* src/gnc-ui.h: Fix SXEDITOR help target id.  Bug#128857.

2006-03-02  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/mt940/gnc-mt940-import.c: More work on mt940
	import. Completed #325170.

	* accounts/el_GR/*-xea: Greek account templates converted to
	UTF-8, by Nikos Charonitakis <nikosx@gmail.com>.

2006-03-02  David Hampton  <hampton@employees.org>

	* numerous: Move the storage for the account separator character
	into Account.c (default ':') and set it with an accessor function
	at startup and when it is changed in the preferences/gconf.
	Eliminate unnecessary passing around of the account separator
	character.

2006-03-01  David Hampton  <hampton@employees.org>

	* src/register/register-core/pricecell.c:
	* src/register/register-core/formulacell.c:
	* src/calculation/fin_spl_protos.h:
	* src/calculation/expression_parser.c:
	* src/app-utils/gnc-ui-util.[ch]:
	* src/app-utils/gnc-exp-parser.c: Convert all locations that parse
	input using the locale thousands/decimal point characters to use
	unicode functions.  This should allow multi-byte unicode
	characters to work as these separators on input.

	* src/app-utils/gnc-ui-util.c: Rework of Sylvain Defresne's patch
	to support multi-byte unicode thousands separator and decimal
	point characters when printing numbers.

2006-03-01  Derek Atkins  <derek@ihtfp.com>

	* src/report/standard-reports/transaction.scm:
	  Andrew Sackville-West's patch to add transaction links.

2006-02-28  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-account.c: Collapse the common parts of
	the "new account" and "edit account" dialog validation code into a
	single routine.  Fixes 117812.

	* src/app-utils/options.scm: Andreas Köhler's patch to correctly
	build a html color value. Fixes 328933.

2006-02-28  Joshua Sled  <jsled@asynchronous.org>

	* src/bin/gnucash-bin.c (gnucash_command_line): Terminate
	GOptionEntry array, preventing warnings and/or errors parsing
	command-line options.

2006-02-28  David Hampton  <hampton@employees.org>

	* configure.in: Set the GNOME_DISABLE_DEPRECATED flag for gnome
	versions up to 2.13.7.

	* src/gnome-utils/dialog-options.c: Allow this one file to use
	deprecated gnome functions, but only when compiled with gtk 2.4.
	Later versions of gtk include the needed replacement function and
	deprecated gnome functions are not allowed.

r13426 | chris | 2006-02-28 14:57:24 -0500 (Tue, 28 Feb 2006) | 3 lines

   M /gnucash/trunk/src/register/ledger-core/split-register-control.c
   M /gnucash/trunk/src/register/ledger-core/split-register-model-save.c
   M /gnucash/trunk/src/register/ledger-core/split-register-model.c
   M /gnucash/trunk/src/register/ledger-core/split-register-p.h

   Make register use engine-provided xaccTransGetAccountConvRate() instead of
   writing its own.

r13425 | chris | 2006-02-28 14:46:19 -0500 (Tue, 28 Feb 2006) | 3 lines

   M /gnucash/trunk/src/register/ledger-core/split-register-model.c

   Make register use engine-provided xaccTransGetAccountBalance() instead
   of writing its own.

r13424 | chris | 2006-02-28 14:38:29 -0500 (Tue, 28 Feb 2006) | 3 lines

   M /gnucash/trunk/src/register/ledger-core/split-register-model.c

   Make register use engine-provided xaccTransGetAccountAmount() instead of 
   writing its own.

r13423 | chris | 2006-02-28 14:34:42 -0500 (Tue, 28 Feb 2006) | 3 lines

   M /gnucash/trunk/src/register/ledger-core/split-register-control.c

   Make register use engine-provided xaccTransHasReconciledSplits() instead 
   of writing it's own.

2006-02-27  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-utils.[ch]: Remove a unused function that
	calls deprecated gnome routines.

	* src/gnome/window-reconcile.c:
	* src/gnome/ui/gnc-reconcile-window-ui.xml:
	* src/gnome/ui/Makefile.am: Convert the reconcile window from the
	old GnomeUIInfo menu/toolbar widgets to the newer GtkAction based
	widgets.

2006-02-27  Joshua Sled  <jsled@asynchronous.org>

	* src/backend/file/gnc-backend-file.h (struct FileBackend_struct):
	Remove unused `pricedb_lookup` and `export` operations from
	gnucash-specific file backend.

	* src/backend/file/gnc-backend-file.c (gnc_backend_new): Use
	correct 'export' function-slot, allowing File > Export > Export
	Accounts to work again.  Bug#332802.

	* src/gnome/gnc-plugin-basic-commands.c: Clarify "Export Accounts"
	from "Export Chart of Accounts [to QSF].

	* src/calculation/expression_parser.c (primary_exp): Fix infinite
	loop in parsing malformed functions (e.g. "ipmt(1:2:)"). Bug#332804.

	* src/app-utils/gnc-exp-parser.c (func_op): No longer crashes on
	an invalid formula, though it's also not very clear what's going
	on.  Basically fixes Bug#137885.

2006-02-27  David Hampton  <hampton@employees.org>

	* src/engine/gnc-pricedb.[ch]:
	* src/engine/gnc-pricedb-p.h:
	* src/engine/Account.[ch]:
	* src/app-utils/gnc-ui-util.[ch]: Add 'const' qualifiers to
	various functions.

	* src/gnome-utils/gnc-main-window.c: Check for the existence of a
	page before dereferencing it. Fixes 332680.

2006-02-27  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-gnome/glade/job.glade
	* src/business/business-gnome/glade/order.glade
	* src/business/business-gnome/glade/invoice.glade
	* src/business/business-gnome/glade/billterms.glade
	* src/business/business-gnome/glade/payment.glade
	* src/business/business-gnome/glade/vendor.glade
	* src/business/business-gnome/glade/customer.glade
	  Don't need to translate placeholder labels.

2006-02-26  Derek Atkins  <derek@ihtfp.com>

	Apply a re-work of Titi Ala'ilima's patch to apply payments
	directly to invoices.  This fixes bug #121420.
	* src/business/business-core/gncInvoice.[ch]:
	  Add argument to the ProcessPayment API to allow the caller
	  to specify an invoice to post to first.
	* src/business/business-gnome/business-gnome-utils.[ch]:
	  Create an invoice-select API that lets you select an invoice
	  based on an owner (or not).  I.e., you can limit the invoice
	  search based on a selected owner.  If you change the owner
	  it invalidates the invoice search.
	* src/business/business-gnome/dialog-payment.[ch]:
	  Change the API from ..new_with_value() to ..new_with_invoice().
	  Pull the default amount from the invoice (if one exists).
	  Allow the user to select an invoice and apply payments there.
	  If the user changes the owner, invalidate the invoice.
	* src/business/business-gnome/business-options-gnome.c:
	  use the new invoice-select API instead of calling general_search
	  API directly.
	* src/business/business-gnome/dialog-invoice.c:
	  call the new dialog-payment API.  No need to compute the initial
	  value here; the payment dialog will compute it from the invoice
	  (instead of computing it from the invoice here).
	* src/business/business-gnome/glade/payment.glade:
	  Add invoice-selector label and box.

2006-02-26  David Hampton  <hampton@employees.org>

	* packaging: Create a consolidated directory for distribution
	specific scripts.

	* src/gnome-utils/dialog-utils.[ch]:
	* src/app-utils/option-util.c: Restore GtkOptionMenu support
	because the newer GtkComboBox doesn't support per item tooltips.
	Fixes bug 332569.

2006-02-26  Neil Williams <linux@codehelp.co.uk>

	* qof/qof-be-utils.h : Replace macro to restore
	programme flow.
	* qof/qofevent.c : 
	* qof/qofevent.h : Outline method to make application 
	events easier to use.

	* qof/deprecated.c : Define deprecated event functions
	that call new QofEvents with a NULL event_data argument.
	* qof/qofbook.c : Use new qof_event arguments.
	* qof/qofevent.c : Allow events to be generated with an
	optional event_data argument.
	* qof/qofevent.h : Doxygen tweaks.

2006-02-26  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome-utils/gnc-html-graph-gog.c:
	Andreas Köhler's patch for barchart improvements: segment color
	setting, axis rotation and formatting.

	* src/engine/SX-book.c (gnc_sx_get_sxes_referencing_account): 
	* src/gnome/dialog-scheduledxaction.c: Add handler for
	account-deleted events, determine and display editors for SXes
	referencing those accounts.  Fixes Bug#312730.

	* src/report/utility-reports/Makefile.am (SCM_FILE_LINKS):
	* src/report/utility-reports/utility-reports.scm: 
	* src/report/utility-reports/iframe-url.scm:
	* doc/tip_of_the_day.list.in: 
	Remove web browser "report".

r13395 | chris | 2006-02-26 13:36:05 -0500 (Sun, 26 Feb 2006) | 2 lines

   M /gnucash/trunk/src/business/business-core/gncBillTerm.c
   M /gnucash/trunk/src/business/business-core/gncCustomer.c
   M /gnucash/trunk/src/business/business-core/gncEmployee.c
   M /gnucash/trunk/src/business/business-core/gncEntry.c
   M /gnucash/trunk/src/business/business-core/gncInvoice.c
   M /gnucash/trunk/src/business/business-core/gncJob.c
   M /gnucash/trunk/src/business/business-core/gncOrder.c
   M /gnucash/trunk/src/business/business-core/gncTaxTable.c
   M /gnucash/trunk/src/business/business-core/gncVendor.c
   M /gnucash/trunk/src/engine/Account.c
   M /gnucash/trunk/src/engine/gnc-pricedb.c

   Use function version of QOF_COMMIT_EDIT_PART2.

r13391 | chris | 2006-02-26 00:00:52 -0500 (Sun, 26 Feb 2006) | 2 lines

   M /gnucash/trunk/lib/libqof/qof/guid.c

   Keep track of exactly how many bytes we've sent to md5_process_bytes().

r13390 | chris | 2006-02-25 23:56:47 -0500 (Sat, 25 Feb 2006) | 8 lines

   M /gnucash/trunk/lib/libqof/qof/qof-be-utils.h
   M /gnucash/trunk/lib/libqof/qof/qofbackend.c

   Implement QOF_COMMIT_EDIT_PART2 as a function instead of a macro.
   Any of the callbacks passed to this function may be NULL to decline the 
   use of that callback.  Also, the three callbacks are now called in three
   mutually exclusive cases, corresponding to: 
      1) a failed commit, ('on_error')
      2) a successful commit where the object remains valid, ('on_done'), and 
      3) a successful commit where the object has been destroyed, ('on_free').

2006-02-25  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-main-window.c: Remember the order in which
	the notebook tabs are referenced. When closing a tab, switch to
	the tab that was previously in front, not the first tab in the
	notebook. Fixes 332355.

2006-02-24  David Hampton  <hampton@employees.org>

	* src/register/register-gnome/gnucash-sheet.[ch]:
	* src/register/register-gnome/gnucash-item-edit.[ch]:
	* src/gnome/gnc-plugin-page-register.c: Override the generic edit
	menu sensitivity code to provide the right sensitivity for the
	entry widget buried in the register.

	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/gnc-plugin-page.h: Provide a hook for pages to
	override the generic edit menu sensitivity code.

	* src/gnome-utils/ui/gnc-main-window-ui.xml:
	* src/gnome-utils/gnc-main-window.c: Remove unnecessary menu
	item. The same functionality exists in the "Menus & Toolbars"
	preference panel.

2006-02-24  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/import-account-matcher.h: Let the account
	matcher accept a parent widget to avoid windows that are lost
	behind other windows. Adapt importer modules accordingly.

	* src/import-export/import-account-matcher.c: Don't allow
	placeholder be selected for importing transactions. Fixes
	bug#327891.

	* src/import-export/mt940/gnc-mt940-import.c: Get MT940 importer
	compile again (experimental; requires aqbanking-1.9.7). It is not
	yet tested with actual files. Bug#325170.

	* src/import-export/import-account-matcher.h: Make gchar argument
	const because it is only used as a const.

r13378 | chris | 2006-02-24 00:53:35 -0500 (Fri, 24 Feb 2006) | 7 lines

   M /gnucash/trunk/src/business/business-gnome/dialog-invoice.c
   M /gnucash/trunk/src/engine/gnc-session.c
   M /gnucash/trunk/src/engine/gnc-session.h
   M /gnucash/trunk/src/gnome-utils/gnc-file.c

   Since QOF no longer keeps track of the "current" session, 
   qof_session_destroy() no longer clears the current session when we destroy
   it.  Therefore, explicitly call gnc_clear_current_session() when we want
   to destroy the current session.
   Also, avoid accidentally creating a new book and session if there is no
   open book/current session when we run the bill reminder.

r13369 | chris | 2006-02-23 15:11:02 -0500 (Thu, 23 Feb 2006) | 3 lines

   M /gnucash/trunk/src/gnome/dialog-sxsincelast.c
   M /gnucash/trunk/src/import-export/ofx/gnc-ofx-import.c

   When we malloc a Transaction, then TransBeginEdit, then want to abort,
   just call xaccTransDestroy(), xaccTransCommitEdit().  No rollback needed.

r13368 | chris | 2006-02-23 12:44:42 -0500 (Thu, 23 Feb 2006) | 5 lines

   M /gnucash/trunk/src/engine/Split.c
   M /gnucash/trunk/src/engine/Split.h
   M /gnucash/trunk/src/engine/SplitP.h

   Dirty Splits when they change.
   Add const to Split where appropriate.
   Fix GCache crash cause by using non-cached value in cached 'action' field 
   from the qsf-backend.

2006-02-23  David Hampton  <hampton@employees.org>

	* src/report/report-system/html-utilities.scm: Andrew
	Sackville-West's to pass the rignt number of arguments to
	gnc:register-guid.

	* src/report/report-gnome/gnc-plugin-page-report.c:
	* src/gnome-utils/gnc-recurrence.c:
	* src/gnome-utils/gnc-plugin-file-history.c:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/gnc-plugin-page.[ch]:
	* src/gnome-utils/dialog-commodity.c:
	* src/gnome/gnc-plugin-page-register.c: Minor code cleanup and
	consolidations.

2006-02-23  Joshua Sled  <jsled@asynchronous.org>

	* gentoo/gnucash-1.9.x.ebuild: Add ebuild for gnucash 1.9/2.0 series.

	* src/gnome-utils/dialog-totd.c (gnc_totd_dialog): Increment TOTD
	index on dialog init.

	* src/gnome-utils/gnc-html-graph-gog.c (handle_barchart): fix
	x-axis labeling.  Patch from Andreas Köhler.  Bug#332359.

2006-02-23  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif-import/test/Makefile.am:
	  add QOF_LIBS to link line because debian libtool is broken.
	
2006-02-22  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/gnc-plugin-page-register.c:
	  include gtk-compat.h so we build against gtk-2.4.

	* src/gnome-utils/Makefile.am:
	  force a build from svn to have access to svn version info.
	  this might break the broken ebuild that forcibly removes the
	  .svn directories, but the ebuild is broken and shouldn't do that.

2006-02-22  David Hampton  <hampton@employees.org>

	* src/gtk-compat.h:
	* src/gnome/gnc-plugin-page-register.c: Cleanup patch from Andreas
	Köhler.

	* src/register/ledger-core/split-register.[ch]:
	* src/register/ledger-core/split-register-control.c:
	* src/gnome/gnc-plugin-page-register.c: Provide a callback whereby
	the core register code can tell the upper layers that it has moved
	from an expanded transaction to a collapsed transaction.  This
	lets the upper layer adjust the "split" transaction toolbar button
	properly.  Fixes 332165.

r13363 | chris | 2006-02-22 16:52:46 -0500 (Wed, 22 Feb 2006) | 3 lines

   M /gnucash/trunk/src/engine/Makefile.am
   A /gnucash/trunk/src/engine/Split.c (from /gnucash/trunk/src/engine/Transaction.c:13362)
   A /gnucash/trunk/src/engine/Split.h (from /gnucash/trunk/src/engine/Transaction.h:13359)
   A /gnucash/trunk/src/engine/SplitP.h (from /gnucash/trunk/src/engine/TransactionP.h:13359)
   M /gnucash/trunk/src/engine/Transaction.c
   M /gnucash/trunk/src/engine/Transaction.h
   M /gnucash/trunk/src/engine/TransactionP.h

   Separate the Split functions from Transaction.c into Split.c.
   Introduce xaccSplitVoid() and xaccSplitUnvoid() to aid the separation.

r13362 | chris | 2006-02-22 12:41:58 -0500 (Wed, 22 Feb 2006) | 3 lines

   M /gnucash/trunk/src/engine/Transaction.c

   Add some comments, error checks, ENTER/LEAVE balances and a special-case
   early-return for the conversion-rate calculation.

r13360 | chris | 2006-02-22 09:22:30 -0500 (Wed, 22 Feb 2006) | 3 lines

   M /gnucash/trunk/src/engine/gnc-lot.c

   Use correct function name qof_instance_set_dirty.
   Comment on current state of Lot behavior.

r13359 | chris | 2006-02-22 01:01:07 -0500 (Wed, 22 Feb 2006) | 3 lines

   M /gnucash/trunk/src/engine/Period.c
   M /gnucash/trunk/src/engine/Transaction.c
   M /gnucash/trunk/src/engine/gnc-lot-p.h
   M /gnucash/trunk/src/engine/gnc-lot.c

   Convert Lots from a QofEntity to a QofInstance.
   They now store their own dirty state.

r13358 | chris | 2006-02-21 22:30:48 -0500 (Tue, 21 Feb 2006) | 4 lines

   M /gnucash/trunk/src/bin/gnucash-bin.c
   M /gnucash/trunk/src/gnome-utils/gnc-file.c

   No need to run the BOOK_OPENED hook twice when open a book.
   And no need to run it at all when we fail to open a book.
   Also, require HAVE_GTK26 before using gtk_get_option_group().

r13357 | chris | 2006-02-21 22:05:20 -0500 (Tue, 21 Feb 2006) | 2 lines

   M /gnucash/trunk/src/gnome-utils/gnc-file.c
   M /gnucash/trunk/src/gnome-utils/gnc-main-window.c

   Avoid instantiating the current session until we're actually opening a file.

r13356 | chris | 2006-02-21 21:43:20 -0500 (Tue, 21 Feb 2006) | 2 lines

   M /gnucash/trunk/src/gnome/dialog-chart-export.c
   M /gnucash/trunk/src/gnome/druid-acct-period.c
   M /gnucash/trunk/src/gnome/gnc-plugin-basic-commands.c
   M /gnucash/trunk/src/gnome/gnc-plugin-page-budget.c
   M /gnucash/trunk/src/gnome/gnc-plugin-page-register.c

   Files accidentally left out of previous commit (r13355).

r13355 | chris | 2006-02-21 21:39:02 -0500 (Tue, 21 Feb 2006) | 5 lines

   M /gnucash/trunk/src/app-utils/gnc-ui-util.c
   M /gnucash/trunk/src/app-utils/gw-app-utils-spec.scm
   M /gnucash/trunk/src/business/business-gnome/dialog-invoice.c
   M /gnucash/trunk/src/business/business-gnome/gnc-plugin-business.c
   M /gnucash/trunk/src/engine/Makefile.am
   A /gnucash/trunk/src/engine/gnc-session.c
   M /gnucash/trunk/src/engine/gnc-session.h
   M /gnucash/trunk/src/gnome-utils/gnc-file.c
   M /gnucash/trunk/src/gnome-utils/gnc-gnome-utils.c
   M /gnucash/trunk/src/gnome-utils/gnc-main-window.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view-account.c

   Remove uses of deprecated qof_session_get_current_session() and 
   qof_session_set_current_session().  GnuCash now manages its own current
   session.  New function: gnc_current_session_exist() to test whether there
   is a current session.

r13351 | chris | 2006-02-21 16:46:07 -0500 (Tue, 21 Feb 2006) | 2 lines

   M /gnucash/trunk/lib/libqof/qof/qofid.c

   Mark the QofCollection as dirty when a new QofEntity is added or removed.

r13350 | chris | 2006-02-21 16:44:42 -0500 (Tue, 21 Feb 2006) | 3 lines

   M /gnucash/trunk/src/engine/gnc-lot.c

   Mark the GNC_LOT QofCollection dirty whenever a Lot changes.
   This includes when the KVP is changed via the setters. 

r13347 | chris | 2006-02-21 15:27:40 -0500 (Tue, 21 Feb 2006) | 2 lines

   M /gnucash/trunk/src/engine/Account.c

   Avoid qof-dirtying Accounts when Splits or Lots are inserted or removed.

r13345 | chris | 2006-02-21 14:43:00 -0500 (Tue, 21 Feb 2006) | 4 lines

   M /gnucash/trunk/src/engine/test-core/test-engine-stuff.c

   Move the code that (usually) ensures value/amount consistency for Splits
   from add_random_splits() to get_random_split().
   Avoid numeric overflow when creating split values.

2006-02-21  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-plugin-page-register.c: Fix from Andreas Köhler to
	deactivate the toolbar split button in an auto-split register.
	Fixes 330621.

	* src/gnome-utils/gnc-tree-model-account.c: Two fixes from Andreas
	Köhler.  One fixes 331183, the problem where editing a top-level
	account doesn't set the current parent.

2006-02-21  Joshua Sled  <jsled@asynchronous.org>

	* lib/libqof/qof/qofevent.[ch] (QOF_DEFAULT_EVENT_LIMIT): rename, set
	to reasonable value (the last-defined event).

	* src/register/ledger-core/split-register-load.c
	(gnc_split_register_load): Ensure that a (unique) relevent split
	from the currently-pending transaction is always in the split list
	before we load it, preventing transactions from disappearing from
	a register while being edited, but without saving the entire (and
	maybe partially-invalid) split list around for a while. Fixes bugs
	108347, 125480, 141287, 153183, 168630 (and maybe 126471).
	
	* src/register/ledger-core/split-register.c (gnc_split_register_destroy_info):
	* src/register/ledger-core/split-register-p.h (struct sr_info):
	Remove saved_slist.

	* lib/libqof/qof/qofevent.h (QOF_EVENT_CREATE):
	Fix event values.

2006-02-20  David Hampton  <hampton@employees.org>

	* src/register/register-gnome/gnucash-date-picker.c: Andreas
	Köhler's patch to prevent a crash in the register date picker
	widget when using gtk 2.8.

	* src/bin/gnucash-bin.c:
	* src/gnome-utils/glade/commodity.glade:
	* src/gnome-utils/dialog-commodity.c:
	* src/gnome/dialog-price-edit-db.c: Disable quote related
	functionality when F::Q isn't installed.  Fixes 130347 and 314054.

	* src/gnome-utils/gnc-file.[ch]:
	* src/gnome-utils/gnc-main-window.c: Catch and defer the quit
	command if a file save is in progress. Fixes 155327.

	* rpm/gnucash.spec.in:
	* rpm/README: Update spec file from RH8 to FC4.

	* src/backend/file/sixtp-utils.c:
	* src/backend/postgres/test/test-db.c:
	* src/report/report-gnome/gnc-plugin-page-report.c:
	* src/calculation/fin.c:
	* src/gnome-utils/gnc-html.c:
	* src/gnome-utils/gnc-html-graph-gog.c:
	* lib/libgsf-1.12.3/gsf/gsf-output-stdio.c:
	* lib/libgsf-1.12.3/gsf/gsf-utils.c:
	* configure.in: Compile cleanly with when _FORTIFY_SOURCE is
	defined.  This definition is forced when building RPMs on FC4.

2006-02-20  Derek Atkins  <derek@ihtfp.com>

	* configure.in: fix the qof configure test for OSX.

2006-02-20  David Hampton  <hampton@employees.org>

	* lib/libqof/qof/guid.c: Don't reference uninitialized memory.

2006-02-20  Neil Williams  <linux@codehelp.co.uk>

	* lib/libqof/qof/gnc-event.c :
	* lib/libqof/qof/gnc-event-p.h :
	* lib/libqof/qof/gnc-event.h : Removed files.

	* lib/libqof/qof/qofevent.c :
	* lib/libqof/qof/qofevent-p.h :
	* lib/libqof/qof/qofevent.h : Replacement files using extensible
	event identifiers.

	* lib/libqof/qof/deprecated.c : Old functions now pointed to
	replacements.
	* lib/libqof/qof/deprecated.h : Old defines now pointed to
	replacements.

	* lib/libqof/qof/qof.h : Replace files.
	* lib/libqof/qof/Makefile.am : Replace files.
	
2006-02-20  David Hampton  <hampton@employees.org>

	* src/gnome/dialog-scheduledxaction.c:
	* src/gnome/glade/sched-xact.glade: Use a spin_box instead of an
	entry for the 'occurrences' and 'remaining' numeric fields.

	* src/gnome/dialog-scheduledxaction.[ch]:
	* src/gnome/glade/sched-xact.glade: HIGify the scheduled
	transaction dialogs.

	* src/gnome/gnc-plugin-page-register.c: Remove forced screen
	updates that are no longer necessary.

	* src/register/register-gnome/gnucash-sheet.c: If the number of
	"visible to the user" lines in the register has shrunk, force the
	parent widget to redraw.  This fixes #328787.

r13338 | chris | 2006-02-20 20:24:03 -0500 (Mon, 20 Feb 2006) | 3 lines

   M /gnucash/trunk/src/gnome-utils/gtktreedatalist.c

   Use glib's slice allocator in favor of GMemChunks for glib >= 2.9.
   Patch by Andreas Köhler <andi5.py@gmx.net>.

r13330 | chris | 2006-02-20 15:47:01 -0500 (Mon, 20 Feb 2006) | 6 lines

   M /gnucash/trunk/src/gnome-utils/Makefile.am
   A /gnucash/trunk/src/gnome-utils/gnctreemodelsort.c
   A /gnucash/trunk/src/gnome-utils/gnctreemodelsort.h
   A /gnucash/trunk/src/gnome-utils/gtktreedatalist.c
   A /gnucash/trunk/src/gnome-utils/gtktreedatalist.h

   Add a local copy of GtkTreeModelSort from gtk 2.8.12.  Our local copy is 
   called GncTreeModelSort.  This newer version of GtkTreeModelSort fixes at 
   least one observed bug with our use of sorted models.  The 
   gtktreedatalist.[ch] files are used by GtkTreeModelSort and are directly 
   from gtk 2.8.12 without any renames because they aren't exported by gtk.

r13329 | chris | 2006-02-20 15:22:24 -0500 (Mon, 20 Feb 2006) | 2 lines

   M /gnucash/trunk/src/gnome-utils/dialog-options.c
   M /gnucash/trunk/src/gnome-utils/dialog-utils.c
   M /gnucash/trunk/src/gnome-utils/dialog-utils.h
   M /gnucash/trunk/src/gnome-utils/gnc-main-window.c

   Explictly require gtk2.6 for conditionally compiled code that needs it.

r13328 | chris | 2006-02-20 15:09:02 -0500 (Mon, 20 Feb 2006) | 3 lines

   M /gnucash/trunk/src/gtk-compat.h
   M /gnucash/trunk/src/import-export/hbci/dialog-hbcitrans.c
   M /gnucash/trunk/src/register/register-gnome/gnucash-item-list.c

   Factor out a compat definition of GTK_TREE_SORTABLE_UNSORTED_SORT_COLUMN_ID
   into gtk-compat.h.

r13313 | chris | 2006-02-19 21:58:29 -0500 (Sun, 19 Feb 2006) | 1 line

   M /gnucash/trunk/src/engine/test-core/test-engine-stuff.c

   Fix for 'use of uninitialized' warning.

2006-02-19  Derek Atkins  <derek@ihtfp.com>

	* src/engine/Transaction.c:
	  Allow nested begin/commit in xaccTransSetTxnType().  Fixes #331771.
	  The old code wouldn't let you set the value if you were already
	  within a BeginEdit/CommitEdit block.

2006-02-19  Chris Lyttle  <chris@wilddev.net>

	* NEWS: Added some text about the release.
	* configure.in: Change to version 1.9.1

2006-02-19  David Hampton  <hampton@employees.org>

	* src/register/register-gnome/pricecell-gnome.c: Take the
	selection into account when handling the keypad decimal point key.
	Fixes 314775.

	* src/register/register-gnome/combocell-gnome.c: When looking for
	an matching account name, start at the beginning of the selected
	region, not the end.  Problem created when the code stopped adding
	placeholder accounts to the quickfill.  Fixes 328893.

2006-02-19  Neil Williams  <linux@codehelp.co.uk>

	* backend/file/qsf-backend.c : Correcting collect handling,
	prevent duplication.
	* qof/qof.h : Create reference group in doxygen and
	export qofreference.h into the API.
	* qof/qof/qofsession.c : Set QOF_TYPE_COLLECT as registered
	type and move qof_entity_get_reference_from to new file.
	* qof/qof/qofsession.h : Move qof_entity_get_reference_from
	to new file: qofreference.c|h.
	* qof/qofreference.c : New file to handle reference related
	code.
	* qof/qofreference.h : New public header.
	* qof/test/test-recursive.c : Fix collect recursive tests

2006-02-19  David Hampton  <hampton@employees.org>

	* src/quotes/finance-quote-helper.in:
	* src/quotes/dump-finance-quote:
	* src/quotes/update-finance-quote.in:
	* src/quotes/Makefile.am:
	* src/quotes/value_portfolio:
	* src/quotes/gnc-prices:
	* src/quotes/README:
	* src/quotes/finance-quote-check.in:
	* src/core-utils/gw-core-utils-spec.scm:
	* src/scm/price-quotes.scm: Regularize the naming of the
	Finance::Quote auxiliary scripts. Remove the obsolete gnc-prices
	script.  Move the to the bin directory the scripts that weren't
	already there.

2006-02-19  Joshua Sled  <jsled@asynchronous.org>

	* src/app-utils/gnc-account-merge.[ch]: Remove placeholder-difference
	"ERROR" merge state.

	* src/gnome/druid-hierarchy.c (placeholder_cell_data_func)
	(on_final_account_prepare): Remove use of default
	account-tree-model placeholder column, and substitute a column
	that reflects the post-merge value.

2006-02-19  Derek Atkins  <derek@ihtfp.com>

	* src/engine/TransLog.c:  use TABS not SPACES for column separators
	* src/import-export/log-replay/gnc-log-replay.c: use printf
	  so we don't have a tab->space conversion problem like we
	  did in TransLog.c
	  Fixes #331620.

	* src/business/business-gnome/dialog-payment.c:
	  Pop up a warning dialog if the user has no valid post-to accounts.
	  Fixes #331730.

	* src/business/business-reports/fancy-invoice.scm:
	  Brian's patch to add company-id to the company address.

	* src/business/business-core/gncOwner.[ch]: Add api to get owner
	  kvp-slots abstractly.
	* src/business/business-gnome/dialog-payment.c: Load/save the
	  last-used transfer account whenever the owner changes or
	  the dialog completes.
	  Fixes #329725.

	* lib/goffice-0.0.4/goffice/cut-and-paste/foo-canvas/foo-canvas-i18n.h:
	  Use glib's gi18n.h instead of redefining gettext.

	* src/engine/test/test-engine-stuff.c:
	  - Prefer QUERY_AND and QUERY_OR over NAND, NOR, XOR
	  - Don't randomly generate a gnc_numeric with a 0 denominator.

	* src/business/business-gnome/dialog-invoice.c:
	  Don't let users post negative invoices.  (#166864)
	  Pop up an error dialog and prevent the post.

	* lib/libqof/qof/guid.[ch]:
	  Phil Longstaff's patch to make the GUID length a magic number.

2006-02-18  Derek Atkins  <derek@ihtfp.com>

	* intl-scm/xgettext.scm: remove the absolute path from filenames
	* intl-scm/Makefile.am: pass the absolute path to xgettext.scm

	* src/import-export/log-replay/gnc-log-replay.c:
	  display an error dialog when we fail to parse a log file
	  due to EOF or a bad header parsing.  Fixes #331620 based
	  on the test-case.

2006-02-17  David Hampton  <hampton@employees.org>

	* src/register/register-gnome/gnucash-sheet.c:
	* src/register/register-gnome/gnucash-item-edit.[ch]: Remove all
	explicit claiming of the selection in these files.  The GtkEntry
	they use already performs claims, and the additional just mess
	things up.  Fixes #330153.

	* src/register/register-gnome/gnucash-item-list.c:
	* src/report/report-gnome/dialog-style-sheet.c:
	* src/gnome-utils/gnc-tree-model-commodity.c:
	* src/gnome-utils/gnc-tree-model-budget.[ch]:
	* src/gnome-utils/gnc-tree-model-account.c:
	* src/gnome-utils/gnc-tree-model-price.c:
	* src/gnome-utils/gnc-tree-view-account.c:
	* src/gnome-utils/dialog-options.c:
	* lib/goffice-0.0.4/goffice/graph/gog-guru.c:
	* lib/goffice-0.0.4/goffice/gtk/go-format-sel.c: Prepare for gtk
	change that will issue warnings if the return value of the
	gtk_tree_model iter functions are not used.

2006-02-17  Derek Atkins <derek@ihtfp.com>

        * intl-scm/Makefile.am:
        * lib/guile-www/Makefile.am:
        * src/app-utils/Makefile.am:
	* src/business/business-core/Makefile.am:
        * src/business/business-gnome/Makefile.am:
        * src/business/business-reports/Makefile.am:
        * src/business/business-utils/Makefile.am:
        * src/business/dialog-tax-table/Makefile.am:
	* src/core-utils/Makefile.am:
        * src/engine/Makefile.am:
	* src/gnc-module/Makefile.am:
	* src/gnome/Makefile.am:
        * src/gnome-utils/Makefile.am:
	* src/import-export/hbci/Makefile.am:
        * src/import-export/Makefile.am:
        * src/import-export/qif-import/Makefile.am:
        * src/import-export/qif-io-core/Makefile.am:
	* src/register/register-core/Makefile.am:
	* src/report/locale-specific/us/Makefile.am:
        * src/report/report-gnome/Makefile.am:
        * src/report/report-system/Makefile.am:
        * src/report/standard-reports/Makefile.am:
        * src/report/stylesheets/Makefile.am:
        * src/report/utility-reports/Makefile.am:
        * src/scm/gnumeric/Makefile.am:
        * src/scm/Makefile.am:
        * src/scm/printing/Makefile.am:
        * src/tax/us/Makefile.am:
          Make the build work if the build directory is not the source
          directory.  Also symlink .scm files into the build directory
          so it's possible to run from it.
	  Also fix "fin.scm installed twice", bug #168629.

	* src/import-export/log-replay/gnc-log-replay.c:
	  Don't pass NULL to ferror() (from bug #143720).

	* src/import-export/log-replay/gnc-log-replay.c:
	  scrub the transaction for a currency after we replay. (#143720).

	* configure.in: remove un-needed/wanted gsf/goffice configure options
	* macros/g-wrap.m4: fix the help text spacing.

	* configure.in: autodetect OFX and use it if we find it.
	  the --enable/disable-ofx will make the check fatal on failure
	  or skip it altogether if you want to ignore an existing libofx.

r13280 | chris | 2006-02-17 10:03:23 -0500 (Fri, 17 Feb 2006) | 2 lines

   M /gnucash/trunk/src/gnome-utils/dialog-account.c

   Use GPOINTER_TO_INT to avoid casting pointer to integer of different size.

2006-02-15  Derek Atkins <derek@ihtfp.com>

	* configure.in:  get --disable-gui to actually do what we want.
	  - Move a bunch of configure code around in the file.
	  - Don't look for goffice/gsf if we ask for --disable-gui
	  - add a few more comments
	  - no need to check for libxml2 twice  (more work to do here).

	* src/backend/file/test/Makefile.am:
	* src/backend/file/Makefile.am:
	* src/business/business-core/file/Makefile.am:
	* src/gnome-utils/Makefile.am:
	* lib/libgsf-1.12.3/tests/Makefile.am:
	* configure.in:
	  combine XML_{CFLAGS,LIBS} into LIBXML2_{CLFLAGS,LIBS}

	* src/backend/file/test/test-load-xml2.c:
	* src/backend/file/gncmod-file-backend.c:
	  move jsled's g-type initialization into the module init
	  this way we don't need to worry about it in every test app.

	* src/backend/file/test/test-load/xml2.c:
	  need g_type_init() because we don't actually "load" the file backend.

	* lib/libqof/qof/Makefile.am: add qofla-dir.h to DISTCLEANFILES

2006-02-15  Joshua Sled  <jsled@asynchronous.org>

	* src/backend/file/test/test-load-xml2.c (main): Initialize
	g_types before we can expect gconf (via the gnc file backend) to
	work, as per the gconf API docs.

	* src/gnome/dialog-hierarchy.c:
	* src/gnome/glade/account.glade: Andreas Köhler's patch to not
	scroll the tree view headers in the new-account hierarchy druid.
	Bug#330850.

2006-02-15  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/business-core.scm: 
	  Fix a typo; forgot one procedure name-change instance.

	* lib/libqof/qof/Makefile.am: keep qofla-dir.h out of the dist
	* configure.in: look in builddir for qof includes.

	* src/business/business-reports/owner-report.scm:
	  set the document title properly.

r13271 | chris | 2006-02-15 17:06:37 -0500 (Wed, 15 Feb 2006) | 11 lines

   M /gnucash/trunk/src/gnome-utils/dialog-account.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-model-account-types.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-model-account-types.h

   Convert the AccountType selection functions to work with GtkTreeSelections
     from views using the filtered GncTreeModelAccountTypes.
   Privatize the unfiltered GncTreeModelAccountTypes - now, every accessible
     account-types TreeModel is a new GtkTreeModelFilter, and their 
     ref-counting is always the same.
   Add some tweaks to gnc-tree-model-account-types.[ch] from 
     Andreas Köhler <andi5.py@gmx.net>, plus the conversion of the Account 
     Dialog's account-types field to use the filtered GncTreeModelAccountTypes
     instead of a GtkListStore, but simplified to use the AccountType 
     selection functions.

r13267 | chris | 2006-02-15 09:58:34 -0500 (Wed, 15 Feb 2006) | 3 lines

   M /gnucash/trunk/configure.in

   Remove --enable-opt-style-install configure option.
   That's one less thing to test.

r13266 | chris | 2006-02-14 20:52:15 -0500 (Tue, 14 Feb 2006) | 15 lines

   M /gnucash/trunk/src/report/report-system/report-system.scm
   M /gnucash/trunk/src/report/report-system/report-utilities.scm
   M /gnucash/trunk/src/report/standard-reports/balance-sheet.scm
   M /gnucash/trunk/src/report/standard-reports/equity-statement.scm
   M /gnucash/trunk/src/report/standard-reports/income-statement.scm

   Changed balance calculations in three reports from using local
   copies of buggy accountlist-get-comm-balance-at-date to using a new
   gnc:accountlist-get-comm-balance-interval provided by
   report-utilities.scm.  For the affected calculations, the balances no 
   longer exclude transactions on the first day of the reporting period.  
   This fixes http://bugzilla.gnome.org/show_bug.cgi?id=331005.

   Changed calculations:
     Income Statement: Total Expenses, Total Revenues
     Balance Sheet: Retained Earnings (*)
     Equity Statement: Retained Earnings (*), Net Income

   (*) The Retained Earning calculations use a start-date of "forever-ago"
   so they are not affected, but still converted to the new function.

2006-02-14  Derek Atkins  <derek@ihtfp.com>

	* src/report/standard-reports/advanced-portfolio.scm:
	Andrew Sackville-West's patch to add display options and fix
	the multicurrency patch.  Fixes #314554 and #330577.

2006-02-14  Christian Stimming  <stimming@tuhh.de>

	* src/gnome/schemas/*.schemas.in: Make the gconf key wordings
	consistent across all of our schemas files, as discussed and
	prepared on http://wiki.gnucash.org/wiki/GConf_Wording .

	* src/import-export/hbci/gnc-hbci-utils.c: For latest aqbanking
	changes, define AQBANKING_NOWARN_DEPRECATED to disable aqbanking
	compiler warnings because we will still use those functions for
	some time to come.

2006-02-13  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-account.c:
	* src/gnome/glade/account.glade: Andreas Köhler's patch to convert
	the account types list in the account edit dialog to a
	GtkTreeView/GtkListStore.

	* src/gnome/gnc-plugin-page-register.c: Andreas Köhler's patch to
	prevent crash when voiding a transaction.

	* src/gnome/glade/sched-xact.glade:
	* src/gnome/glade/account.glade: Andreas Köhler's patch to wrap
	label text in a couple of dialogs.

2006-02-13  Derek Atkins  <derek@ihtfp.com>

	* src/backend/postgres/table.m4:
	  use glib macro instead of cast to convert pointer to int.
	  Fixes #330581.

	* src/report/standard-reports/advanced-portfolio.scm:
	  revert r13244 in this file because it's badly formed and
	  breaks the report.  Reopened bug #314554.

2006-02-12  Neil Williams <linux@codehelp.co.uk>

	* src/calculation/fin.c : Fix Bug 107876 - financial
	calculator would call exit(1) if calculation resulted
	in an interest rate of zero.

2006-02-12  Neil Williams <linux@codehelp.co.uk>

	* lib/libqof/qof/qofbackend.h : Add error value for files that
	cannot be opened. ERR_FILEIO_READ_ERROR.
	* lib/libqof/qof/qofsession.c : Improve QOF_TYPE_COLLECT handling 
	and recursive copies
	* lib/libqof/backend/file/qsf-backend.c : Check that files can be opened before
	trying to work out their type. Use new QofBackendError value
	if open to read fails.
	* src/engine/test-core/test-stuff.c : Ensuring get_random_double 
	returns at least some decimal places more often than not.

2006-02-12  Derek Atkins  <derek@ihtfp.com>

	* src/business/*/*.scm:
	  rename gnc:owner-get-address-dep to
	  gnc:owner-get-name-and-address-dep in preparation of
	  some other patches.

	* src/business/business-core/business-core.scm:
	  add gnc:owner-get-name-dep and gnc:owner-get-address-dep APIs
	* src/business/business-reports/fancy-invoice.scm:
	  Change the font of the client company name to match the
	  owner company name.  Fixes #327545.

	* src/business/business-utils/business-prefs.scm:
	* src/business/business-utils/business-utils.scm:
	  Add a bunch of new File -> Properties to describe the business.
	* src/business/business-reports/fancy-invoice.scm:
	  Parameterize all the various settings in the report so
	  they can all be set through the options or file->properties
	  settings.  Patch by "Brian", but slightly modified to not
	  hard-code some strings.

	* src/report/stylesheets/stylesheet-fancy.scm:
	  Des Dougan's patch to let the user choose the fancy-stylesheet
	  image alignment.  Fixes #314048.

	Mike Alexander's Currency Scrub patch.
        * src/engine/Scrub.c:
        * src/engine/Scrub.h:
          Try to fix transactions that have no currency, perhaps because
          of a log replay.  Workaround for bug #143720.

	Boris Zbarsky's advanced-portfolio patch.
	* src/report/standard-reports/advanced-portfolio.scm:
	  Apply dividend and brokerage to moneyin and moneyout to more
	  accurately reflect account activity.  Fixes bug #311549.

	Mike Alexander's patch to handle multiple currencies in reports.
        * src/report/standard-reports/portfolio.scm:
        * src/report/standard-reports/advanced-portfolio.scm:
          Report currency option
          Sort accounts
          Handle "nearest price" option better
        * src/report/standard-reports/cash-flow.scm:
          Handle multiple currencies better
        * src/report/standard-reports/transaction.scm:
          Add common currency option.
          Handle "nearest price" option better.
        * src/report/report-system/commodity-utilities.scm
          (gnc:exchange-by-pricedb-nearest):
          Use price nearest to noon on the day specified.
	Fixes bug #314554.

	Mike Alexander's reconcile preselection patch (#112653).
        * src/gnome/window-reconcile.c (gnc_reconcile_window_create_list_box):
        * src/gnome/reconcile-list.c (gnc_reconcile_list_new):
        * src/gnome/reconcile-list.h (gnc_reconcile_list_new):
          Don't pre-select the reconciled status for transactions after the
          statement date.
	Fixes #112653.

	Christian Neumair's desktop patch (#145545)
	* src/gnome/gnucash.desktop.in
	* src/gnome/Makefile.am
	  Make the desktop more HIG-compliant.

r13243 | chris | 2006-02-12 15:31:11 -0500 (Sun, 12 Feb 2006) | 3 lines

   M /gnucash/trunk/src/calculation/expression_parser.c

   Don't continue to parse the expression if we've already reached the end.
   Fixes http://bugzilla.gnome.org/show_bug.cgi?id=166840.


r13229 | chris | 2006-02-12 00:21:09 -0500 (Sun, 12 Feb 2006) | 3 lines

   M /gnucash/trunk/src/gnome-utils/window-main-summarybar.c

   Use the price nearest to midday to get the value in the default currency.
   Patch by Mike Alexander <mta.umich.edu>, closes bug #330361


r13228 | chris | 2006-02-11 23:13:29 -0500 (Sat, 11 Feb 2006) | 4 lines

   M /gnucash/trunk/src/report/report-gnome/gnc-plugin-page-report.c

   Take #2:  Fixups for two botched gnc-plugin-page-report.c commits tonight.
   1) Correctly handle gc protection for non-boolean 'edited_reports' field.
   2) Pass list argument instead of immediate to gfec_apply.


r13227 | chris | 2006-02-11 21:40:35 -0500 (Sat, 11 Feb 2006) | 4 lines

   M /gnucash/trunk/src/report/report-gnome/gnc-plugin-page-report.c

   Gracefully handle errors in report options.
   This prevents the whole program from crashing when unrecognized report
   options are used.


r13223 | chris | 2006-02-11 16:07:32 -0500 (Sat, 11 Feb 2006) | 4 lines

   M /gnucash/trunk/src/report/report-system/Makefile.am
   M /gnucash/trunk/src/report/report-system/gnc-report.c

   gc_protect SCM reports while they are in the GHashTable.
   Also, use gfec to be a bit more defensive about potential errors while 
   running a report.


r13200 | chris | 2006-02-11 00:23:12 -0500 (Sat, 11 Feb 2006) | 2 lines

   M /gnucash/trunk/src/gnome-utils/glade/preferences.glade

   Tweak the preferences labels for accounting periods.


r13199 | chris | 2006-02-11 00:14:21 -0500 (Sat, 11 Feb 2006) | 4 lines

   M /gnucash/trunk/src/app-utils/app-utils.scm
   M /gnucash/trunk/src/app-utils/date-utilities.scm
   M /gnucash/trunk/src/app-utils/gnc-accounting-period.h
   M /gnucash/trunk/src/app-utils/gw-app-utils-spec.scm
   M /gnucash/trunk/src/app-utils/options.scm

   Change the reports from using a hard-coded fiscal year to using the global
   accounting period set in the preferences.  Both the start date and the end
   date are used, so the user is free to choose any arbitrary period.


r13198 | chris | 2006-02-11 00:00:02 -0500 (Sat, 11 Feb 2006) | 3 lines

   M /gnucash/trunk/src/app-utils/gnc-accounting-period.c
   M /gnucash/trunk/src/app-utils/gnc-accounting-period.h
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view-account.c
   M /gnucash/trunk/src/gnome-utils/window-main-summarybar.c
   M /gnucash/trunk/src/gnome-utils/window-main-summarybar.h

   Move the accounting period preference functions from window-main-summarybar
   to gnc-accounting-period.

2006-02-11  Derek Atkins  <derek@ihtfp.com>

	* src/report/report-gnome/gnc-plugin-page-report.c:
	  don't need to scm_gc_{un,}protect_object on SCM_BOOL_F.

	* src/business/business-reports/owner-report.scm:
	  set the document title properly AFTER type-str is set.

	* configure.in:
	  rework the initialization to require autoconf-2.59 and automake-1.9
	  parse the version out of the AC_PACKAGE_VERSION macro, so
	  we still only need to set it in one place.  This should
	  solve a number of old-automake related problems people have seen.

2006-02-11  David Hampton  <hampton@employees.org>

	* src/gnome/glade/acctperiod.glade:
	* src/gnome/glade/sched-xact.glade:
	* src/gnome/glade/account.glade: Patch from Tommi Vainikainen
	<tvainika@niksula.hut.fi> to remove extraneous line breaks.

	* src/backend/file/test/test-xml-commodity.c:
	* src/backend/file/gnc-commodity-xml-v2.c:
	* src/backend/postgres/table.m4:
	* src/import-export/ofx/gnc-ofx-import.c:
	* src/import-export/import-commodity-matcher.[ch]:
	* src/gnome-utils/gnc-tree-view-commodity.c:
	* src/gnome-utils/gnc-tree-model-commodity.[ch]:
	* src/gnome-utils/dialog-commodity.[ch]:
	* src/engine/gw-engine-spec.scm:
	* src/engine/test-core/test-engine-stuff.c:
	* src/engine/test/test-commodities.c:
	* src/engine/gnc-commodity.[ch]: Globally replace the words
	"exchange_code" with cusip in the source. No user visible changes.

2006-02-11  Christian Stimming  <stimming@tuhh.de>

	* po/Makevars: Add --keyword=Q_ to xgettext arguments so that
	translations with context prefix/disambiguation prefix are
	included as well.

2006-02-10  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-plugin-page-account-tree.c: Correctly open an
	account and its sub-accounts. Fixes 330745.

2006-02-10  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/dialog-options.c:
	  Test for an empty string when translating.  (Fixes #330179)

	* Makefile.am:
	  added README.dependencies to the dist.  Fixes #330614.

	* configure.in:
	  check that we can find g-wrap-wct.h.
	  detects that we're running on a "broken" system like Ubuntu.
	  This is in response to #330539.

	* lib/libqof/qof/gnc-event.c:
	  Better handling of event removal.  This allows us to actually
	  clean up, but also makes sure we don't destroy the handler
	  list out from under us as we're processing events.

2006-02-09  David Hampton  <hampton@employees.org>

	* src/bin/gnucash-bin.c: Pass argc by reference instead of value
	so g_option_parse_context can update it.

	* src/bin/gnucash-bin.c: Don't initialize the display at option
	parsing time.  This way --add-price-quotes can run from a cron
	job.

	* src/gnome-utils/glade/commodity.glade:
	* src/gnome-utils/dialog-commodity.c:
	* src/engine/gnc-commodity.c: Update for known F::Q 1.11 quote
	sources.

	* src/quotes/finance-quote-check.in:
	* src/scm/price-quotes.scm: Print out the installed F::Q version
	at startup.
	
2006-02-09  Derek Atkins  <derek@ihtfp.com>

	* macros/legacy_macros.m4: when the guile version check fails,
	  print out the version of guile that we found in order to
	  aid debugging.

2006-02-09  David Hampton  <hampton@employees.org>

	* src/register/ledger-core/split-register-control.c: Better fix
	for the code that updates the buy/sell action based on the number
	of shares entered in a transaction.

r13167 | chris | 2006-02-09 00:23:51 -0500 (Thu, 09 Feb 2006) | 2 lines

   M /gnucash/trunk/src/gnome-utils/gnc-tree-view-account.c

   Remove forgotten unused variable.

r13165 | chris | 2006-02-08 23:53:43 -0500 (Wed, 08 Feb 2006) | 4 lines

   M /gnucash/trunk/src/gnome-utils/gnc-tree-view-account.c

   Add two columns to the Accounts page: "Total (Period)" & "Balance (Period)"
   These are the recursive and non-recursive, respectively, period balances,
   where the accounting period is specified in the preferences.

r13158 | chris | 2006-02-08 23:17:27 -0500 (Wed, 08 Feb 2006) | 5 lines

   M /gnucash/trunk/src/gnome-utils/window-main-summarybar.c
   M /gnucash/trunk/src/gnome-utils/window-main-summarybar.h

   Fix an off-by-one (day) error in the dates used by the summarybar.
   Factor out and publicize functions to get the start and end of the
   accounting period in the preferences.
   Mark one comment as probably obsolete.


r13156 | chris | 2006-02-08 20:47:26 -0500 (Wed, 08 Feb 2006) | 4 lines

   M /gnucash/trunk/src/gnome-utils/gnc-tree-view.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view.h

   Factor out an "approved" method for getting the GtkCellRenderer from a 
   GtkTreeViewColumn that's been added to a GncTreeView with one of the 
   convenience functions.


r13155 | chris | 2006-02-08 20:24:47 -0500 (Wed, 08 Feb 2006) | 3 lines

   M /gnucash/trunk/src/gnome/Makefile.am
   D /gnucash/trunk/src/gnome/window-main-summarybar.c
   D /gnucash/trunk/src/gnome/window-main-summarybar.h
   M /gnucash/trunk/src/gnome-utils/Makefile.am
   A /gnucash/trunk/src/gnome-utils/window-main-summarybar.c (from /gnucash/trunk/src/gnome/window-main-summarybar.c:13154)
   A /gnucash/trunk/src/gnome-utils/window-main-summarybar.h (from /gnucash/trunk/src/gnome/window-main-summarybar.h:13154)

   Move window-main-summarybar.[ch] from gnome/ to gnome-utils/.
   It doesn't depend on anything in gnome/.


r13154 | chris | 2006-02-08 10:05:28 -0500 (Wed, 08 Feb 2006) | 2 lines

   M /gnucash/trunk/src/gnome/gnc-plugin-page-register.c

   Change name of SplitRegister variable name to 'reg' for consistency.


r13153 | chris | 2006-02-08 10:00:24 -0500 (Wed, 08 Feb 2006) | 2 lines

   M /gnucash/trunk/src/report/report-system/html-document.scm

   A little error checking for report titles.


r13152 | chris | 2006-02-08 01:04:51 -0500 (Wed, 08 Feb 2006) | 6 lines

   M /gnucash/trunk/lib/libqof/qof/gnc-event.c

   Don't allow the event handler list to shrink while we're traversing it.
   This change isn't ideal in the sense that the handler list is now a 
   monotonically increasing resource, but it's better than crashing when the
   handler in node N+1 happens to be deleted while servicing the handler in
   node N.


r13150 | chris | 2006-02-08 00:55:04 -0500 (Wed, 08 Feb 2006) | 4 lines

   M /gnucash/trunk/src/gnome-utils/gnc-tree-model-account.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-model-commodity.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-model-price.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-model.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-model.h
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view-account.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view-commodity.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view-price.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view.c

   Convert GncTreeModel from a GtkObject to a GObject.
   Replace gtk_object_sink calls on the models with g_object_unref calls.
   Correctly increase the refcount of "remembered" models when we return them.

2006-02-08  David Hampton  <hampton@employees.org>

	* src/register/ledger-core/split-register-control.c: Fix the code
	that updates the buy/sell action based on the number of shares
	entered in a transaction.

	* src/gnome/dialog-price-edit-db.c:
	* src/engine/gnc-pricedb.c: A couple of performance enhancements.

	* src/gnome/gnc-plugin-basic-commands.c: Set the busy cursor while
	the dialogs are being generated.

	* src/gnome/glade/commodities.glade:
	* src/gnome/glade/price.glade: Set the window type hint to normal.

	* src/gnome-utils/glade/commodity.glade: Fix a duplicate
	accelerator key.

2006-02-08  Chris Lyttle  <chris@wilddev.net>

	* NEWS: Added some text about the release.

2006-02-08  David Hampton  <hampton@employees.org>

	* src/gnome-search/search.glade: Set the default button. Fixes
	#329539.

2006-02-07  Christian Stimming  <stimming@tuhh.de>

	* po/glossary/gnc-glossary.txt: Update glossary with new term
	'voucher'.

r13149 | chris | 2006-02-07 21:23:59 -0500 (Tue, 07 Feb 2006) | 3 lines

   M /gnucash/trunk/src/gnome-utils/gnc-tree-model-commodity.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-model-price.c

   Convert GncTreeModelPrice and GncTreeModelCommodity to use GObject dispose
   path instead of GtkObject destroy path.


r13148 | chris | 2006-02-07 20:55:07 -0500 (Tue, 07 Feb 2006) | 3 lines

   M /gnucash/trunk/src/gnome-utils/gnc-tree-model-account.c

   Convert GncTreeModelAccount to use the GObject dispose path instead of 
   the GtkObject destroy path.  Also, remove the gconf callback during dispose.

r13140 | chris | 2006-02-07 14:52:29 -0500 (Tue, 07 Feb 2006) | 2 lines

   M /gnucash/trunk/src/bin/gnucash-bin.c

   Recompute argc after argv may have changed.


r13134 | chris | 2006-02-06 15:41:40 -0500 (Mon, 06 Feb 2006) | 4 lines

   M /gnucash/trunk/src/engine/Transaction.c

   Fix two places where we were letting the split values become incoherent
   with account balances.
   Comment two possible bugs related to capgains and dirtying (or not) Splits.


r13133 | chris | 2006-02-06 13:31:49 -0500 (Mon, 06 Feb 2006) | 2 lines

   M /gnucash/trunk/src/backend/file/io-gncxml-v1.c

   Fix breakage from missed case in Split QofEntity->QofInstance conversion.


r13132 | chris | 2006-02-06 12:57:45 -0500 (Mon, 06 Feb 2006) | 4 lines

   M /gnucash/trunk/src/engine/Transaction.c

   Keep QOF aware of the dirty-state of Transactions.
   Also, dirty transactions upon changing due date and read-only status, 
   which didn't used to happen.


r13131 | chris | 2006-02-06 12:12:39 -0500 (Mon, 06 Feb 2006) | 4 lines

   M /gnucash/trunk/src/backend/postgres/txn.c
   M /gnucash/trunk/src/engine/Account.c
   M /gnucash/trunk/src/engine/Period.c
   M /gnucash/trunk/src/engine/Scrub2.c
   M /gnucash/trunk/src/engine/Transaction.c
   M /gnucash/trunk/src/engine/TransactionP.h
   M /gnucash/trunk/src/engine/cap-gains.c

   Convert Split from QofEntity to QofInstance.
   Let QofInstance manage the book pointer and kvp frame instead of Split 
   managing its own.


r13130 | chris | 2006-02-06 11:18:52 -0500 (Mon, 06 Feb 2006) | 2 lines

   M /gnucash/trunk/src/engine/Transaction.c

   Replace check_open() in setter API with internal qof_{begin,commit}_edit().


2006-02-06  David Hampton  <hampton@employees.org>

	* src/import-export/hbci/glade/hbci.glade:
	* src/report/report-gnome/report.glade:
	* src/gnome/glade/budget.glade:
	* src/gnome/glade/tax.glade:
	* src/gnome/glade/account.glade:
	* glade-fixup: Filter out more post gtk2.4 properties.
	
	* src/bin/gnucash-bin.c: Fix some issues when invoking from a
	non-utf8, non latin1 locale.  Use g_print to print to the
	console. Convert from popt to g_options for glib >= 2.6.  Fixes
	#328991.

	* src/register/register-gnome/gnucash-item-edit.c:
	* src/register/register-gnome/gnucash-grid.c: Scott Oonk' patch to
	fix a couple of problems with right justified cells in the
	register.

	- Make sure the text in the cell stays right justified when
	deleting characters.
	- Adjust the positioning of text to account for the popup toggle.
	- Change gnucash-item-edit to use logical extents instead of ink
	extents.  This syncs gnucash-item-edit.c with change made to
	gnucash-grid.c in r12155.

2006-02-05  Derek Atkins  <derek@ihtfp.com>

	* src/backend/file/test/Makefile.am: link against libcore-utils.

	* src/app-utils/test/test-scm-query-string.c:
	  use g_strdup -- cannot feed SCM_STRING_CHARS() back into guile.
	  (fixes a weird test-case failure in some cases).

	* src/backend/file/Makefile.am: link against libcore-utils.

	* src/engine/test/test-engine-stuff.c:
	  - make sure a random group always has at least two accounts
	  - fix "make random transaction" to tell us when we don't
	    have at least two accounts.
	  - free the results of xaccGroupGetSubAccounts().

	* src/engine/test/test-engine-stuff.c:
	  - better fix for #accounts
	  - don't g_list_free the account_list

2006-02-05  Neil Williams <linux@codehelp.co.uk>

	* lib/libqof/qof/qoflog.c :
	* lib/libqof/qof/qoflog.h :
	* lib/libqof/qof/deprecated.c :
	* lib/libqof/qof/deprecated.h : Deprecating qof_log_set_level_global
	in favour of qof_log_set_level_registered. Documenting circumstances
	under which _global could be modified and added as a new function.
	Improve qof_log_check to handle out-of-bounds log_levels.

2006-02-05  Neil Williams <linux@codehelp.co.uk>

	* lib/libqof/qof/qofbackend-p.h :
	* lib/libqof/qof/qofbackend.h : Improving
	documentation for QofBackendProvider
	* lib/libqof/qof/qofchoice.c :
	* lib/libqof/qof/qofchoice.h : Support logging.
	* lib/libqof/qof/qoflog.c : Add qofchoice to default
	log modules.
	* lib/libqof/qof/gnc-engine-util.h : Line-wrapping tweak.	

r13128 | chris | 2006-02-05 23:50:02 -0500 (Sun, 05 Feb 2006) | 9 lines

   M /gnucash/trunk/src/engine/Transaction.c

   Remove check_open() calls from Transaction setters.

   These calls were probably a copied idiom from the Split setters in this
   same file, but Split and Transaction use completely different mechanisms
   for managing dirty state.  Transactions inherit from QofInstance and so
   use the .dirty field.  Splits inherit from QofEntity, so their
   check_open(split->parent) calls are their way of letting someone know
   they've changed.


r13096 | chris | 2006-02-04 11:34:57 -0500 (Sat, 04 Feb 2006) | 2 lines

   M /gnucash/trunk/src/gnome/gnc-plugin-page-budget.c

   Hook-up the new budget value estimation dialog.


r13095 | chris | 2006-02-04 11:32:30 -0500 (Sat, 04 Feb 2006) | 3 lines

   M /gnucash/trunk/src/gnome/glade/budget.glade

   New dialog for estimating budget values from past transactions.
   Minor string and glade tweaks.


r13094 | chris | 2006-02-04 11:29:00 -0500 (Sat, 04 Feb 2006) | 2 lines

   M /gnucash/trunk/src/gnome-utils/gnc-date-edit.c
   M /gnucash/trunk/src/gnome-utils/gnc-date-edit.h

   gnc_date_edit_set_gdate(): A GDate setter for GNCDateEdit is useful, too. 


r13093 | chris | 2006-02-04 10:17:51 -0500 (Sat, 04 Feb 2006) | 3 lines

   M /gnucash/trunk/src/gnome-utils/gnc-date-edit.c
   M /gnucash/trunk/src/gnome-utils/gnc-date-edit.h

   Add getter gnc_date_edit_get_gdate() for getting the value of a GNCDateEdit
   widget as a GDate.


r13092 | chris | 2006-02-04 10:12:09 -0500 (Sat, 04 Feb 2006) | 5 lines

   M /gnucash/trunk/src/engine/Recurrence.c
   M /gnucash/trunk/src/engine/Recurrence.h
   M /gnucash/trunk/src/engine/gnc-budget.c

  Factor out some code from gnc-budget into Recurrence so that the budget
  estimation code can use stand-alone recurrences to estimate budget values.
  Also, tweak the initial budget so that it begins at the beginning of the 
  current month.


r13091 | chris | 2006-02-04 10:06:19 -0500 (Sat, 04 Feb 2006) | 2 lines

   M /gnucash/trunk/src/app-utils/gnc-ui-util.c

   Teach PrintAmountInternal() to correctly handle a reciprocal denominator.


r13090 | chris | 2006-02-04 00:37:50 -0500 (Sat, 04 Feb 2006) | 9 lines

   M /gnucash/trunk/src/engine/test/test-numeric.c

   Add some test-cases for gnc_numerics using the reciprocal denominator.
   Even though we don't explicitly ask for this representation, certain
   calculations (e.g. those involving GNC_HOW_DENOM_SIGFIGS in the loan    
   druid and soon in budgets) will return numbers using this representation.

   Unfortunately, these numbers aren't handled correctly by most of the
   gnc_numeric functions, like the ones for comparison, equality testing,
   arithmetic and conversion.


2006-02-04  David Hampton  <david@dhcp-15.rainbolthampton.net>

	* src/register/ledger-core/split-register.c:
	* src/gnome-utils/gnc-tree-view-account.c: Get gnucash to compile
	with gcc4.1.

2006-02-04  Derek Atkins  <derek@ihtfp.com>

	* lib/libqof/qof/gnc-numeric.c:
	  - Fixes for handling reciprocal values.
	  - Mark a lot of places where potential overflow bugs
	    are not handled.

2006-02-04  Joshua Sled  <jsled@asynchronous.org>

	* src/doc/xml/gnucash-v2.rnc: Add reverse-engineered schema for
	"v2" (1.8/2.0) XML files.

	* src/backend/file/io-gncxml-v2.c (write_v2_header): Emit
	'fs' (FreqSpec), 'bgt', 'recurrence' (Budgeting), and 'lot'
	namespace decls.

2006-02-04  David Hampton  <hampton@employees.org>

	* src/import-export/schemas/Makefile.am:
	* src/import-export/hbci/schemas/Makefile.am:
	* src/business/business-gnome/schemas/Makefile.am:
	* src/gnome-utils/schemas/Makefile.am:
	* src/gnome/schemas/Makefile.am: Don't just install the schema
	files, also install the gconf objects into the database. Reverts
	accidental change made as part of r12863.

2006-02-04  Joshua Sled  <jsled@asynchronous.org>

	* src/report/report-system/html-document.scm
	(gnc:html-document-headline): Add a headline property to the
	html-document record.

	* src/report/report-system/html-style-sheet.scm
	(gnc:html-style-sheet-render): Add headline-copy, better comment.

	* src/report/stylesheets/stylesheet-plain.scm (plain-renderer) 
	* src/report/stylesheets/stylesheet-fancy.scm (fancy-renderer) 
	* src/report/stylesheets/stylesheet-easy.scm (easy-renderer):
	Use headline if available, fallback to title. 

	* src/business/business-reports/aging.scm (aging-renderer)
	* src/business/business-reports/owner-report.scm (reg-renderer): 
	Use strings in titles, markup for the richer headline. Bug#329369.

2006-02-04  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-tree-view-commodity.c:
	* src/gnome-utils/gnc-tree-view-account.c: Add disambiguating
	prefix to the single letter column titles.

	* src/report/stylesheets/stylesheet-fancy.scm:
	* src/report/stylesheets/stylesheet-easy.scm: Dave Herman's
	<dvherman@gmail.com> patch to fix #327630 by copying missing
	"function" (gnc:html-document-set-style!) from the plain to both
	the "fancy" and "easy" stylesheets.

	* src/gnome-utils/gnc-tree-view-commodity.c:
	* src/gnome-utils/gnc-tree-view-price.c:
	* src/gnome-utils/gnc-tree-view-account.c:
	* src/gnome-utils/gnc-tree-view.c: Andreas Köhler's patch to
	perform the i18n on column headers before calling the generic tree
	view code instead of performing it a couple steps removed.  This
	is a leftover from several years ago when the columns were defined
	in an array. It also introduces the translatable strings
	"P" (placeholder) and "Q" (quotes) used in toggle column headers.

2006-02-04  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome-utils/glade/preferences.glade: Fix name of
	file-compression option.

	* src/backend/file/gnc-backend-file.c (gnc_backend_new): Setup
	option initial values; register configuration-change notification.
	(retain_changed_cb, compression_changed_cb): Add.

	* src/backend/file/gnc-backend-file.h (struct FileBackend_struct):
	Move backend options into backend struct.

2006-02-03  David Hampton  <hampton@employees.org>

	* src/business/business-gnome/dialog-order.c:
	* src/business/business-gnome/dialog-vendor.c:
	* src/business/business-gnome/dialog-customer.c:
	* src/business/business-gnome/dialog-job.c:
	* src/business/business-gnome/dialog-employee.c:
	* src/business/business-gnome/dialog-invoice.c:
	* src/gnome/dialog-find-transactions.c:
	* src/gnome-search/search.glade:
	* src/gnome-search/dialog-search.[ch]: Re-title the search dialog
	based upon the menu used to invoke it. Fixes #329538.

r13089 | chris | 2006-02-03 16:29:06 -0500 (Fri, 03 Feb 2006) | 4 lines

   M /gnucash/trunk/src/engine/gnc-budget.c

   Use the string cache for budget name and description.
   Dirty the book when the budget changes.
   Remove some obsolete budget code.


r13079 | chris | 2006-02-02 13:47:34 -0500 (Thu, 02 Feb 2006) | 4 lines

   M /gnucash/trunk/Makefile.am
   M /gnucash/trunk/make-gnucash-potfiles.in

   Allow make-gnucash-potfiles to run from directories other than srcdir.
   Better documentation of exactly what m-g-potfiles excludes, and a general
   clean-up of the script.


2006-02-02  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-tree-view.[ch]: Andreas Köhler's patch to
	allow explicit specification of which columns in a tree view
	expand.  Updated to automatically mark a column as expandable if
	it is the only visible column.

	* src/business/dialog-tax-table/dialog-tax-table.c:
	* src/gnome-utils/gnc-tree-view-account.c:
	* src/gnome-utils/dialog-account.c:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/druid-stock-split.c:
	* src/gnome/dialog-tax-info.c:
	* src/gnome/druid-hierarchy.c: Change the default visibilities of
	the GncTreeViewAccount widget to only show the account name
	column.  This is the most commonly used case for this widget.

2006-02-02  Joshua Sled  <jsled@asynchronous.org>

	* lib/libqof/qof/qofsession.c (qof_session_load_backend): get+load
	backend configuration after creation.
	* src/backend/file/gnc-backend-file.c (gnc_file_be_get_config):
	fix configuration.
	(gnc_file_be_remove_old_files): Add ".log" suffix to the
	check for to-remove files.  Bug#329670.  Reformat.

2006-02-02  David Hampton  <hampton@employees.org>

	* src/register/register-core/numcell.c: Don't call g_utf8_strlen
	with a NULL pointer.  Fixes 329556.

	* src/gnome-utils/gnc-tree-model-commodity.c:
	* src/gnome-utils/gnc-tree-model-account.c:
	* src/gnome-utils/gnc-tree-model-price.c: Better handling in the
	model event handling functions.  Noticeable in the commodity and
	price trees when adding/deleting the first/last item.

	* src/gnome/dialog-commodities.c: Fix a crash when manipulating
	commodities before crating the first account.

	* src/gnome-utils/gnc-file.c: Re-enable events before processing
	the book-opened hook.  Solves some strange problems in the account
	tree which were caused by the Orphan account being created during
	the callbacks, but no event being sent to the account tree model.

2006-02-02  Derek Atkins  <derek@ihtfp.com>

	* src/backend/file/io-gncxml-v2.c:
	  Specify the output xml encoding as utf8.

2006-02-01  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncInvoice.c:
	  Need to put the new split into the txn as well as the acct
	  before we call xaccSplitSetBaseValue().  Fixes #325890.

	* src/business/business-core/gncInvoice.[ch]:
	  Add new API: gncInvoiceSortEntries()
	* src/business/business-core/gncEntry.c:
	  re-sort the parent when the entry date changes.
	  Only re-sort when the existing date is non-zero (i.e.
	  don't re-sort on the initial setting of the date).
	  Fixes #320566.

	* src/gnome-search/dialog-search.c:
	* src/gnome-search/dialog-search.h:
	  Modify the gnc_search_dialog_create() API to add an optional
	  "type label" parameter, so you can manually set the string
	  presented to the user for what they are searching for...
	* src/business/business-gnome/dialog-order.c:
	* src/business/business-gnome/dialog-vendor.c:
	* src/business/business-gnome/dialog-customer.c:
	* src/business/business-gnome/dialog-job.c:
	* src/business/business-gnome/dialog-employee.c:
	* src/gnome/dialog-find-transactions.c:
	  Pass NULL into new search API parameter
	* src/business/business-gnome/dialog-invoice.c:
	  Modify how we call the search dialog.  Send in different
	  sets of parameters depending on whether we're searching for
	  a Customer Invoice, Vendor Bill, or Employee Expense Voucher.
	  Pass in a type_label as well so the dialog can properly label
	  the "new" button.  This fixes the UI Bug #117354.

r13072 | chris | 2006-02-01 19:07:58 -0500 (Wed, 01 Feb 2006) | 2 lines

   M /gnucash/trunk/Makefile.am
   M /gnucash/trunk/po/POTFILES.skip

   Check for any accidentally-distributed files not marked for translation.


r13070 | chris | 2006-02-01 17:38:41 -0500 (Wed, 01 Feb 2006) | 2 lines

   M /gnucash/trunk/Makefile.am

   Add POTFILES.skip to EXTRA_DIST.


r13067 | chris | 2006-02-01 15:33:36 -0500 (Wed, 01 Feb 2006) | 2 lines

   A /gnucash/trunk/po/POTFILES.skip

   Don't translate obsolete files.


r13066 | chris | 2006-02-01 15:32:11 -0500 (Wed, 01 Feb 2006) | 2 lines

   M /gnucash/trunk/make-gnucash-potfiles.in

   When generating POTFILES.in, don't include files we don't want to translate.


r13065 | chris | 2006-02-01 15:30:14 -0500 (Wed, 01 Feb 2006) | 3 lines

   M /gnucash/trunk/Makefile.am

   Fail 'make distcheck' if POTFILES.in contains undistributed files.
   The failure will also helpfully explain which files are the problem.


2006-01-31  Derek Atkins  <derek@ihtfp.com>

	* configure.in: include gmodule in GLIB_LIBS
	* lib/libqof/qof/Makefile.am: link libqof against glib.

2006-01-30  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome-utils/gnc-html-graph-gog.c (read_doubles): Explicitly
	enter the C locale before calling sscanf on doubles string-ified
	by guile.  Bug#328773.

2006-01-30  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncInvoice.c:
	  Make sure to insert new splits into an account before we
	  set the Base Value..  Otherwise it will fail to set the
	  value properly.  Closer to fixing 325890, but it's still
	  not completely fixed.

2006-01-30  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/glade/sched-xact.glade: Change since-last-run
	final-page text from "apply" to "Apply". Bug#329125.

r13056 | chris | 2006-01-30 22:41:01 -0500 (Mon, 30 Jan 2006) | 2 lines

   M /gnucash/trunk/src/report/locale-specific/us/taxtxf-de_DE.scm
   M /gnucash/trunk/src/report/locale-specific/us/taxtxf.scm

   Don't add markup to tax report titles.


r13047 | chris | 2006-01-29 22:53:09 -0500 (Sun, 29 Jan 2006) | 4 lines

   M /gnucash/trunk/src/gnome-utils/gnc-tree-view.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view.h

   New function: gnc_tree_view_add_combo_column().
   This function is only compiled when HAVE_GTK26 because it uses 
   GtkCellRendererCombo.


r13045 | chris | 2006-01-29 21:59:43 -0500 (Sun, 29 Jan 2006) | 3 lines

   M /gnucash/trunk/src/engine/Transaction.c
   M /gnucash/trunk/src/engine/Transaction.h
   M /gnucash/trunk/src/engine/TransactionP.h

   Add some convenience functions for getting values from various combinations
   of Accounts, Transactions, and Splits.


r13040 | chris | 2006-01-29 19:59:25 -0500 (Sun, 29 Jan 2006) | 3 lines

   M /gnucash/trunk/src/gnome-utils/gnc-tree-view-account.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view-account.h

    Convert account types filter dialog to use checkboxes for selection.
    Patch by Eskil Bylund <eskil.bylund@gmail.com>


2006-01-29  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/file/gnc-bill-term-xml-v2.c:
	* src/business/business-core/file/gnc-bill-term-xml-v2.h:
	  Add a new API to "find-or-create" a billterm so all the
	  code is collated in one location.
	  Add more debugging during the scrub phases.
	* src/business/business-core/file/gnc-invoice-xml-v2.c:
	* src/business/business-core/file/gnc-vendor-xml-v2.c:
	* src/business/business-core/file/gnc-customer-xml-v2.c:
	  Use the new bill-term find-or-create API
	* src/business/business-core/gncBillTerm.c:
	  add some additional debugging
	* src/business/business-core/gncBillTerm.h:
	  The Billterm Type ENUM must start at 1, not zero.  The data file
	  now appears to properly save itself without destroying data.
	  Fixes rest of #328790.

2006-01-29  David Hampton  <hampton@employees.org>

	* src/gtk-compat.h:
	* src/gnome-utils/gnc-main-window.c:
	* src/Makefile.am: Make the cut/paste change compile on gtk 2.4
	systems.

	* various: Remove extraneous carriage returns from text that will
	be put into a GtkLabel (since labels know how to wrap text).

	* src/report/stylesheets/stylesheet-fancy.scm : Dave Herman's
	patch to suppresses extraneous entries table entries in reports
	when there are no files specified for the "logo pix" file or the
	"header pix" file.

	* src/gnome-utils/gnc-main-window.c: Eskil Bylund's patch from
	Epiphany to enable cut/paste.  Extended to support GtkTextView
	widgets as well as GtkEditable widgets.

	* src/gnome-utils/gnc-main-window.c: Andreas Köhler's patch to fix
	a problem where switching windows repeatedly confusing the
	Windows menu. Fixes #327943.

	* gnc-tree-model-commodity.c: Andreas Köhler's patch to fix
	commodity editor warnings/crash. Fixes #328788.

2006-01-29  Joshua Sled  <jsled@asynchronous.org>

	* src/report/utility-reports/welcome-to-gnucash.scm: register
	menu item for self.

	* src/report/report-gnome/report-gnome.scm
	(gnc:report-menu-setup): Remove report menu-item creation.

	* src/gnome/dialog-sxsincelast.c (create_each_transaction_helper):
	Degrade more gracefully in the face of errors during scheduled-transaction
	creation; record errors in-band rather than simply to the log, and
	display them to the user.  Resolves bugs: 151157, 167858, 151487.

2006-01-29  David Hampton  <hampton@employees.org>

	* src/register/ledger-core/split-register.c:
	* src/register/ledger-core/split-register-control.c:
	* src/import-export/hbci/druid-hbci-initial.c:
	* src/report/report-gnome/gnc-plugin-page-report.c:
	* src/gnome-utils/gw-gnome-utils-spec.scm:
	* src/gnome-utils/gnc-gui-query.c:
	* src/gnc-ui.h: HIG changes for the "radio option" query dialog.

	* src/engine/gnc-engine.c: Restore reasonable default logging
	levels.

	* README: Michael Wahlbrink's cvs to svn changes.

	* src/import-export/qif-import/dialog-account-picker.c:
	* src/import-export/hbci/gnc-hbci-gettrans.c:
	* src/import-export/hbci/hbci-interaction.c:
	* src/report/report-gnome/window-report.c:
	* src/gnome-utils/gnc-file.c:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome-search/search-string.c: Use a format string of "%s"
	when building a message dialog from a single string.

	* src/gnome-utils/gnc-main-window.c:
	* src/gnome/gnc-split-reg.c:
	* src/gnome/dialog-commodities.c:
	* src/gnome/dialog-price-edit-db.c: Use the gtk2.6 secondary
	message text function now that there is a 2.4 emulation routine
	available.

	* src/gnome-utils/gncmod-gnome-utils.c:
	* src/app-utils/gnc-err-popup.[ch]:
	* src/app-utils/Makefile.am: Remove deprecated files

	* src/register/ledger-core/split-register-model.c:
	* src/register/ledger-core/split-register.c:
	* src/register/ledger-core/split-register-control.c:
	* src/import-export/hbci/dialog-pass.c:
	* src/business/business-ledger/gncEntryLedger.c:
	* src/business/business-ledger/gncEntryLedgerControl.c:
	* src/business/business-gnome/gnc-plugin-business.c:
	* src/gnome-utils/gnc-gnome-utils.c:
	* src/gnome-utils/gw-gnome-utils-spec.scm:
	* src/gnome-utils/gnc-file.[ch]:
	* src/gnome-utils/gnc-main-window.c:
	* src/gnome-utils/dialog-utils.[ch]:
	* src/gnome-utils/gnc-gui-query.[ch]:
	* src/gnome/gnc-split-reg.c:
	* src/gnome/dialog-chart-export.c:
	* src/gnome/schemas/apps_gnucash_warnings.schemas.in:
	* src/gnome/dialog-commodities.c:
	* src/gnome/dialog-price-edit-db.c:
	* src/gnc-ui.h:
	* src/app-utils/option-util.c: HIG rework. Remove newlines from
	dialog message strings.  Give some dialogs more descriptive button
	labels.  Clean up the code around the file save query dialog.


2006-01-28  Joshua Sled  <jsled@asynchronous.org>

	* src/report/report-system/html-style-sheet.scm
	(gnc:html-style-sheet-render): Maintain the html-document title
	while rendering so the progress bar is setup with the right name.
	Bug#327650.

2006-01-28  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/gnc-split-reg.c: Remove a lot of dead code.
	(gnc_split_reg_new): Remove create-flags and
	disallowed-cap[abilitie]s; add simple "read-only" flag.

	* src/gnome/gnc-plugin-page-register.c
	(gnc_plugin_page_register_actions): remove stock-missing icon for
	"edit exchange rate" action.
	(GncPluginPageRegisterPrivate, gnc_plugin_page_register_init) 
	(gnc_plugin_page_register_create_widget): Replace "disallow
	cap[abilitie]s" with specific read-only flag.

	* src/gnome/dialog-scheduledxaction.c (schedXact_editor_create_ledger): 
	* src/gnome/dialog-sxsincelast.c (create_to_create_ledger) 
	(create_autoCreate_ledger, create_created_ledger): Set read-only
	flag on register.

2006-01-28  David Hampton  <hampton@employees.org>

	* src/gnome-utils/print-session.h: Add an include so gnucash
	compiles on gnome2.13 again.

2006-01-28  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/gnc-plugin-page-register.c (gnc_plugin_page_register_cmd_reverse_transaction) 
	(gnc_plugin_page_register_cmd_view_sort_by) 
	(gnc_plugin_page_register_cmd_view_filter_by) 
	(gnc_plugin_page_register_cmd_transfer) 
	(gnc_plugin_page_register_cmd_reconcile) 
	(gnc_plugin_page_register_cmd_jump): Treat
	GNC_PLUGIN_PAGE(page)->window as a GncWindow, not necessarily and
	immediately a GtkWindow; fixes issues with GTK cast warnings on
	GncEmbeddedWindow usages of the register.

2006-01-28  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/ui/gnc-sxed-window-ui-full.xml: Add.
	* src/gnome/dialog-scheduledxaction.c (gnc_sxed_menu_entries) 
	(schedXact_editor_create_ledger)
	* src/gnome/dialog-sxsincelast.c (create_autoCreate_ledger) 
	(create_created_ledger, create_to_create_ledger) 
	(gnc_sxsld_menu_entries): Setup SX-related registers to only
	display and allow relevant register functionality. Bug#327642.

	* src/gnome/gnc-plugin-page-register.c
	(gnc_plugin_page_register_actions): Change stock icons for
	BlankTransaction and ScheduleTransaction Actions.

2006-01-28  Joshua Sled  <jsled@asynchronous.org>

	* lib/libgsf-1.12.3/gsf-gnome/Makefile.am (pkglib_LTLIBRARIES)
	* lib/libgsf-1.12.3/gsf/Makefile.am (pkglib_LTLIBRARIES)
	* lib/goffice-0.0.4/goffice/Makefile.am (pkglib_LTLIBRARIES)
	* configure.in: Use pkglib automake variables to install in a
	gnucash-specific hierearchy; change configure.in paths for goffice
	for similar reasons.  Bug#328858.

2006-01-25  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/glade/sched-xact.glade: Bug#327775: consistency in
	case of dialog title.
	Bug#327641: fix glade-spec'ed response-codes for OK/Cancel
	buttons, thus letting logic work again.

2006-01-28  Christian Stimming  <stimming@tuhh.de>

	* configure.in: Revert aqbanking dependency. We still stick to
	1.0.0 because a) FC3 has AQBANKING 1.0.x, b) We can't find an
	AQBANKING 1.3 tarball -- the earliest we can find is 1.6, c)
	AQBANKING 1.6 doesn't build on FC3 because of dependencies

2006-01-28  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/file/gnc-owner-xml-v2.c:
	  GncOwner is not a QOF_INSTANCE.  Get the GUID correctly.
	  Fixes part of #328790 (but not all of it).

2006-01-28  Christian Stimming  <stimming@tuhh.de>

	* configure.in: For HBCI, require aqbanking >= 1.3.0 (released
	2005-08-11) since current aqbanking is beyond 1.9.x and those
	really old versions had to deal with very different packaging
	structure.

r13010 | chris | 2006-01-28 15:30:23 -0500 (Sat, 28 Jan 2006) | 5 lines

   M /gnucash/trunk/src/gnome/gnc-plugin-page-register.c

   Automatically close registers whose accounts are deleted.
   We use the component manager to watch for the destruction of the account.
   Previously, having an account's register open while deleting it would
   just crash.

r12999 | chris | 2006-01-28 12:17:49 -0500 (Sat, 28 Jan 2006) | 3 lines

   M /gnucash/trunk/lib/libqof/qof/qoflog.c

   Re-enable logging for GnuCash modules that haven't explicitly set their
   own levels.

r12997 | chris | 2006-01-28 01:05:54 -0500 (Sat, 28 Jan 2006) | 3 lines

   M /gnucash/trunk/src/gnome/gnc-plugin-page-budget.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-view-account.c

   Remove obsolete code to handle account-types filtering for budgets.
   Really remove treeviewcolumns when we're done with them.

r12995 | chris | 2006-01-27 23:14:56 -0500 (Fri, 27 Jan 2006) | 2 lines

   M /gnucash/trunk/src/report/standard-reports/budget.scm

   Better default account selection when opening the budget report.


r12994 | chris | 2006-01-27 21:23:38 -0500 (Fri, 27 Jan 2006) | 2 lines

   M /gnucash/trunk/gnucash.m4

   Remove traces of old gnucash-run-script from gnucash.m4.


r12993 | chris | 2006-01-27 18:03:23 -0500 (Fri, 27 Jan 2006) | 3 lines

   M /gnucash/trunk/src/report/report-gnome/gnc-plugin-page-report.c
   M /gnucash/trunk/src/report/report-system/gnc-report.c
   M /gnucash/trunk/src/report/report-system/gnc-report.h
   M /gnucash/trunk/src/report/report-system/gw-report-system-spec.scm
   M /gnucash/trunk/src/report/report-system/report.scm

   Move generation of report serial ids from guile to C.
   Try to gracefully handle more errors during report loading.


r12989 | chris | 2006-01-27 01:15:31 -0500 (Fri, 27 Jan 2006) | 3 lines

   M /gnucash/trunk/src/report/report-gnome/window-report.c
   M /gnucash/trunk/src/report/report-system/report.scm

   Check for invalid options tables when loading reports.
   Also, plug memory leak in my last commit.


r12988 | chris | 2006-01-27 00:27:08 -0500 (Fri, 27 Jan 2006) | 2 lines

   M /gnucash/trunk/src/report/report-gnome/gnc-plugin-page-report.c
   M /gnucash/trunk/src/report/report-gnome/window-report.c

   Avoid showing any invalid reports.


2006-01-27  David Hampton  <hampton@employees.org>

	* src/scm/printing/print-check.scm:
	* src/gnome/glade/print.glade:
	* src/gnome/dialog-print-check.c: Add translation and rotation to
	the custom printing page.  Modify the code so that only the custom
	widgets that have an effect for the current setting are sensitive.

2006-01-27  Derek Atkins  <derek@ihtfp.com>

	Get "make distcheck" to work....
	* src/import-export/test/Makefile.am:
	  Added src/scm directory to test environment
	* lib/goffice-0.0.4/Makefile.am:
	  Don't install libgoffice-1.pc, but distribute it
	* lib/libgsf-1.12.3/tests/Makefile.am:
	  Link to the proper location of libgsf-1.la
	* lib/libgsf-1.12.3/Makefile.am:
	  Don't install the gsf .pc files, but distribute them.
	* lib/Makefile.am:
	  Use DIST_SUBDIRS to distribute qof, gsf, and goffice
	* configure.in:
	  fix QOF_LIBS to use builddir, not srcdir
	* Makefile.am:
	  add po/POTFILES.in to the dist
	  link gsf into the srcdir, not the builddir
	* src/report/report-system/Makefile.am:
	  make sure we distribute gw-report-system.h
	* src/bin/Makefile.am:
	  clean i18n.h in distclean

2006-01-26  David Hampton  <hampton@employees.org>

	* configure.in: Default the --enable-compile-warnings argument to
	yes.

	* src/gnome/window-reconcile.c:
	* src/gnome/glade/tax.glade:
	* src/gnome/glade/reconcile.glade:
	* src/gnome/dialog-tax-info.c: More HIG changes.

	* src/report/report-system/gnc-report.[ch]:
	* src/report/report-gnome/window-report.[ch]:
	* src/gnome/top-level.c: Fix compilation warnings.

2006-01-26  Derek Atkins  <derek@ihtfp.com>

	* configure.in: fail if we find libgsf >= 1.12.2 but not libgsf-gnome.
	  This is instead of configure succeeding and then failing the
	  build later.

r12985 | chris | 2006-01-26 23:38:47 -0500 (Thu, 26 Jan 2006) | 2 lines

   M /gnucash/trunk/src/gnome-utils/gnc-main-window.c

   Avoid saving invalid pages.


r12984 | chris | 2006-01-26 21:12:41 -0500 (Thu, 26 Jan 2006) | 13 lines

   M /gnucash/trunk/src/gnome/top-level.c
   M /gnucash/trunk/src/report/report-gnome/dialog-column-view.c
   M /gnucash/trunk/src/report/report-gnome/dialog-style-sheet.c
   M /gnucash/trunk/src/report/report-gnome/gnc-plugin-page-report.c
   M /gnucash/trunk/src/report/report-gnome/window-report.c
   M /gnucash/trunk/src/report/report-gnome/window-report.h
   M /gnucash/trunk/src/report/report-system/Makefile.am
   M /gnucash/trunk/src/report/report-system/gnc-report.c
   M /gnucash/trunk/src/report/report-system/gnc-report.h
   A /gnucash/trunk/src/report/report-system/gw-report-system-spec.scm
   M /gnucash/trunk/src/report/report-system/html-style-sheet.scm
   M /gnucash/trunk/src/report/report-system/report-system.scm
   M /gnucash/trunk/src/report/report-system/report.scm
   M /gnucash/trunk/src/report/utility-reports/view-column.scm
   M /gnucash/trunk/src/report/utility-reports/welcome-to-gnucash.scm
   M /gnucash/trunk/src/scm/main-window.scm
   M /gnucash/trunk/src/scm/main.scm

   Move the global report hash-table from guile to C.
   Move the book-open/close hooks from guile to C.

   There are several places where we do report-management from C already.
   Those places no longer use libguile to access the hash-table of reports -
   they can just call C functions.

   For now, there's still some report-management happening in guile so guile
   can access the global state through g-wrapped functions.  Eventually, 
   all report-management should be in C and guile can just provide single
   reports one-at-a-time.
   

r12982 | chris | 2006-01-26 12:38:26 -0500 (Thu, 26 Jan 2006) | 4 lines

   M /gnucash/trunk/src/gnome/top-level.c
   M /gnucash/trunk/src/gnome-utils/gnc-main-window.c
   M /gnucash/trunk/src/gnome-utils/gnc-main-window.h

   Register book open/close callbacks during gui init.
   Split handling of persistent application state into book-level data 
   and window-level data.


r12980 | chris | 2006-01-25 23:02:47 -0500 (Wed, 25 Jan 2006) | 3 lines

   M /gnucash/trunk/src/bin/Makefile.am
   M /gnucash/trunk/src/bin/overrides/Makefile.am
   D /gnucash/trunk/src/bin/overrides/gnucash-run-script
   M /gnucash/trunk/src/bin/test/Makefile.am
   D /gnucash/trunk/src/bin/test/test-run-script
   M /gnucash/trunk/src/scm/main.scm

   Remove the obsolete gnucash-run-script and its test.
   Also, the (gnucash main) module no longer depends on (gnucash price-quotes).


r12979 | chris | 2006-01-25 22:07:03 -0500 (Wed, 25 Jan 2006) | 4 lines

   M /gnucash/trunk/src/bin/gnucash-bin.c
   M /gnucash/trunk/src/gnome/Makefile.am
   D /gnucash/trunk/src/gnome/dialog-totd.c
   D /gnucash/trunk/src/gnome/dialog-totd.h
   M /gnucash/trunk/src/gnome/top-level.c
   M /gnucash/trunk/src/gnome-utils/Makefile.am
   A /gnucash/trunk/src/gnome-utils/dialog-totd.c (from /gnucash/trunk/src/gnome/dialog-totd.c:12978)
   A /gnucash/trunk/src/gnome-utils/dialog-totd.h (from /gnucash/trunk/src/gnome/dialog-totd.h:12978)
   M /gnucash/trunk/src/gnome-utils/gnc-gnome-utils.c

   Move dialog-totd from gnome to gnome-utils.
   Do low-level application initialization even before booting guile.
   This means the splash and totd come up almost instantly. 


r12978 | chris | 2006-01-24 23:54:12 -0500 (Tue, 24 Jan 2006) | 3 lines

   M /gnucash/trunk/src/bin/gnucash-bin.c
   M /gnucash/trunk/src/scm/main.scm
   M /gnucash/trunk/src/scm/price-quotes.scm

   Install price quote sources without calling main.scm.
   This makes the startup sequence a little clearer.


r12977 | chris | 2006-01-24 23:32:56 -0500 (Tue, 24 Jan 2006) | 5 lines

   M /gnucash/trunk/src/bin/gnucash-bin.c
   M /gnucash/trunk/src/report/report-gnome/report-gnome.scm
   M /gnucash/trunk/src/scm/command-line.scm
   M /gnucash/trunk/src/scm/doc.scm
   M /gnucash/trunk/src/scm/main.scm

   Re-enable report menu setup.
   The report menu setup is pretty fragile - it has to be done in a pretty
   specific order, so I pulled it out of (gnc:main) and call it independently.
   Also, move more bits of gnc:main into the modules where the bits are used.


r12976 | chris | 2006-01-24 21:06:08 -0500 (Tue, 24 Jan 2006) | 6 lines

   M /gnucash/trunk/src/app-utils/app-utils.scm
   M /gnucash/trunk/src/core-utils/gw-core-utils-spec.scm
   M /gnucash/trunk/src/engine/gw-engine-spec.scm
   M /gnucash/trunk/src/gnome-utils/gnc-menu-extensions.scm
   M /gnucash/trunk/src/gnome-utils/gnome-utils.scm
   M /gnucash/trunk/src/scm/command-line.scm
   M /gnucash/trunk/src/scm/main.scm

   Export debugging state from C to guile.
   Remove obsolete guile command line options.
   Remove guile setting of add-extension hooks that were apparently
   obsoleted by C code a while ago.
   Remove guile's access to application lifecycle function hooks.


r12975 | chris | 2006-01-24 20:36:28 -0500 (Tue, 24 Jan 2006) | 8 lines

   M /gnucash/trunk/src/bin/gnucash-bin.c
   M /gnucash/trunk/src/business/business-gnome/business-gnome.scm
   M /gnucash/trunk/src/gnome/gw-gnc-spec.scm
   M /gnucash/trunk/src/gnome/top-level.c
   M /gnucash/trunk/src/gnome/top-level.h
   M /gnucash/trunk/src/gnome-utils/gnc-gnome-utils.c
   M /gnucash/trunk/src/gnome-utils/gnc-gnome-utils.h
   M /gnucash/trunk/src/gnome-utils/gnc-splash.c
   M /gnucash/trunk/src/gnome-utils/gnc-splash.h
   M /gnucash/trunk/src/gnome-utils/gw-gnome-utils-spec.scm
   M /gnucash/trunk/src/scm/command-line.scm
   M /gnucash/trunk/src/scm/main.scm
   M /gnucash/trunk/src/scm/price-quotes.scm

   Consolidate application lifecycle functions into src/gnome-utils,
   leaving only the highest level of gui initialization in /gnome/top-level.c
   Process --loglevel command-line option from C.
   Move the running of the startup hook from guile to C.
   Distrubute bits of scheme from main.scm to the modules they're used in.
   Remove more obsoleted scheme.


r12974 | chris | 2006-01-24 20:21:28 -0500 (Tue, 24 Jan 2006) | 3 lines

   M /gnucash/trunk/src/bin/gnucash-bin.c
   M /gnucash/trunk/src/core-utils/gnc-main.c
   M /gnucash/trunk/src/core-utils/gnc-main.h
   M /gnucash/trunk/src/gnome-utils/gnc-main-window.c

   Process --debug command-line option from C instead of guile.
   This re-enables the debugging "extensions" menu.


2006-01-24  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-gettrans.h: Factor out importing
	functions that might be useful for mt940 importer.

	* src/import-export/hbci/gnc-hbci-transfer.c: Fix wrong amount
	sign.

2006-01-23  Derek Atkins  <derek@ihtfp.com>

	* src/engine/test/Makefile.am: add explicit libdep on libcore-utils.la

2006-01-23  Neil Williams <linux@codehelp.co.uk>

	* src/engine/Transaction.c : Let the backend
	work with splits without checking for the parent Trans
	* src/gnome/glade/chart-export.glade : glade-fixup change.
	* src/gnome/glade/merge.glade : Reviewed for QSF Import usage
	* src/gnome/druid-merge.c : Fix QSF import and merge, closes
	[Bug 327640]. r12961. 
	* src/gnome/druid-merge.h : Remove unneeded function.
	* src/gnome/druid-hierarchy.c : Expand on the error message,
	should it still be required.
	* configure.in : Increase QOF dependency to the next release
	to ensure compatibility.

2006-01-23  Neil Williams <linux@codehelp.co.uk>

	* lib/libqof/backend/file/qsf-backend.c : Prevent 
	bad time values from being passed to entity.
	* lib/libqof/qof/qof_book_merge.c : Fix merge 
	handling of QOF_TYPE_CHAR to use gchar instead of 
	casting	from a gchar*
	* lib/libqof/qof/qof_book_merge.h : Use gchar 
	consistently instead of mixing with char.

r12964 | chris | 2006-01-23 14:29:57 -0500 (Mon, 23 Jan 2006) | 5 lines

   M /gnucash/trunk/src/bin/Makefile.am
   M /gnucash/trunk/src/bin/gnucash-bin.c

  Avoid GUI initialization durring --add-price-quotes, fixes #327670

  BTW, it turns out that we don't need to call gtk_init().  It's called 
  during the LIBGNOMEUI_MODULE initializtion from gnome_program_init().

r12956 | chris | 2006-01-23 12:38:13 -0500 (Mon, 23 Jan 2006) | 28 lines

   M /gnucash/trunk/src/bin/gnucash-bin.c
   M /gnucash/trunk/src/gnome/Makefile.am
   M /gnucash/trunk/src/gnome/gw-gnc-spec.scm
   M /gnucash/trunk/src/gnome/top-level.c
   M /gnucash/trunk/src/gnome/top-level.h
   M /gnucash/trunk/src/scm/Makefile.am
   M /gnucash/trunk/src/scm/build-config.scm.in
   M /gnucash/trunk/src/scm/main-window.scm
   M /gnucash/trunk/src/scm/main.scm

  Major step in extraction of application startup from guile.

  Details:
    Remove the last bits of libguile from top-level.[ch].
    Change the gui initialization funtions so they can be called from C.
    Drop some gwrappers for gui initialization functions.
    Process the --nofile and filename command-line options from C.
    Drastic simpilification of main.scm.
    Initialize the gui and enter the gtk event-loop from C.

  Even though there's some more clean-up to do, this patch does mark
  a certain milestone:  A developer seeking to understand and/or modify 
  GnuCash's startup process can now essentially ignore the guile portion.
  Most parts of our startup now look pretty typical for a gnome-2 app.
  The parts that remain firmly in guile are initialization of the report
  menus and the installation of price-quote sources.

  Caveat: We have multiple mechanisms for handling the filename
  argument string -- some in guile and some in C.  The C-side mechanisms
  (in engine/gnc-filepath-utils.c) seem a little nicer than the guile
  ones (in main.scm).  They have slightly different behavior (e.g. which
  paths they'll search for data files.)  They both handle URIs and
  making absolute paths out of relative ones.  This patch switches from
  using the guile functions to the C function.  I've tested that the common
  cases are handled the same way, but it wouldn't surprise me if some 
  corner-cases are not.


r12948 | chris | 2006-01-22 22:56:10 -0500 (Sun, 22 Jan 2006) | 2 lines

   M /gnucash/trunk/src/scm/main.scm

  Remove "batch-mode" processing from main.scm.  It's no longer needed.

r12947 | chris | 2006-01-22 22:43:55 -0500 (Sun, 22 Jan 2006) | 3 lines

   M /gnucash/trunk/src/bin/gnucash-bin.c
   M /gnucash/trunk/src/scm/command-line.scm
   M /gnucash/trunk/src/scm/main.scm

  Remove --devel option, which aparently doesn't do anything.
  Also remove now unused guile portion of --add-price-quote option.

r12946 | chris | 2006-01-22 22:26:01 -0500 (Sun, 22 Jan 2006) | 18 lines

   M /gnucash/trunk/src/bin/gnucash-bin.c
   M /gnucash/trunk/src/scm/main.scm
   M /gnucash/trunk/src/scm/price-quotes.scm

  Process the --add-price-quotes command-line option from C.
  This is done by booting guile with a custom inner_main.
  Much of the work is still handled by price-quotes.scm, which
  is now a true stand-alone guile module without the circular dependency
  on the (gnucash main) module.

  One caveat:  Since the initialization of guile-side debugging variables 
  is in main.scm, and since main.scm is no longer executed when running
  --add-price-quotes, the guile code that runs during --add-price-quote
  isn't affected by the --debug option.  A work-around is to use the 
  GNC_DEBUG environment variable: 
    $ GNC_DEBUG=yes gnucash --add-price-quote myfile

  In the longer term, we'll either move the debugging aids to a common place
  where it can be used by both main.scm and price-quotes.scm, or we'll get
  the debugging state from the C-side via gwrap.
 

r12945 | chris | 2006-01-22 22:12:27 -0500 (Sun, 22 Jan 2006) | 3 lines

   M /gnucash/trunk/src/gnome-utils/gnc-gnome-utils.c
   M /gnucash/trunk/src/gnome-utils/gnc-gnome-utils.h
   M /gnucash/trunk/src/gnome-utils/gw-gnome-utils-spec.scm

  Introduced gwrapped gnc_gnome_locate_data_file().=
  This was supposed to go with r12942.

r12944 | chris | 2006-01-22 19:47:45 -0500 (Sun, 22 Jan 2006) | 3 lines

   M /gnucash/trunk/src/bin/gnucash-bin.c

  Process gnome command-line arguments after our own, 
  so we can provide our own AUTOHELP.

r12943 | chris | 2006-01-22 19:46:22 -0500 (Sun, 22 Jan 2006) | 3 lines

   M /gnucash/trunk/src/scm/command-line.scm
   M /gnucash/trunk/src/scm/main.scm
   M /gnucash/trunk/src/scm/price-quotes.scm

  Remove processing of share-path from guile.
  This is now handled by Gnome's gnome_program_locate_file() function.

r12942 | chris | 2006-01-22 18:12:15 -0500 (Sun, 22 Jan 2006) | 2 lines

   M /gnucash/trunk/src/bin/gnucash-bin.c
   M /gnucash/trunk/src/gnome/top-level.c
   M /gnucash/trunk/src/gnome-utils/gnc-gnome-utils.c
   M /gnucash/trunk/src/gnome-utils/gnc-gnome-utils.h
   M /gnucash/trunk/src/gnome-utils/gw-gnome-utils-spec.scm

 Initialize Gnome libraries before booting guile.

2006-01-22  David Hampton  <hampton@employees.org>

	* src/gnome/dialog-chart-export.c:
	* src/gnome/glade/chart-export.glade: More HIG changes.

	* src/gnome-utils/gnc-file.c: Add an icon to the export button in
	the generic filename dialog.

	* src/gnome-utils/glade/commodity.glade:
	* src/gnome/dialog-price-editor.c:
	* src/gnome/glade/progress.glade:
	* src/gnome/glade/price.glade:
	* src/gnome/dialog-price-edit-db.c: More HIG changes.

	* src/scm/printing/print-check.scm:
	* src/gnome/glade/print.glade:
	* src/gnome/schemas/Makefile.am:
	* src/gnome/schemas/apps_gnucash_dialog_common.schemas.in:
	* src/gnome/schemas/apps_gnucash_dialog_print_checks.schemas.in:
	* src/gnome/dialog-print-check.[ch]: Overhaul the print check
	dialog.  Make HIG changes, and make the dialog remember its state
	across invocations (including all the custom values).  Fix a crash
	when canceling printing.

	* src/register/ledger-core/dialog-dup-trans.c:
	* src/gnome-utils/dialog-account.c:
	* src/gnome-utils/glade/commodity.glade:
	* src/gnome-utils/glade/exchange-dialog.glade:
	* src/gnome/dialog-totd.c:
	* src/gnome/glade/stocks.glade:
	* src/gnome/glade/budget.glade:
	* src/gnome/glade/totd.glade:
	* src/gnome/glade/register.glade:
	* src/gnome/glade/account.glade:
	* src/gnome/druid-stock-split.c: More HIG changes.

	* src/gnome-utils/gnc-date-edit.[ch]:
	* src/gnome-utils/gnc-general-select.[ch]: Add support for setting
	these widgets as the target of a GtkLabel access key.

2006-01-21  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-amount-edit.c:
	* src/gnome/dialog-fincalc.c:
	* src/gnome/glade/fincalc.glade: Overhaul the financial calculator
	dialog.

2006-01-21  Derek Atkins  <derek@ihtfp.com>

	* src/bin/gnucash-bin.c:  update splash screen while loading modules.
	  Granted, this has no effect because the splash screen isn't
	  /UP/ when we're loading the modules.  But still, once we
	  initialize the gnome application earlier this will let us
	  update the splash screen.

	* src/app-utils/prefs.scm: replace an API needed by old scheme
	  config files.  It was removed in r11565.  Replace it now.

	* src/backend/file/io-example-account.c
	* src/backend/file/sixtp-utils.c
	* src/backend/file/sixtp.c
	* src/calculation/expression_parser.c
	* src/gnome-utils/gnc-date-edit.c
	* src/gnome-utils/gnc-menu-extensions.c
	* src/app-utils/gnc-ui-util.h
	* src/app-utils/gnc-ui-util.c
	* doc/Makefile.am
	* lib/libqof/qof/guid.c
	* lib/libqof/qof/gnc-date.c
	* lib/libqof/qof/gnc-engine-util.c
	* lib/libqof/qof/gnc-engine-util.h
	  Thomas Klausner's NetBSD patch.

	* src/bin/test/Makefile.am:
	  Need to add a PATH for the tests to succeed.

2006-01-21  David Hampton  <hampton@employees.org>

	* src/gnome-utils/*.glade: Move glade files to a new subdirectory.

	* src/gnome-utils/commodity.glade:
	* src/gnome-utils/exchange-dialog.glade:
	* src/gnome-utils/druid-provider-multifile.glade:
	* src/gnome-utils/dialog-commodity.c: HIG rework.

	* src/business/business-gnome/glade/billterms.glade:
	* src/business/dialog-tax-table/dialog-tax-table.c:
	* src/business/dialog-tax-table/tax-tables.glade: HIG rework on a
	couple of dialogs.

	* src/import-export/qif-import/qif.glade:
	* src/import-export/binary-import/binary-import.glade:
	* src/import-export/import-provider-format.glade:
	* src/import-export/hbci/glade/hbci.glade: Do some HIG cleanup.
	Remove extraneous newline characters from strings.

2006-01-21  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/glade/hbci.glade: Add field length limits
	again to avoid data loss on text entry. 

2006-01-20  David Hampton  <hampton@employees.org>

	* src/register/register-gnome/gnucash-item-list.c: Glib 2.9
	requires GdkEvents to be marked as BOXED instead of POINTER.
	Fixes #326056.

2006-01-20  Derek Atkins  <derek@ihtfp.com>

	* src/bin/gnucash-bin.c: Load config.auto AND config.user files.
	  Load the .user file first, and then load the .auto.
	* src/scm/Makefile.am:  paths.scm was removed.
	
r12912 | chris | 2006-01-20 22:59:22 -0500 (Fri, 20 Jan 2006) | 3 lines

   M /gnucash/trunk/src/app-utils/gw-app-utils-spec.scm
   M /gnucash/trunk/src/engine/gw-engine-spec.scm
   M /gnucash/trunk/src/report/report-system/html-style-sheet.scm
   M /gnucash/trunk/src/report/report-system/report.scm
   M /gnucash/trunk/src/scm/command-line.scm
   M /gnucash/trunk/src/scm/main.scm
   D /gnucash/trunk/src/scm/path.scm

  Guile-side clean-up for --namespace option.
  Also one bit of uncommitted code from gwrap change.

r12911 | chris | 2006-01-20 22:50:25 -0500 (Fri, 20 Jan 2006) | 2 lines

   M /gnucash/trunk/src/bin/Makefile.am
   M /gnucash/trunk/src/bin/gnucash-bin.c
   M /gnucash/trunk/src/core-utils/Makefile.am
   A /gnucash/trunk/src/core-utils/gnc-main.c
   A /gnucash/trunk/src/core-utils/gnc-main.h
   M /gnucash/trunk/src/engine/Makefile.am
   M /gnucash/trunk/src/engine/gnc-commodity.c
   M /gnucash/trunk/src/engine/gnc-commodity.h
   M /gnucash/trunk/src/engine/gw-engine-spec.scm
   M /gnucash/trunk/src/scm/price-quotes.scm

  Process the --namespace command-line option from C, not guile.

r12910 | chris | 2006-01-20 09:52:57 -0500 (Fri, 20 Jan 2006) | 1 line

   M /gnucash/trunk/src/gnome-utils/test/Makefile.am

Fix linking for src/gnome-utils/test/

r12909 | chris | 2006-01-20 00:19:15 -0500 (Fri, 20 Jan 2006) | 5 lines

   M /gnucash/trunk/src/bin/Makefile.am
   M /gnucash/trunk/src/bin/gnucash-bin.c
   M /gnucash/trunk/src/scm/command-line.scm
   M /gnucash/trunk/src/scm/main.scm
   M /gnucash/trunk/src/scm/path.scm

  Move the loading of user and system config files from guile to C.

  Remove the "load config" command line options, since they weren't doing 
  anything different than the default. 

r12902 | chris | 2006-01-19 13:43:59 -0500 (Thu, 19 Jan 2006) | 3 lines

   M /gnucash/trunk/src/bin/gnucash-bin.c
   M /gnucash/trunk/src/gnome/top-level.h

  Remove "reverse_balance" fucntions from top-level.h.
  Add another #include for gnucash-bin.c

r12900 | chris | 2006-01-19 13:02:18 -0500 (Thu, 19 Jan 2006) | 4 lines

   M /gnucash/trunk/AUTHORS
   M /gnucash/trunk/src/engine/Account.c
   M /gnucash/trunk/src/engine/Account.h
   M /gnucash/trunk/src/gnome-utils/gnc-tree-model-account-types.c
   M /gnucash/trunk/src/gnome-utils/gnc-tree-model-account-types.h

  Filter out deprecated account types from the account types treemodel.

  Patch by Eskil Bylund <eskil.bylund@gmail.com>

r12899 | chris | 2006-01-19 12:58:02 -0500 (Thu, 19 Jan 2006) | 3 lines

   M /gnucash/trunk/src/app-utils/gncmod-app-utils.c
   M /gnucash/trunk/src/bin/gnucash-bin.c

  Add hooks just once in app_utils module init.  
  Also don't try to load imaginary module.

r12886 | chris | 2006-01-19 09:16:58 -0500 (Thu, 19 Jan 2006) | 2 lines

   M /gnucash/trunk/src/gnome/top-level.h

  add missing #include

r12882 | chris | 2006-01-19 00:54:16 -0500 (Thu, 19 Jan 2006) | 2 lines

   M /gnucash/trunk/src/bin/Makefile.am
   M /gnucash/trunk/src/bin/gnucash-bin.c
   M /gnucash/trunk/src/scm/main.scm

   Exit gnucash from C, not guile.

r12881 | chris | 2006-01-19 00:18:27 -0500 (Thu, 19 Jan 2006) | 2 lines

   M /gnucash/trunk/src/app-utils/app-utils.scm
   M /gnucash/trunk/src/app-utils/gncmod-app-utils.c

  move some app-util function hooks from guile to C

2006-01-19  David Hampton  <hampton@employees.org>

	* src/core-utils/gnc-gkeyfile-utils.[ch]:
	* src/app-utils/file-utils.c:
	* src/app-utils/gnc-exp-parser.c: Provide better arguments for
	specifying what to do when a key_file doesn't exist.

	* src/gnome-utils/gnc-main-window.c: Check for bogus window
	structures (i.e. empty) when reading/writing the state file.

2006-01-19  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-gnome/dialog-invoice.c:
	  need to #include gkeyfile.h for glib24 systems
	* src/business/business-gnome/Makefile.am:
	  link against glib26 compatibility library.

2006-01-19  David Hampton  <hampton@employees.org>

	* src/business/business-gnome/dialog-invoice.c: Delete the invoice
	page completely when closing it.  Prevents a crash when trying to
	open a different data file is there is an invoice page in the
	window.

	* src/gnome-search/gnc-general-search.c: Finish the job. Make sure
	this component isn't unregistered multiple times.

2006-01-18  Derek Atkins  <derek@ihtfp.com>

	* src/bin/gnucash-bin.c:
	* src/gnome-utils/gnc-splash.c:
	  Always print the SVN version and build date.
	  Make "development version" based on GNUCASH_SVN
	* src/gnome-utils/Makefile.am:
	  Define GNUCASH_SVN whenever the source is not a dist tarball.

2006-01-18  David Hampton  <hampton@employees.org>

	* src/business/business-core/gncOwner.[ch]:
	* src/business/business-gnome/dialog-invoice.[ch]:
	* src/business/business-gnome/gnc-plugin-page-invoice.c:
	Save/restore business invoice pages.

	* src/app-utils/gnc-component-manager.c: Tweak a debugging
	statement.

	* src/gnome-search/gnc-general-search.c: Unregister this component
	properly when destroying it.

	* src/gnome-utils/gnc-query-list.c: The GtkObject destroy function
	can be called multiple times. Protect from unregistering the
	component multiple times.

2006-01-18  Joshua Sled  <jsled@asynchronous.org>

	* src/app-utils/gnc-account-merge.[ch]: C-style comment
	conventions; rename identifiers that are C++ keywords.

2006-01-18  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/gnc-plugin-page-account-tree.c
	(gnc_plugin_page_account_tree_create_widget): Remove name-editing
	callback setup.

2006-01-18  David Hampton  <hampton@employees.org>

	* All xxx.schemas files renamed to xxx.schemas.in.
	* All schema directory Makefile.am files replaced.
	* make-gnucash-potfiles.in: Now also pulls strings from schema
	files.  Together these fix bugs #327507 and #327353 which are
	about schema file strings not being translated.

2006-01-18  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-sx-from-trans.c (sxftd_update_fs): Propgate
	bi-weekly ui-frequency in transition from "schedule transaction"
	dialog to "Advanced..." (Scheduled Transaction Editor).
	Patch from Robert Zaleski <rzaleski81@yahoo.com>.
	<http://bugzilla.gnome.org/show_bug.cgi?id=327547>.

2006-01-18  Derek Atkins  <derek@ihtfp.com>

	* src/bin/Makefile.am:  Fix some srcdir/builddir issues
	  with #includes and libraries.
	* src/Makefile.am:  Move 'bin' last so that it's built
	  after gnome-utils so Chris' change works.

r12879 | chris | 2006-01-18 23:29:07 -0500 (Wed, 18 Jan 2006) | 3 lines

   M /gnucash/trunk/src/bin/Makefile.am
   M /gnucash/trunk/src/bin/gnucash-bin.c
   M /gnucash/trunk/src/scm/command-line.scm
   M /gnucash/trunk/src/scm/main.scm

  Move "unstable development version" message from guile to C.
  Remove crufty guile command-line options.

r12874 | chris | 2006-01-18 21:34:23 -0500 (Wed, 18 Jan 2006) | 2 lines

   M /gnucash/trunk/src/bin/gnucash-bin.c
   M /gnucash/trunk/src/scm/main.scm

  dlopen() modules from C, instead of from guile

r12873 | chris | 2006-01-18 21:00:25 -0500 (Wed, 18 Jan 2006) | 2 lines

   M /gnucash/trunk/src/scm/main.scm

  The Parenthesis!  My favorite punctuation.

r12872 | chris | 2006-01-18 20:33:16 -0500 (Wed, 18 Jan 2006) | 4 lines

   M /gnucash/trunk/src/scm/command-line.scm
   M /gnucash/trunk/src/scm/main.scm
   M /gnucash/trunk/src/scm/path.scm

  Minor scheme cleanup.
  Move one function from path.scm to command-line.scm.
  Remove processing of arguments now handled in C.

r12868 | chris | 2006-01-18 20:26:21 -0500 (Wed, 18 Jan 2006) | 2 lines

   M /gnucash/trunk/src/bin/gnucash-bin.c

  Use popt to automatically generate pretty --usage and --help.

r12838 | chris | 2006-01-17 22:46:53 -0500 (Tue, 17 Jan 2006) | 3 lines

   M /gnucash/trunk/src/bin/Makefile.am
   M /gnucash/trunk/src/bin/gnucash-bin.c

  Catch --version argument before booting Guile.
  Also show svn revision info if binary was built from svn.

2006-01-17  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/mt940/gnc-mt940-import.c: Add initial work on
	upgrading the old non-compilable mt940-importer code by
	F. Steinel. Code still non-compilable, see
	http://bugzilla.gnome.org/show_bug.cgi?id=325170

2006-01-17  Neil Williams <linux@codehelp.co.uk>

	* src/engine/gnc-engine.c : Removing .la from
	name of module to be loaded with GModule.

